2013-07-25  Julien Schueller <schueller(:AT:)phimeca(:DOT:)com>
  
  * [1.2] Reordered/Fixed missing resourcemap keys in config file.
    Fixed conversion warnings.
    Fixed a test failing since r3139. 
    Enhanced drawable error messages when provided invalid data. 
    Changed the way OT choose the method to launch external processes under Windows.
    Added a parallel version of the computePDF() method of the DistributionImplementation class using TBBs.
    Added the missing getMarginal() methods to the AggregatedNumericalMathEvaluationImplementation class.
    Added an improved getSample() method to the NormalCopula class.
    Made the computeQuantile() method based on a set of probability levels visible from the Distribution interface class.
    Based the BIC() method on the potentially parallelized computePDF() method of the tested distribution into the FittingTest class.
    Splitted the PiecewiseEvaluationImplementation class into the PiecewiseLinearEvaluationImplementation and PiecewiseHermiteEvaluationImplementation classes.
    Removed the specific getSample() method from the NormalCopula class.
    Added a parallel implementation of the computeCDF(), computeComplementaryCDF() and computeLogPDF() methods to the DistributionImplementation class.
    Splitted dist module again.
    Fixed some tests. 
    Added a margin to pairs graph to include min/max points. 
    Applied Barbier's patch to use ScopedPyObjectPointer. 
    Applied Barbier's patch to remove SONAME property on python submodules. 
    Fixed CreateProcess crash. Disabled use of CreateProcess by default anyway. 
    Fixed #634. 
    Do not include dsfmt header exposing RandomGenerator implementation. 
    Use same api for WhittleFactory as for NMF. 
    Fixed mistake in previous commit.
    Fixed #637
    Fixed some __str__()'s offset arg not being passsed on. 
    Added wrapper test. 
    Applied Barbier's patch for implicit NMFCollection conversion. 
    Fixed missing swig file. 
    Fixed bug in NumericalMathEvaluationImplementation: description attributes are allowed to be empty. 
    Changed the implementation of the pNormal() method of the DistFunc class to avoid multithreading troubles.
    Fixed possible arithmetic exception in SensitivityAnalysis.
    Fixed cmake warning on the test target installation. 
    Fixed bug in Binomial. 
    Enhanced checks of distribution parameters at initialization. 
    Fixed initialization of Beta with r>t.
    Fixed check in ZipfMandelbrot.
    Enhanced Beta bounds checking.
    Fixed deprecated getNumericalSample.
    Added a specific getMarginal() method to the AggregatedNumericalMathEvaluationImplementation, ComposedNumericalMathEvaluationImplementation and DualLinearCombinationEvaluationImplementation classes.
    Removed broken (and useless) code in the SpecFunc class.
    Applied Julien's patch to the dcdflib code in order to fix multithreading issues.
    Added the draw3D() and exportToVTKFile() methods to the Mesh class.
    Added the getEdgeColor() and the ConvertFromName() methods to the Drawable class.
    Added the Polygon class.
    Added the isDiagonal() method to the SquareMatrix class.
    Added the routines of Richard Simard to compute the Komogorov statistics.
    Added the computeLogPDF() method to the Chi, ChiSquare, FisherSnedecor and Weibull classes.
    Fixed a bug in the default constructor of the Chi, ChiSquare and FisherSnedecor classes.
    Added the buildMethodOfMoments(), buildMethodOfExponentialRegression() and buildMethodOfProbabilityWeightedMoments() methods to the GeneralizedParetoFactory class.
    Fixed a minor bug in the FittingTest class.
    Increased the default precision in the GeneralizedParetoFactory class.
    Suppressed the production of inf in the BIC method of the FittingTest class.
    Fixed a minor precision issue in one test.
    Removed the use of computeCDF() with the tail flag.
    Added the getSupport() methods to the Multinomial class.
    Changed the test of pKolmogorov in the DistFunc class in order to explore more exhaustively the underlying algorithm.
    Changed the test of pKolmogorov in the DistFunc class in order to avoid discrepancy wrt the OS/CPU.
    Reindented source. 
    Fixed warning.
    Fixed a bug in the getMarginal() method of the AggregatedNumericalMathEvaluationImplementation class.
    Improved the getMarginal() method of the DualLinearCombinationEvaluationImplementation class.
    Added a cleaning procedure of the coefficients of the LinearCombinationEvaluationImplementation and DualLinearCombinationEvaluationImplementation classes.
    Added mising tests.
    Fixed a numerical precision issue in a test.
    Fixed a numerical precision issue in a test (once again).
    Fixed some python syntax. 
    Removed useless former id tag line.
    Fixed exception throwed after print in Pareto test.
    Fixed warning in Mesh. 
    Applied patch to determine endianess.
    Fixed unused vars results. 
    Fixed mistake in previous commit. 
    Added the AggregatedNumericalMathGradientImplementation and AggregatedNumericalMathHessianImplementation classes.
    Added a new Gumbel parameter set. 
    Removed hardcoded values in installer.
    Test writeFile. Reindent. 
    Made the PiecewiseHermiteEvaluationImplementation and PiecewiseLinearEvaluationImplementation multidimensional.
    Added the getContinuousRealization() method to the Process and FunctionalBasisProcess classes.
    Fixed #639.
    Use default uninstaller icon.
    Fixed mistake in previous commit.
    MinGW: missing import flag. 
    MinGW: do not build tests if CHECK_OT=n. 
    Build tests independently.
    MinGW: fixed stripping.
    Added encoding argument in coupling_tools. 
    Reindented code. 
    Fixed a minor bug in the KernelSmoothing class when the sample contains the same repeated realization.
    Fixed missing dependency on wheezy.
    Fixed GeneralizedPareto python test. Removed useless files.
    Set version number 1.2
    
  * [1.2rc1] Removed autotools. distcheck ok.
    Set version number 1.1-based-devel.
    Fixed openturns-config file. distcheck ok.
    Fixed #594
    Fixed wrapper templates.
    Fixed wrapper link. distcheck ok.
    MERGE: trunk> svn merge --reintegrate https://.../lebrun (2994:3107)
    Added the getColorCode() method to the Drawable class, in order to get the HTML hexadecimal representation of a named color.
    Added the IsValidColorCode(), IsValidColorName(), getColorCode() and ConvertFromName() to the DrawableImplementation class.
    Modified the matplotlib viewer in order to use color codes instead of color names, to avoid errors when the color name is not known by matplotlib.
    Added ODE solvers: the ODESolver, ODESolverImplementation and RungeKutta classes.
    Added missing copyOnWrite() on interface classes.
    Added some missing const qualifiers in the deterministic experiments.
    Added a new evaluation operator to the DynamicalFunction class.
    Fixed some performance warnings of cppcheck.
    Added a new evaluation operator to the DynamicalFunction class.
    Added the PiecewiseEvaluationImplementation class.
    Added a binning capability to the KernelSmoothing class. It greatly improves its performance for large samples (300x faster for 10^6 points and above)
    Improved the efficiency of the binning algorithm in the KernelSmoothing class.
    Used the parallel implementation of the marginal covariance computation to implement the computation of the marginal standard deviation in the NumericalSampleImplementation class.
    Improved the parallel implementation of the computeVariancePerComponent() method in the NumericalSampleImplementation class.
    Fixed a bug in the new viewer: the line style attribute was not taken into account for the Contour plots.
    Improved the UserDefinedCovarianceModel class. Now, it is defined on the whole RxR domain.
    Parallelized the several moment-related methods of the NumericalSampleImplementation class.
    Changed the definition of the sample skewness and kurtosis. Now, we use the unbiased estimators for normal populations.
    Added dimension check in many distributions. Ongoing work.
    Added the KSubset distribution.
    Added dimension check for the input of all the relevant methods of all the distributions.
    Improved the speed of the getSample() method of the Normal class.
    Added in place addition, soustraction and multiplication operators to the NumericalSample class. For now, it is limited to the cases needed by the getSample() method of the Normal class.
    Added a constructor based on an Indices to the NumericalPoint class.
    Improved the UserDefinedStationaryCovarianceModel.
    Added default description into the constructor of the TrendEvaluationImplementation and InverseTrendEvaluationImplementation classes.
    Splitted the input and output descriptions in the NumericalMathEvaluationImplementation class.
    Added the BuildDefaultDescription() static method to the NumericalMathEvaluationImplementation class.
    Added the shift attribute to the BoxCoxEvaluationImplementation and InverseBoxCoxEvaluationImplementation classes.
    Added the getCallsNumber() method to the NumericalMathFunction class.
    Fixed a minor bug in the NumericalMathFunctionImplementation constructor.
    Added a constructor based on NumericalMathFunction to the DynamicalFunction class.
    Changed the BoxCoxTransform and InverseBoxCoxTransform to be NumericalMathFunction instead of DynamicalFunctions.
    Extended the add() method of the Graph class in order to add another Graph.
    Added an accessor to the colors of all the drawables into a given Graph.
    Added the "none" point style to the DrawableImplementation class.
    Changed the default behaviour of the Curve class: the markers are always printed excepted when the point style is "none"
    Added a BuildDefaultPalette() method to the Drawable class.
    Added the Tuples class to generate all the tuples of a given integer sets cartesian product.
    Added the CombinatorialGenerator class, which is a generic interface to generators of combinatorial objects.
    Added the Combinations class, to generate all the permutations of k elements chosen in a set of n distinct elements.
    Added the KPermutations class, to generate all the k length permutations of elements chosen in a set of n distinct elements.
    Added an accessor to the internal representation of the NumericalSampleImplementation class.
    Added a graphical output to the build() method of the BoxCoxFactory class.
    Added a NumericalSample based build() method to the BoxCoxFactory class.
    Added a shift argument to the build() method of the BoxCoxFactory class in order to translate the given data.
    Improved the presentation of the DrawQQplot() methods of the VisualTest class.
    Removed useless casts in the DistributionImplementation class.
    Added an experimental computeScalarQuantile() method to the NonCentralStudent class.
    Renamed the KSubset distribution into the KPermutationsDistribution class.
    Added an optimized getSample() method to the Uniform() class.
    Improved the pNonCentralStudent() et dNonCentralStudent() methods to the DistFunc class.
    Added an optimized getSample() method to the Normal() class.
    Fixed a minor rounding error in the BoxCoxFactory class.
    Fixed a typo in a CMakeLists.txt
    Improved the robustness of the PythonDistributionImplementation class.
    Fixed a minor bug in the DickeyFullerTest class.
    Made minor Improvements to the VisualTest class.
    Added accessors to catalog of factories to the DistributionFactory class.
    Added a trend attribute to the TemporalNormalProcess class. Ongoing work.
    Extended the binning facility to the bi-dimensional case in the KernelSmoothing class.
    Made minor Improvements to the AnalyticalResult class.
    Extended the add() method of the Collection class to append a collection to a given collection;
    Improved the history management in the NearestPointAlgorithmImplementationResult class.
    Fixed some tests.
    Added the GeneralizedPareto distribution. Ongoing work.
    Added the GeneralizedParetoFactory distribution. Ongoing work.
    Fixed some post installation tests.
    Switched temporarily to the asa243 algorithm for the implementation of the pNonCentralStudent() method of the DistFunc class.
    Improved the BIC computation in the FittingTest class.
    Added the cotangent and inverse cotangent functions to the analytical parser.
    Fixed a bug in the computeCharacteristicFunction() method of the Chi class.
    Added the various versions of the computeCharacteristicFunction() and computeLogCharacteristicFunction() methods to the Normal class.
    Added new generic computeCharacteristicFunction() and computeLogCharacteristicFunction() methods to the DistributionImplementation class.
    Added the GeneralizedPareto class. It implements the 2 parameters generalized Pareto distribution.
    Fixed some post installation tests.
    Allowed to use the asa243 algorithm for the implementation of the pNonCentralStudent() method of the DistFunc class.
    Improved the BIC computation in the FittingTest class.
    Added the cotangent and inverse cotangent functions to the analytical parser.
    Fixed some accuracy issues in the RandomMixture class.
    Added drawing facilities to 1D and 2D meshes.
    Switched from getLegendName() and setLegendName() to getLegend() and setLegend() in the drawables.
    Added a global accessor to legends in the Graph class.
    Added a scale() method based on square matrix to the NumericalSample class.
    Added accessors to the optimization result to the AnalyticalResult class.
    Fixed a bug in the computeLogCharacteristicFunction() method of the Gamma class.
    Still a bug in the python wrapping of the UserDefinedPairCollection.
    Added bound checks to some TimeSeries methods.
    Removed the use of non-ansi sincos function in the RandomMixture class.
    Fixed a bug in the python interface to the UserDefinedPairCollection class.
    Linux/CMake build ok.
    MinGW/CMake build ok.
    MERGE: trunk> svn merge --reintegrate https://.../souchaud (3004:3066)
    Fix #596: files_to_send parameters do not send files if not in cwd.
    Fix #595: fix overwritten file if tmpdir is on NFS.
    Add cache test on PythonFunction.
    Add cache test on DistributedPythonFunction.
    Ensure hosts_channel is defined even if the compute crash early.
    distributed_wrapper: Improve log, avoid stop twice on error.
    Fix #598 : distributed_wrapper do not kill remote sleep process.
    distributed_wrapper: test files_to_send when files are not in current directory.
    distributed_wrapper: move todo list to distributed_wrapper.py
    distributed_wrapper: add an entry to todo list.
    Add replace overlapping token example.
    distributed_wrapper: move todo list to distributed_wrapper.py 2
    Fix #608 : files permissions of files_to_send parameter are not propagated. Improve some log. Distcheck ok.
    Do not test execute bit on windows. Distcheck ok.
    Typo.
    Linux/CMake build ok.
    MinGW/CMake build ok.
    MERGE: trunk> svn merge --reintegrate https://.../schueller (2982:3117)
    Fixed #593
    Added exception handling regarding #593.
    Enhanced decoding in coupling_tools.
    Turned off debug
    Made exception handling more precise.
    MERGE: schueller> svn merge -r2985:2991 https://.../trunk. Sync. distcheck ok.
    MERGE: schueller> trunk @ 2985. distcheck ok.
    Fixed cmake scripts install location.
    Enhanced openturns detection. distcheck ok.
    Restored install location of cmake sripts under debian.
    Reverted r3001
    Added more variables to OpenTURNSConfig. distcheck ok.
    Fixed rounding issue with recent python version. distcheck ok.
    Enhanced caching behavior of python function.
    Removed useless exception.
    Cleanup in python function.
    Enhanced computed function: do not eval duplicate sample values when cache disabled, calls number takes duplicate values into account when cache enabled. distcheck ok.
    Fixed #599
    Added a non-regression test for #599
    Removed useless surface attribute in Histogram.
    Missing doc in cmake script. distcheck ok.
    Applied patch to build without csv support. distcheck ok.
    Set revision number in cache.
    Fixed cmake config scripts installation directory.
    Fixed mistake in previous commit. distcheck ok.
    Removed useless warning.
    Split components installation. Fixed missing header install. distcheck ok.
    Allowed to access TNC convergence criteria. distcheck ok.
    Fixed coupling_tools not handling escaped tokens properly. distcheck ok.
    Fixed #600
    Re-enable hiding cmd.exe windows, tested with XP/7, distchek ok
    Better exception handling. distcheck ok.
    Fixed crash in python test. distcheck ok.
    Enhanced regex handling. distcheck ok.
    Fixed warnings related to UserDefined SWIG wrapping. distcheck ok.
    Fixed LogUniformFactory test. distcheck ok.
    Fixed memory leaks through use of new utility class ScopedPyObjectPointer.
    Prevent python from printing 17 digits floats instead of 12. distcheck ok.
    Added ScopedPyObjectPointer::operator=.
    Fixed mistake in pickleSave preventing from building modules. distcheck ok.
    Fixed mingw ldflags. distcheck ok.
    Fixed mingw ldflags. distcheck ok.
    File cleanup in t_NumericalMathFunction_python_saveload.
    Enhanced ScopedPyObjectPointer.
    Enhanced R detection. distcheck ok.
    Fixed typo. distcheck ok.
    Fixed #612
    Using new-style python classes.
    Fixed #606
    Prevented PyQt from interrupting the interpreter.
    Use an option do decide whether to link against libpython. distcheck ok.
    Do not hardcode soversion. distcheck ok.
    Removed use of static classes ctor in some tests. distcheck ok.
    Reverted changeset 3072.
    Changed back to old strata definition in HyperbolicAnisotropicEnumerateFunction @1835. distcheck ok.
    Cosmetic change to trigger autobuilder. distcheck ok.
    Prevent Qt from stopping the interpreter. distcheck ok.
    Applied easy-ot patches 1, 3-7. Fixes #597. distcheck ok.
    Added a target to build tests. distcheck ok.
    Fixed #616
    Fixed regex build failure. distcheck ok.
    Fixed #619
    Added FunctionalChaosRandomVector dedicated test file. distcheck ok.
    Fixed bug in partial SVD when m<n. Reactivated the associated test.
    Do not allow to perfom a CorrectedLeaveOneOut with m<n. distcheck ok.
    Added test for #622. distcheck ok.
    Fixed error on SVD test.
    Enhanced CLOO exception message. distcheck ok.
    enhanced ct.execute docstring.
    Reverted lost openturns-module script.
    Fixed new arg name. distcheck ok.
    Improved python module path. distcheck ok.
    Changed definition of hyperbolic stratas: minimal leap -> integer norm leap. distcheck ok.
    Applied experimental python pickle support patch. distcheck ok.
    Fixed pickle test. distcheck ok.
    Use cross-compiling compatible pickling temporary file path. distcheck ok.
    Fixed bug in viewer graph conversion. distcheck ok.
    Changed back to the first (thinest) definition of hyperbolic stratas. Added a function to control the number of terms per degree.
    Applied easyOT patches 8-9. Simplified chaos scripts. dicheck ok.
    Fixed typo in viewer test
    Fixed LeastSquaresMetaModelSelection returning true error estimate instead of relative error. distcheck ok.
    Enhanced wrapping of static classes.
    CMake find modules to display package version.
    Fixed test displaying longs.
    Do not ignore muparser not found silently.
    Fixed missing swig file.
    Install libOT in just /lib. Do not rely on GNUInstallDirs cmake module anymore. Let the packager deal with this.
    Linux/CMake build ok.
    MinGW/CMake build ok.
    Reindented cxx using astyle, py code using reindent+autopep8 ; see indent.sh
    Removed deprecated methods.

2012-11-29  Julien Schueller <schueller(:AT:)phimeca(:DOT:)com>

  * [1.1] Applied lebrun's patch to enhance NumericalSample::computeEmpiricalCDF method. distcheck ok.
    Replaced the slow O(NlogN) serial implementation of the computeKendallTau() method of the NumericalSampleImplementation class by a much more efficient O(NlogN) implementation. The parallel version has been deactivated as it is slower than the serial version even for 100 cores!
    Ignoring Makefile.in in new folders.
    Added missing description in the NatafEllipticalCopulaEvaluation class.
    Added an accessor to the Mixture in the MixtureClassifier class.
    Improved the robustness of the MixtureClassifier class.
    Applied Sofiane Haddad's patch. It closes ticket #577.
    Changed the implementation of the evaluation method in the ExpertMixture class. Now, it is based on a joint classification of the input and the output points.
    Fixed #572. distcheck ok.
    Install python module in /dist-packages if OPENTURNS_SYSTEM_INSTALL is ON. distcheck ok.
    Removed obsolete getMarginal methods in the ExpertMixture class. It closes ticket #580.
    Added debug logs in the evaluation operator of the ExpertMixture class. It closes ticket #581.
    Added the ability to draw an histogram based on a sample with a constant value. The resulting graph is ugly, on purpose. It closes ticket #576.
    Throw exception when building analytical algorithm with an invalid starting point dimension. distcheck ok.
    Fixed a bug in the classification on log scale in MixtureClassifier class.
    Applied barbier's patch to search dtd path.
    Disabled print in t_WrapperFile_generic.
    Configure properly OTconfigure_args.hxx. distcheck ok.
    Configure OTconfigureArgs.hxx once.
    Fixed some deprecated python syntax. distcheck ok.
    Fixed Student test.
    Added a native distribution type build() method for all the distribution factories.
    Improved the MarginalTransformationEvaluation class for meta-modeling purpose.
    Changed the way the description of a ComposedDistribution is built. Now, it is based on the description of its marginal distributions instead of their names. It cixes ticket #584.
    Added the output description of the NumericalMathFunction to the output sample when evaluated over a sample. It fixes ticket #583.
    coupling_tools: fix lack of param check, fix Python3 compatibility.
    Fixed some tests. Please update before committing.
    Applied barbier's patch to customize cmake script install location.
    Added a method to compact (i.e merge) the repeated points in the support of a UserDefined distribution.
    Added more useful constructors for the Pie and Graph classes. It closes ticket #586.
    Fixed deprecated python syntax in wrapper module.
    Fixed a minor rounding trouble in the Pie class.
    Fixed nasty bug in python exception handling.
    Simplified the computeRange() method of the Mixture class.
    Fixed a bug in the load() method of the Normal class: the range computation was missing.
    Windeps path must contain OT version number, WINEPREFIX point automatically to wine folder of windeps path.
    Update t_distributed_python_wrapper_remote to OT printout.
    Fix too restrictive coupling_tools parameters check. Distcheck ok.
    Include a x86_64 version of MinGW in windeps tgz, cross compilation should be now straightforward.
    Added a specific computeScalarQuantile() method to the ZipfMandelbrot and NegativeBinomial classes.
    Added a specific computeRange() method to the Exponential, FisherSnedecor, Normal and ComposedDistribution classes.
    Added a specific computeComplementaryCDF() method to the Geometric class.
    Fixed a bug in the computation of the range for the Rice class.
    Changed the generic implementation of the initializeQuantileCache(), computeLowerBound() and computeUpperBound() methods in the DistributionImplementation class.
    Fixed various erroneous comments in the description of the classes.
    Added the RestrictedEvaluationImplementation, RestrictedGradientImplementation and RestrictedHessianImplementation classes.
    Fixed a bug in the __str__() method of the UniVariatePolynomialImplementation class.
    Fixed missing headers.
    Fixed #587
    Removed work-around for swig bug.
    Fixed some submodule imports.
    Removed ref to std::cerr.
    Removed other calls to std::cerr in ev3.
    Added some missing tests.
    Improved the knowledge-based simplification mechanism in the RandomMixture class.
    Fixed wrong comments in several source files.
    Fixed a rounding trouble in a python test.
    Fixed bug related to #587 fix attempt.
    Enable missing Aggregated evaluation test. Fixed some warnings.
    Fixed #592
    
  * [1.1rc1] Mesh test depends on R. distcheck ok.
    Updated rpm package. distcheck ok.
    Fix wrong value returned by get_value() when skip_line <0.. Closes ticket #562.
    Fix restart check at each windows build. Small fix in windows installer.
    Fix bug in library wrapper when putting quote in command line.
    Removed shebang from python script that should not be launched directly.
    Rebased debian package on 1.0-4.
    Deleted debian package.
    Fixed some file permissions.
    Removed shebang from python template.
    Removed extra license files.
    Remove strange 5s overhead on each checktest when using wine.
    DistributedPythonFunction is a subclass of NumericalMathFunction.
    Included missing python wrapper templates files.
    Reindented a cmakelists. distcheck ok.
    Fixed #556.
    Fixed conditional inclusion of NumericalMathFunction_draw in cmake. distcheck ok.
    Reverted win makefile. distcheck ok.
    Fixed coupling tools tests failing on autobuilder because of too strict timeout. distcheck ok.
    Removed Id tag.
    Reindented python: /usr/share/doc/python2.7/examples/Tools/scripts/reindent.py python/test/*.py python/src/*.py
    Reindented C++: astyle --style=ansi --recursive --indent=spaces=2 --indent-switches --pad-oper --break-closing-brackets *.?xx
    Removed unmerged rpy code. Removed useless file BoostPointerImplementation.i
    Removed deprecated PlatformInfo::GetId method.
    Removed svn:keywords property.
    MERGE: trunk> svn merge --reintegrate https://.../schueller (2607:2889)
    MERGE:schueller> svn merge https://.../trunk -r2606:2611. distcheck ok.
    Checked Lapack return code to help debugging. Closes #501. distcheck ok.
    CMake: allow to build without rotrpackage, as autotools. distcheck ok.
    Set CMAKE_RC_COMPILER. distcheck ok.
    Cleanup in NumericalMathFunction.i. Added function decorator. Renamed OpenTURNSPythonFunction->PythonFunction (as PythonRandomVector). Added PythonRandomVector::getSample(). Simplified NumericalMathFunction call process. distcheck ok.
    Cmake/mingw: added verbose. distcheck ok.
    Fixed minwg linkable library name (instead of runtime). distcheck ok.
    Removed HAVE_CONFIG_H definition from otconfig.cmake as config header macros should be kept private. distcheck ok.
    Fixed OpenTURNSConfig missing macros. distcheck ok.
    Escape OpenTURNSConfig macros. distcheck ok.
    Removed duplicated swig detection message with recent version of cmake.
    Added missing OpenTURNSConfig macro.
    Fixed #518. distcheck ok.
    Added non-regression test for #518
    Udpated bugfixes list
    NumericalMathFunction::addCacheContent enables the cache otherwise the cache is not filled. distcheck ok.
    Added cmake/doxygen capability.
    CMake: do not link python modules on debian. distcheck ok.
    Fix openturns-config and openturns-module when
    Fixed a minor bug in HistoryStrategy::reset: missing copyOnWrite. distcheck ok.
    Deprecated HistoryStrategy::resetHistory in favor of clearHistory to be consistent with the cache method. Also clear seemed more used. distcheck ok.
    Fixed mistake in commit 2647 for the non-unix case. distcheck ok.
    Renamed PythonRandomVector methods. distcheck ok.
    Fixed RV::getSample method when not defined in PYRV. distcheck ok.
    Allowed to retrieve the history of optimization algorithms convergence criteria including Cobyla, and direct evaluation input/output samples, see #391. distcheck ok.
    Applied reny's patch for SVMKernel serialization. distcheck ok.
    Added PythonDistributionImplementation. distcheck ok.
    NPAResult only stores values at the end of a complete iteration. distcheck ok.
    Fixed #510. distcheck ok.
    Fixed #429. distcheck ok.
    Fixed deprecated python print syntax. distcheck ok.
    Use more python conversion functions. distcheck ok.
    Use only PyLong conversion functions. distcheck ok.
    Using only absolute python module imports. distcheck ok.
    Removed used of deprecated stderr print syntax.
    Renamed _PyInt_ to _PyLong_ template to match the underlying integer type. distchech ok.
    Added NSI_point::operator /=. distcheck ok.
    Try to fix import level. distcheck ok.
    Fixed mistake in commit 2645: the minimizer was no more updated at each iteration. distcheck ok.
    Kept NearestPointAlgorithmImplementationResult history attributes separate. distcheck ok.
    Reverted r2667. distcheck ok.
    Fixed mistake in previous commit. distcheck ok.
    Fixed removed file. distcheck ok.
    Added a test for the PythonDistribution. distcheck ok.
    Added another constructor for NumericalSample instead of 1-d direct cast. distcheck ok.
    Using absolute imports. distcheck ok.
    Try to use python_bin instead of . Upgraded some python macros. distcheck ok.
    Reordered some tests.
    Removed use of deprecated method HistoryStrategy::reset in Simulation.cxx
    Added missing ComplexMatrix.__rmul__, fixed t_Indices_std.py indent. Added Matrix/NumericalPoint.__truediv__ operator.
    Overloaded some matrix operators. Fixed some python test indents.
    Removed explicit build dependency to rpy2. distcheck ok.
    Rewrite Show command to take more errors into account. Fixed a bug in drawable cast methods. distcheck ok.
    Deprecated PlatformInfo::GetId.
    Reindented some files.
    Fixed deprecated integer division.
    Fixed #539
    Generalized use of python conversion macros. Fixed some deprecated python expressions. distcheck ok.
    Reverted r2665. distcheck ok.
    Use SWIG_TypeQuery. distcheck ok.
    Remove CMake cache on windows.
    Fixed #541
    Updated check tests related to #541. distcheck ok.
    #492: same fix for python.
    Fixed possible bug in slicing. distcheck ok.
    Fixed deprecated python syntax.
    Splitted dist module to speed up compilation. distcheck ok.
    Applied patch to save/load python pickle binary in base64. distcheck ok.
    Removed rpaths at installation by default. distcheck ok.
    Reverted r2717.
    Install python module in .../dist-package under debian. distcheck ok.
    Fixed the release of some static members. distcheck ok.
    Added missing virtual destructor to PersistentObjectFactory & Collection. distcheck ok.
    Enhanced FunctionalChaosRandomVector save/load. distcheck ok.
    Replaced rpy & qt viewer implementations by the matplotlib one. distcheck ok.
    Fix in previous commit. distcheck ok.
    Fixed missing legends.
    Check output dimension in PyNMF. distcheck ok.
    R & R.rot as only runtime dependencies. distcheck ok.
    Updated quicktest script. distcheck ok.
    Fixed mistake in previous commit. distcheck ok.
    Fixed mistake in previous commit. distcheck ok.
    Centralized XML save/load tests in the Study test. distcheck ok.
    Fixed missing file in previous commit. distcheck ok.
    Removed SVM kernels.
    Fixed R macro & study test. distcheck ok.
    Fixed bug in viewer: dots instead of pixels.
    Fixed i386 build. distcheck ok.
    Fixed bug in Path.cxx: comparison of uint/too big constant . distcheck ok.
    Fixed __str__() overload in some classes. distcheck ok.
    Fixed static reference initialization warning in OSS. distcheck ok.
    Added mising CorrelationMatrix __mul__ operators.
    Fixed missing NumericalPoint/Description/Indices slicing operator.
    Overloaded muParser by inheriting mu::Parser. distcheck ok.
    The thread interrupt handler can now be disabled.
    Took souchaud's proposition to replace FunctionDecorator. distcheck ok.
    Fixed an ambiguous syntax in muParser. Updated AnalyticalParser to gather all the diffs wrt vanilla muparser.
    Added samples accessors to MetaModelAlgorithm.
    Modified the viewer to take a drawable as argument.
    Fixed deprecated syntax in some python tests. Removed some input files. distcheck ok.
    Fixed error in previous commit. distcheck ok.
    Use python convention for naming attributes. Fixed #549. distcheck ok.
    Fixed misplaced docstrings.
    Used double underscore for some python attributes.
    Added a non-interactive test for viewer. distcheck ok.
    Fixed include in previous commit.
    Fixed some precision issues with low discrepancy sequences tests. distcheck ok.
    Ignore CMAKE_LIBRARY_ARCHITECTURE for the python lib path. distcheck ok.
    Fix for debian etch/tbb
    Fixed empty test. distcheck ok.
    Fixed precision problem in UserDefinedSpectralModel test. distcheck ok.
    Fixed import syntax. distcheck ok.
    Added AggregatedNumericalMathEvaluationImplementation::operator()(NumericalSample). distcheck ok.
    Fixed mistake in previous commit.
    Disable interrupt in interactive mode. Removed welcome message as it should behave as any other python module.
    MERGE: schueller> svn merge -r2840:2861 https://.../trunk. Sync in progress.
    MERGE: schueller> svn merge -r2861:2867 https://.../trunk. Sync with trunk completed.
    Fixed mingw python tests files
    Fixed #403
    Fixed unmerged changes.
    Removed useless includes
    Fixed relative imports.
    Swig modules should not include one another.
    Fixed otpynmf.
    Reverted absolute imports in dwrappers.
    moved find modules & uninstall script into /cmake. distcheck ok.
    Absolute import in distributed_wrapper.py
    Removed host_dispatcher+wrapper_data relative imports.
    Fixed ExpertMixture python test.
    Prevented possible loss of accuracy in several distributions and factories using the log1p and expm1 functions where needed.
    Added the missing setParametersCollection() to the IndependentCopula, ComposedCopula and NormalCopula classes.
    Improved the discretization step in the ConditionalDistribution class. Now, the total number of integration points is limited by a user-tunable parameter in the ResourceMap.
    Minor improvement of the StandardDistributionPolynomialFactory class.
    Fixed issue with wrapper template being byte-compiled at packaging.
    Fixed hardcoded python exe
    Fixed warnings (and possible bug in DickeyFullerTest).
    Fixed initialization crossing jump.
    Fixed missing swig files at installation. distcheck ok.
    Fixed mistake in commit 2886
    Linux/Autotools build ok.
    Linux/CMake build ok.
    MinGW/CMake build ok.
    distcheck ok.
    MERGE: trunk> svn merge --reintegrate https://.../souchaud (2671:2866)
    First throw of distributed_python_wrapper.
    Improve cmake test for distributed_python_wrapper. Add ENABLE_DISTRIBUTED_TEST cmake option.
    Add distributed_python_wrapper on autotools.
    Put distributed python test at the end.
    distributed python wrapper ok on windows (without ssh).
    Modify distributed python wrapper licence. distcheck ok
    Fix coupling_tools check end of line. distcheck ok.
    Translate distributed_python_wrapper todo.txt to english.
    Move distributed_python_wrapper.
    add a checktest of distributed python wrappertemplate. distcheck ok.
    Bugfix: do not change workdir. Improvment: faster shutdown of parent watcher.
    Fix autotools mess. distcheck ok.
    distributed_wrapper more verbose on wrapper error.
    Add idea to wrapper_python_distributed todo list.
    Give simple example to start t_distributed_python_wrapper.py manually.
    Minor typo fix.
    Add wrapper_data structure in order to define in/out files better.
    Fix wrapper_data compilation with autotools. Better variable name.
    Improve distributed wrapper modularity. Possibility to get the sample/point from any pickle file. distcheck ok.
    Fix missing wrapper_data link. distcheck ok.
    Add python wrapper_data test. Distcheck ok.
    Remove paramiko deps. Fix wrapper_data test. Improve remote_comicator test. Work in progress.
    Remove paramiko deps. Fix do not remove workdir on sigint. distcheck ok.
    Decrease remote_communicator verbosity.
    Make remote_communicator paramiko ok. Put remote_communicator log to stderr.
    Cosmetic.
    Fix analytical compute. Fix analytical perf. Add analytical tests.
    Fix remote test. distcheck ok
    Swap wrapper_file args. Import coupling tools by default in openturns. Remove confusing coupling_tools known bugs.
    Add SSH master connection mode. Add remote_communicator command variable. Remove startup_info property cause that fail on cygwin environment.
    Avoid ssh master file name clashing. distcheck ok.
    Pass win installer to python 2.7. Use ipython for batch mode, and include spyder in gui mode. Add setuptools and matplotlib. Remove useless python example.
    Replace spyder by ipython.
    Replace spyder by ipython.
    Add installer that stick to already installed python.
    In PythonFunction func can be deduced from func_sample. Add PythonFunction test. Resolv ticket #556.
    Fix PythonFunction(n, p, exec_sample) call on a point.
    Fix python search path when python installed using user install. Add ipython shortcut. Create only module installer by default.
    Unattended python installer ok. More simple installer name.
    Rename source installer file.
    Simplify windows developer installer. Launch win test natively. Work in progress.
    Fix removing slash r. Cleanup openturns-windep dir hierarchy. Add R. Checkt test ok. work in progress.
    Factorize check func.
    Simplify NumericalMathFunction_exec_external test.
    Native check and installcheck ok.
    Remove useless autotools nightmare in windows OT wrapper.
    Simplify code. Fix t_WrapperFile_generic.py command on windows.
    adapt DTD windows search path to module installer.
    Add to Python_distributed_wrapper file exists check.
    Simplify windows compiled example.
    Separate split installcheck to pyinstall check and cppinstallcheck. Improve windows full checker.
    installchecktest on native windows through cmake: ok.
    Fix small compile error on Path.cxx.
    Fix linux separator. Fix double test in python.
    Remove unused start_checktest script. Distcheck ok.
    Add windows user install.
    Fix silent install. Fix user define instdir. Fix #509. Distcheck ok.
    Check ot user install when installing ot-dev. Ask before unsintalling ot-dev. Fix ot-dev message when ot not found.
    Cosmetic. Distcheck ok.
    MERGE: svn merge -r2671:2863 https://.../trunk, Synchronization with trunk. Fix t_coupling_tools.py on wine. Ok on native windows. Distcheck ok.
    Reenable check_ot flag for windows. Distcheck ok.
    Linux/Autotools build ok.
    Linux/CMake build ok.
    MinGW/CMake build ok.
    distcheck ok.
    MERGE: trunk> svn merge --reintegrate https://.../lebrun (2603:2859)
    Added a generic implementation of the draw() method for the NumericalMathEvaluationImplementation and NumericalMathFunction classes. Ongoing work.
    Created the Experiments folder in the Base layer of OpenTURNS and moved all the non-probabilistic designs of experiments in this folder.
    Improved the draw() method of the NumericalMathFunction and related classes. Ongoing work.
    Simplified the include files in all the tests.
    Seprated the experiment classes into weighted and stratified designs of experiment. The weighted experiments are in Uncertainty/Algorithm/WeightedExperiment and the other experiments are in Base/Experiment. Ongoing work.
    Switched from the NumericalPoint class to the Indices class in the definition of the discretization of drawing methods in the Distribution class.
    Changed the bidimensional drawing method of the Distribution class. It is now based on the equivalent method of the NumericalMathFunction class.
    Improved the separation between the stratified experiments and the weighted experiments.
    Fixed a minor bug in the draw() method of the NumericalMathEvaluationImplementation class.
    Fixed a bug in the isElliptical() method of the ComposedDistribution class.
    Improved the ProductNumericalMathFunction class in order to allow the multiplication of an 1D valued function with a multidimensional output function.
    Detected a bug in the Ev3 differentiation method. Ongoing work to fix it.
    Added a color accessor for the grid in the Graph class.
    Made static the isValidColorPalette() method of the Pie class. It is now named IsValidColorPalette().
    Made static the isValidColor(), isValidLineStyle(), isValidPointStyle(), isValidFillStyle(), isValidPattern() methods of the Drawable class. They are now named IsValidColor(), IsValidLineStyle(), IsValidPointStyle(), IsValidFillStyle(), IsValidPattern().
    Added a constructor based on the Indices class to the Box class.
    Improved the hasVisibleName() method of the PersistentObject class in order to check if the object name is not empty and not equal to the default name.
    Fixed several bugs in the Ev3 symbolic differentiation.
    Made const the solve() methods of the different solvers.
    Improved the pretty-printing of many classes.
    Added a draw() method to the NumericalMathFunction class.
    Improved the LogNormalFactory class. Now, it provides the classical moment estimators, the local maximum likelihood estimators and the modified moment estimators. It also uses the Brent solver for a significant performance improvement.
    Improved the computeCharacteristicFunction() method of the LogNormal class, to cover efficiently several limit cases.
    Added the eZ1() method to the DistFunc class, used in the LogNormalFactory. It computes the mean value of the minimum of n iid random variables distributed according to the standard normal distribution.
    Fixed a precision issue in some tests.
    Changed the return type of the build() method for all the DistributionImplementationFactory related classes. Now, it returns a smart pointer on a DistributionImplementation rather than a C++ pointer. It closes the memory leak mentioned in ticket #545.
    Changed the return type of the getMarginal() method of the DistributionImplementation, RandomVectorImplementation and ProcessImplementation related classes. Now, it returns smart pointers instead of C++ pointers to avoid memory leak.
    Fixed a bug in the drawPDF() and drawCDF() methods of the DistributionImplementation class in the case of a non-continuous, non-discrete distribution.
    Moved the drawing code from the DiscreteDistribution to the DistributionImplementation class.
    Started the systematic implementation of the getStandardMoment() method into all the distributions. Ongoing work.
    Made the R dependency optional. Now, it is deactivated by default, and dynamically checked using ResourceMap.
    Improved the getStandardMoment() method of several distributions. Ongoing work.
    Fixed the getStandardMoment() method of the Beta class.
    Fixed the default constructor of the TruncatedNormal class. It cleses ticket #542.
    Added the RiceFactory class.
    Added the BesselI0() and BesselI1() methods to the SpecFunc class in order to compute the modified Bessel functions of order 0 and 1.
    Fixed a bug in the getFormula() method of the AnalyticalNumericalMathGradientImplementation and AnalyticalNumericalMathHessianImplementation classes.
    Fixed a bug in the getSkewness() and getKurtosis() methods of the LogUniform class.
    Improved the getParametersCollection() method of the Mixture class.
    Added the getStandardRepresentative() method to the Histogram class.
    Added the computeStandardMoment() method to the NonCentralChiSquare, Rice, InverseNormal, LogUniform, Mixture, Histogram, Trapezoidal classes.
    Added an efficient default implementation of the computeStandardMoment-) method for discrete distributions.
    Added the isDiscrete() method to the DistributionImplementation class.
    Reverted the modifications related to R made at rev. 2760.
    Improved the stability of the RiceFactory class.
    Added the LogBesselI0() and LogBesselI1() methods to the SpecFunc class.
    fixed a minor numerical precision issue on some tests.
    Added the ExpertMixture class.
    Switched the return type of the getMarginal() method from C++ pointers to smart pointers in all the NumericalMathFunction related classes in order to prevent from memory leaks.
    Added pretty-print to the ProductNumericalMathFunction class.
    Added pretty-print to the ProductNumericalMathEvaluationImplementation class.
    Added missing comparison operator to the ExpertMixture class.
    Fixed some clang warnings.
    Added the FisherSnedecorFactory class.
    Improved the robustness of the FisherSnedecor constructor.
    Created the Base/Geom subfolder to store all the geometrical entities.
    Added the computeLogAbsoluteDeterminant() method to the SquareMatrix and derivated classes.
    Improved the Mesh class. Now, it can read valid freefem++ 2D mesh files.
    New C++ implementation of the Normal CDF computation for the 2D and 3D cases. Ongoing work.
    Extended the multi-dimensional Student distribution to non-integer degrees of freedom.
    Fixed a bug in the pStudent() method of the DistFunc class for the Cauchy case when computing tail CDF.
    New generic implementation of the computeQuantile() method in the DistributionImplementation class, based on Brent's method instead of the bisection method.
    New generic implementation of the computeCDF() method in the ContinuousDistribution class, based on tensor Gauss integration.
    Applied Sofiane's patch to provide weights accessors in the Mixture class.
    Added an error control on the residual for the solvers (Brent, Bisection, Secant).
    Fixed a bug in the computeDDF() method of the ClaytonCopula and NormalCopula classes.
    Implemented the computeDDF() method of the GumbelCopula and AliMikhailHaqCopula classes.
    Implemented the computeQuantile() method of the Dirac class.
    Improved the selection of the integration order in the computeCDF() method of the Normal and Student classes for moderate dimensions.
    Improved the computeQuantile() method of the Binomial class. It is now based on a sequential search initialized by a Cornish-Fisher expansion.
    Fixed a bug in the computeRange() method of the Multinomial class.
    Fixed a bug in the computeDDF() method of the Burr class.
    Improved the managment of the mean attribute in the EllipticalCopula class.
    Added a generic implementation of the computeDDF() method to the ContinuousDistribution class.
    Improved the generic implementation of the computeQuantile() method in the DistributionImplementation and CopulaImplementation classes for the multi-dimensional case.
    MERGE: lebrun > svn merge -r2609:2853 https://.../trunk
    Fixed a minor bug in the computeQuantile() method of the Binomial class when tail=true.
    MERGE: lebrun > svn merge -r2853:2856 https://.../trunk
    Linux/Autotools build ok.
    Linux/CMake build ok.
    MinGW/CMake build ok.
    distcheck ok.
    MERGE: trunk> svn merge --reintegrate https://.../bayesian (2633:2849)
    Fixed weird construct that generates correct code in DistFunc. distcheck ok.
    Deprecated Distribution::computeCharacteristicFunction(NumericalScalar x, Bool logScale). distcheck ok.
    Deprecated Distribution::computeGeneratingFunction(NumericalComplex z, Bool logScale). distcheck ok.
    Deprecated Distribution::computeCDF(x, Bool tail). distchek ok.
    updated changelog
    Added class CalibrationStrategy. distcheck ok.
    Added Distribution::computeLogPDF method. distcheck ok.
    Missing files in previous commit. distcheck ok.
    Added Sampler class tree.
    Fixed missing files in previous commit. distcheck ok.
    Fixed typos in previous commit. distcheck ok.
    Added MetropolisHastings algorithm. Work in progress. distcheck ok.
    Fixed calibration step handling. Fixed save/load. Fixed default values. distcheck ok.
    Fixed RandomWalkMetropolisHastings atpy file.
    Calibration step is now an attribute of CalibrationStrategy.
    Can now specify a calibration step for each chain component.
    Factorized the proposal check code.
    Enhanced function validity detection.
    Switched to an analytical example for RWMH.
    Added python test for RandomWalkMetropolisHastings.
    Added PosteriorRandomVector. distcheck ok.
    Renamed burning attribute to burnIn.
    Fixed typos in previous commit. distcheck ok.
    Fixed missing cxx source references. distcheck ok.
    Fixed typo in python/src/Makefile.am. distcheck ok.
    Added Dirichlet::get/setParametersCollection. distcheck ok.
    Adding new regression test case. Work in progress.
    Fixed RWMH likelihood computation.
    Use model in t_RandomWalkMetropolisHastings_std
    Added missing ComposedDistribution::setParametersCollection.
    When not provided, the model = Identity.
    Enhanced DistributionImplementation::setParametersCollection(NumericalPoint).
    Do not use conditional distribution anymore.
    Fixed problem in setParametersCollection.
    Fixed another bug in setParametersCollection. Updated tests.
    Got the regression test case to work.
    Enhanced MatrixImplementation vetor product exception.
    RWMH regression test ok. distcheck ok.
    Fixed typo in regression test.
    Fixed bug in ComposedDistribution::setParametersCollection.
    Added a cache for the likelihood computation.
    Fixed error in previous commit. distcheck ok.
    Use a smarter likelihood computation reuse strategy. distcheck ok.
    Reuse likelihood when the candidate is rejected. distcheck ok.
    MERGE: bayesian> svn merge https://.../trunk -r2633:2842. distcheck ok.
    Linux/Autotools build ok.
    Linux/CMake build ok.
    MinGW/CMake build ok.
    distcheck ok.
    MERGE: trunk> svn merge --reintegrate https://.../process (2508:2838)
    Added the DickeyFullerTest class.
    This class enables to perform the Dickey Fuller test to check the stationarity of a time series.
    Three models are usually investigated and a strategy may be launched thanks to runStrategy.
    The class is not static comparing to other stat class tests due to the reuse of information while executing the strategy.  The constructor takes a time series as argument.  Intermediate tests of the strategy are visible.
    The complete table of Dickey Fuller is not available. But asymptotic DickeyFuller quantile and cumulative functions were added. These are based on three values (0.01, 0.05 and 0.10) and a linear approximation. The final functions will be more efficient
    Added test files for DickeyFullerTest class
    Disabled DickeyFuller tests (library and python)
    Added CovarianceModelFactoryImplementation and CovarianceModelFactory class
    Added UserDefinedCovarianceModel class
    Added NonStationaryCovarianceModelFactory class.
    The class enables to estimate a covariance model using a sample of data and no particular hypothesis.
    Rewrite NonStationaryCovarianceModelFactory::build to use less memory.
    The initial version used an N*dimension auxiliary NumericalSample to compute its CovarianceMatrix.  It is more memory efficient to compute (N*dimension)*(N*dimension+1)/2 matrices.
    Added missing tests for UserDefinedCovarianceModel class
    Added missing tests for NonStationaryCovarianceModel class.
    Added the class UserDefinedStationaryCovarianceModel
    Added library tests for UserDefinedStationaryCovarianceModel
    Added the StationaryCovarianceModelFactory class.
    This class enables to estimate a stationary covariance model using the spectral density information. An FFT inversion is used to estimate the covariance model.
    The discretization is similar to the Fogli's one.
    Added StationaryCovarianceModelFactory tests.
    Added the ARMALikelihoodFactory library class.
    The class enables to estimate multivariate ARMA models using the likelihood function.
    As the usual algorithm is based on the inversion of the covariance matrix, we use a more efficient algorithm (cf J.A. Mauricio).
    For the optimization algorithm, default initial values are estimated using the WhittleFactory if user does not set ones.
    The class returns an exception if both p and q are 0.
    Added ARMALikelihoodFactory keys in ResourceMap.
    The algorithm here consists in separating elementary tasks:
    - Compute the theoritical cross/auto covariance matrices. These are stored in  crossCovariance_ and autoCovariance_ attributes.
    - Assemble the information and covariance matrices (Omega, Sigma, V...)
    - Compute the cholesky factor and solve a linear system
    - Compute the objective value
    The coefficientsBlockMatrix_ attribute stores the coefficients of the model. Care to the difference of conventions between Mauricio and OpenTurns ones.
    Transpose and rename coefficientsBlockMatrix_ matrix.
    Most matrix multiplications with phi and theta are matrices are:
      phi * B or B * phi^{T}
    Since OpenTurns use a column storage, it is more efficient to compute
      M_{ij} = A_{ik} B_{kj}
            = (A^{T})_{ki} B_{kj}
    This is why transposed matrices are stored, and coefficientsBlockMatrix_ is renamed into blockPhiTThetaTMatrix_.
    For the same reason, switch some loops on rows and columns.
    Fix several occurrences of (currentP_ - 1) which may cause trouble when currentP_ is 0.
    Added a particular case of compute covariance method for pure AR models. This method enables to compute the covariance matrix using the white noise covariance matrix of size p.
    Removed some useless boolean variables and added verbose accessors.
    Renamed the logLikelihhod function and completed the method. This enables to compute the main factor of the likelihood function.
    Completed the ComputeObjectiveAndConstraint method by setting the constraints on AR values, MA values and covariance matrix.
    Completed the build method by launching the cobyla algorithm.
    Made some cleaning and fixed some minor bugs.
    Added ARMALikelihood library tests
    Added missing ARMALikelihood python test
    Updated ARMALikelihood library test
    Fixed minor bugs in ARMALikelihoodFactory with pure AR estimate
    Fixed type error in ResourceMap
    Transpose productPhiLambda in order to improve memory access
    Implement all steps as in Mauricio's paper.
    In computeV1_Omega_V1T_Cholesky, V1*Omega*V1T may have null eigenvalues.
    As the computeCholesky() method only works on positive definite matrices,
    we must use a modified Cholesky decomposition which also works with
    semidefinite positive matrices.
    Likelihood gives the same result as in Mauricio's code.
    DickeyFullerTest does not compile with g++ 4.7
    In DickeyFuller, rewrote the pValue of intermediate Student tests
    Fixed a bug with the write of critical region for unit root test : the null hypothesis is a non stationarity
    Added missing ARMALikelihoodFactory keys in openturs.conf file
    Update values in ResourceMap
    Fix computation of likelihood.  Results have been validated against
    Fortran code with (p,q) = (2,0), (2,1), (0,2) and (1,2).
    MERGE: process> svn merge -r2507:2598 https://.../trunk
    MERGE: process> svn merge -r2598:2602 https://.../trunk
    MERGE: process> svn merge -r2603:2609 https://.../trunk
    Disabled ARMA likelihood test. distcheck ok.
    Renamed some methods of the DickeyFuller class in order to match the naming in the UseCases guide.
    Linux/Autotools build ok.
    Linux/CMake build ok.
    MinGW/CMake build ok.
    distcheck ok.
    Removed CVS keywords. distcheck ok.
    Deprecated Distribution::getNumericalSample, RandomVector::getNumericalSample, TimeSeries::getNumericalSample, and TimeSeries::asNumericalSample. distcheck ok.
    Updated NEWS file.
    MERGE: trunk> svn merge --reintegrate https://.../schueller (2386:2597)
    Applied barbier's patch for #435 for readability
    Applied barbier's cmake patch for #415: removed obsolete variables.
    Applied barbier's cmake patch for #415: default build type.
    Allowed to unset LIB_SUFFIX more easily
    Reverted changeset 2423.
    Fixed #426.
    Using Py_ssize_t instead of int for slicing indices.
    MERGE: svn merge https://.../trunk -r 2386:2507 distcheck ok
    Fixed #472.
    Fixed #469. Fixed error in previous commit.
    Removed useless condition on USE_INTERNAL_BLASLAPACK.
    Fixed #473
    Fixed #415.
    Activated test of generic wrapper. In python, allowed use of wrapper data enums using their corresponding xml tags.
    Added NumericalSample single slice operator.
    Added missing file inFILE_generic.
    Fixed missing generic wrapper outfile.
    Added automatic python conversion to BoolCollection.
    Fixed #482.
    Fixed #495
    Fixed #497
    Fixed #493
    Fixed #492
    Fixed #491
    Fixed #475.
    Fixed #372.
    Fixed #374
    Fixed #375
    Added MixtureClassifier.
    Fixed bug in Student distribution : sigma parameter was not taken into account in the 1-d case. Fixed cdf gradient to take sigma into account.
    Fixed minor color loop bug.
    Moved static initialization of DistFunc constants.
    Fixed a minor bug in TimeSeriesImplementation : exception could never be throwed.
    Removed variable length array in kissfft.
    CMake: Updated OpenTURNSConfig script, MinGW build (in progress).
    Fixed openturns-config.
    Added swig flags/dirs to OpenTURNSConfig.
    Fixed warning in DistFunc.
    Almost fixed CMake/MinGW cppinstallchecks.
    Almost fixed all tests.
    Fixed missing mthreads flags in config.
    Added quantile function on a user-provided grid.
    Fixed system name problem.
    Fixed missing AUTOTEST var.
    Fixed mingw OPENTURNS_PYTHON_MODULE_PATH.
    Fixed mingw Makefile incompatibility.
    Added NumericalMathFunction::clearCache method.
    Introducing PythonRandomVector.
    Workaround for a problem with cmake 2.8.2 and MinGW.
    Added OPENTURNS_PYTHON_MODULE_PATH to OpenTURNSConfig script.
    Declared some wrapping functions as inline to avoid the unused warning.
    Kept the possibility to build with mingw/autotools.
    Rewrite MatrixImplementation accessors dim test to mimic NumericalSample behavior.
    Activated missing cmake R module detection macros.
    Allowed to installcheck in parallel to speed up mingw build.
    Linux/Autotools build ok + module ok.
    Linux/CMake build ok.
    MinGW/CMake build ok.
    distcheck ok.
    MERGE: trunk> svn merge --reintegrate https://.../lebrun (2507:2598)
    Added a new FFT based multiplication operator to the UniVariatePolynomialImplementation class.
    Added the NextPowerOfTwo() method to the SpecFunc class.
    Fixed the use of the BoxCoxFactory-RootEpsilon key of ResourceMap in the WhittleFactory class. It fixes ticket #471.
    Fixed the wrong index shift in the getRealization() method of the SpectralNormalProcess class. It fixes ticket #479.
    Changed the default behaviour of the CompositeProcess class. Now, it inherits its time grid from the underlying input process.
    Added the NegativeBinomialFactory class, based on maximum likelihood estimation.
    Fixed the bug in the getRealization() method of the NegativeBinomial class. It closes ticket #480.
    Moved some hard-coded constants into the ResourceMap class.
    Fixed a bug in the WhittleFactory class when the order q of the MA part is different from its AR part and the invertible flag is activated.
    Fixed a minor precision problem in the autotests
    Added the FunctionalBasisProcess class.
    Added the FarlieGumbelMorgensternCopula class.
    Added the FarlieGumbelMorgensternCopulaFactory class, estimation based on Kendall's tau then Spearman's rho if it fails.
    Improved the generic implementation of the computeQuantile() method in the CopulaImplementation class. It is now based on Brent's method instead of bisection.
    Fixed ticket #487.
    Fixed ticket #488.
    Removed useless keys in openturns.conf
    Extended the verbosity of the t_WhittleFactory_std test on purpose in order to help debugging i386 target.
    Added pretty-printing to the RandomMixture class.
    Added the Dirac class.
    Added the DiracFactory class.
    Fixed a minor bug in the pretty-printing of Mixture class.
    Removed the printing of the history in Whittle test, as for some combination of parameters the optimization result is not unique.
    Added an accessor to the collection of orthogonal univariate polynomial families to the OrthogonalProductPolynomialFactory class.
    Fixed a minor bug in the StandardDistributionPolynomialFactory class.
    Fixed a minor bug in the ARMA class.
    Added pretty-print to the RandomMixture class.
    Fixed a numerical underflow in the RandomMixture class for large (>1000 atoms) mixtures.
    Added the getStandardMoment() method to the TruncatedNormal class.
    Added the ClassName information to all the distribution factories. It closes ticket #496.
    Added the ClassName information to all the distribution factories. It closes ticket #496.
    Fixed a minor bug in the discrete distributions that removed the access to the generic implementation of the full support direct accessor.
    Added a cleaning strategy to the Mixture class that allows to automatically remove atoms with too small relative weight.
    Added the getInverse() method to the TrendTransform and InverseTrendTransform classes.
    Fixed a bug in the pretty-print method of the DualLinearCombinationEvaluationImplementation class in the 1D output dimension case when some coefficients are zero.
    Improved the pretty-print of the WhittleFactoryState class.
    Improved the pretty-print of the DualLinearCombinationEvaluationImplementation class.
    Added the ConditionalDistribution class. It allows to define distributions by conditioning the parameters of an 1D distribution by another distribution.
    Improved the pretty-print of the Process class in order to help the debug.
    Improved the pretty-print of the WhiteNoise class.
    Fixed some tests.
    Changed the way the TrendFactory class uses the basis. It is now an argument of the build() method instead of a parameter of the constructor.
    Removed useless multiple inheritance in the NearestPointAlgorithm and BoundConstrainedAlgorithm classes.
    Added the AliMikhailHaqCopula class.
    Added the AliMikhailHaqCopulaFactory class.
    Fixed a; minor bug in the HypothesisTest class.
    Fixed a bug when the weights were specified separately from the atoms in the Mixture class.
    Started the implementation of the PosteriorDistribution class for Bayesian inference.
    Added a generic implementation of the computeCDF() method in the ContinuousDistribution class.
    Added a dedicated integration method to the ConditionalDistribution class.
    Changed the InternalErrorException to InvalidArgumentException exceptions in all the distribution factories.
    Added a specific treatment of the independent case in the FrankCopula class.
    Added a specific treatment of the independent case in the ClaytonCopula class.
    Added the PDF and CDF gradients to the ClaytonCopula class.
    Added the isElliptical() method to the ComposedDistribution class.
    Improved the PosteriorDistribution class.
    Added a missing check in the GumbelCopula constructor.
    Fixed a minor bug in the RandomMixture class.
    Fixed a bug in the getParametersCollection() method of the ComposedDistribution class.
    Improved the check for spherical distribution in the StandardEvent class.
    Switched from an exception to a warning in the computeCovariance() method of the QuadraticCumul class in case of non-positive covariance matrix approximation.
    Fixed a minor bug in the OrthogonalDirection class.
    Fixed a minor bug in the pretty-printing of the ARMACoefficients class.
    Fixed a minor bug in the pretty-printing of the ARMA class.
    Improved the labeling of the Kendall plot in the VisualTest class.
    Improved the robustness of the BestModelBIC(), BestModelKolmogorov() and BestModelChiSquared() methods in the FittingTest class.
    Added the SetColor() and GetColor() methods to the Log class.
    Fixed a bug in the input dimension of the TemporalFunction class.
    Fixed an initialization bug in case of non-diagonal spatial covariance in the ExponentialModel and CauchyModel classes.
    Added row and column extraction to the several matrices.


2012-04-17  Julien Schueller <schueller(:AT:)phimeca(:DOT:)com>

		* [1.0] Changed the behaviour of the analytical functions. Now, the ability to perform symbolic differentiation is checked only at the first call to the gradient() or hessian() methods, with an exception if the formula cannot be differentiated analytically. It solves partially ticket #411.
				Removed the deprecated methods in the following classes:
						* DistributionImplementationFactory
						* LinearModelTest
						* VisualTest
						* KernelSmoothing
						* NumericalMathFunction
						* LinearModelFactory
						* Graph
						* GraphImplementation
						* Interval
				Improved the use of the Log class in the following classes:
						* MarginalTransformationEvaluation
						* FittingTest
						* RandomMixture
						* NumericalMathFunctionImplementation
				Added the AggregatedNumericalMathEvaluationImplementation, AnalyticalNumericalMathEvaluationImplementation and DatabaseNumericalMathEvaluationImplementation classes to the TUI. It also contributes to solve ticket #411.
				Fixed ticket #417 by applying Sofiane's patch.
				Fixed ticket #418 by applying Sofiane's patch.
				Fixed #420
				Fixed #414. distcheck ok.
				Added the ability to specify the separator in the BuildFromCSVFile() and exportToCSVFile() methods of the NumericalSample class.
				Applied Sofiane's patch for #432. distcheck ok.
				Fixed header installed twice. distcheck ok.
				Fixed #434
				Fixed python test of ProcessSample related to #434
				Fixed #423
				Fixed #425. distcheck ok.
				Optimized matrix conversion related to #425. distcheck ok.
				Removed useless references to the OT namespace.
				Unified the construction of the result object for the different matrix operators.
				Removed useless calls to the checkSymmetry() and checkHermitian() methods.
				Simplified several methods of the HermitianMatrix class.
				Added the real() and imag() methods to the ComplexMatrix and HermitianMatrix classes.
				Changed the internal storage of the SymmetricMatrix, the SymmetricTensor and the HermitianMatrix classes. Now, only the lower triangle is stored and addressed, excepted for reading values and for pretty-printing.
				Fixed a bug in the matrix multiplication between a square matrix and a symmetric matrix.
				Fixed a bug in the computation of the determinant for symmetric matrices.
				Added the computation of right (ie classical) eigen vectors to the SquareMatrix and SymmetricMatrix classes.
				Fixed a bug in the element accessors for the HermitianMatrix class. Now, the elements are properly conjugated on reading, and only the lower triangle is accessible for writing.
				Fixed a bug in the returned type for the symmetric matrix/symmetric matrix multiplication and the hermitian matrix/hermitian matrix multiplication.
				Fixed a bug in the aggregation mechanism for normal atoms in the RandomMixture class.
				Fixed typecheck typemaps of NumericalSample, NumericalPoint. Added NumericalSample copy constructor to properly copy all attributes (name, description, ...). Closes #445.
				Reverted changes on lib/src/Base/Common/Object.hxx -r2428:2427. distcheck ok.
				Fixed a minor bug in the CleaningStrategy class.
				Fixed several normalization bugs in the SpectralNormalProcess class.
				Changed the definition of the UserDefinedSpectralModel class. Now, it accepts only nonnegative frequencies and the associated frequency grid, but it can be evaluated on negative frequencies thanks to the hermitian symmetry.
				Renamed the evaluation() method into an evaluation operator for the several filtering window implementations.
				Changed the default behaviour of the FilteringWindow class. Now, it is equal to the Hamming window by default.
				Improved the performance of the Hanning class.
				Fixed numerous normalization bugs in the WelchFactory class.
				Fixed a normalization bug in the Hamming class.
				Changed the way the title of the importance factors graph is built in the QuadraticCumul class.
				Added a constructor based on a numerical point with description to the ConstantRandomVector class.
				Added a missing copyOnWrite() in many interface classes.
				Removed whitespace in Pairs::__repr__ to conform to other drawables outputs.
				Fixed a bug in the symmetrize() method in ComplexMatrixImplementation class.
				Fixed roundoff errors in some tests.
				mingw: fix incorrect prefix path when cross compiling.
				Applied Ivan's patch to update wrapper templates (see #421).
				Applied Ivan's patch for #436.
				Fixed warning in Path::CreateTemporaryDirectory where the result of mkdtemp was not checked. Added a test in wrapper templates to check against sample execution (see #436).
				Fixed error in commit 2441.
				Fixed WIN32 compilation related to r2440.
				Fixed rounding error in UserDefinedSpectralModel check test. distcheck ok.
				Enabled missing LHSExperiment python check test. distcheck ok.
				Removed useless Exception test files ; all Exceptions are tested in t_Exception_std.
				Fixed a bug with the blockNumber parameter and a wrong error message in the WelchFactory class.
				Added a missing legend position in the GraphImplementation class.
				Added a clean() method to the ComplexMatrix class.
				Removed the useless symmetrize() method of the ComplexMatrix class.
				Added a clean() method to the Matrix class.
				Added a simplification mechanism to the MarginalTransformationEvaluation class that improves significantly its performance.
				Reworked the WhittleFactory class. More tests are needed.
				Added the getMarginalProcess() method to the CompositeProcess class.
				Added the getMarginal() method to the DynamicalFunction, TemporalFunction and SpatialFunction classes.
				Fixed a memory leak when calling the getMarginal() method of DistributionImplementation children classes without cast into a Pointer or an interface class.
				Improved the const corectness in various places.
				Enabled missing NormalCopulaFactory python check test. distcheck ok.
				Enabled missing FunctionalChaos_ishigami_database python check test.
				Removed duplicate OrthogonalProductPolynomialFactory check test in favor of disabled OrthogonalBasis test. distcheck ok.
				Added missing Whittle parameters in openturns.conf.in.
				Improve parallel python exemple: start the minimum threads needed. Reindent to python style.
				Removed duplicate ComposedNumericalMathFunction test (NumericalMathFunction_composition) and LinearCombinationYYYYImplementation test (NumericalMathFunction_linear_combination).
				Removed useless file t_UserDefined_std_bug.py.
				Removed useless folder lib/src/Chain
				Enabled LinearCombinationYYYYYImplementation python tests.
				Preparing debian package update.
				Updated closed tickets log. distcheck ok.
				CMake: fixed missing examples scripts wrt autotools.
				CMake: fixed missing validation files wrt autotools.
				Fixed gcc 4.7 unqualified template function lookup behavior towards OTtestcode.hxx and other warnings.
				Fixed the bugs in the WhittleFactory class.
				Added a verbose option, an history mechanism and a selection mechanism to the WhittleFactory class.
				Added the WhittleFactoryState class.
				Improved the pretty-printing of the ARMA class.
				Changed the ARMAFactoryImplementation class in order to accept ranges of orders.
				Improved the WelchFactory class in order to accept a block number of 1.
				Updated rpm packages.
				Fixed #464
				Made OTbind shared to mimic autotools.
				Updated debian packages.
				Fixed t_WelchFactory_std rounding.
				Set version number 1.0 distcheck ok.
				Added BoxCoxFactory parameters to the ResourceMap class.
				Added a parameter to check the roots of the ARMA polynomials in the WhittleFactory class.
				Removed the useless inclusion of the csv parser in the TimeSeriesImplementation class.
				Fixed some cast warnings and type errors.
				Fixed some numerical precision troubles in the tests.
				Updated the MuParser version (2.2.2) in order to fix some bugs in the previous embedded version (2.1.0).
				Improved the compression and added some customization in the openturns_script.nsi file. Care: some OpenTURNS paths are hard-coded!
				Improved the compression and added some customization in the openturns_developer_script.nsi file. Care: some OpenTURNS paths are hard-coded!
				Improved the optimization flags: now, OpenTURNS is approximately 30% faster on a core i5 laptop while being i586 compatible. Care: some msis paths are hard-coded!
				Improved the use of the path in the GraphImplementation class.
				Added an OS specific implementation of the system() function to the Os class.
				Reverted most r2472 changes: hardcoded paths, installer customization, aggressive optimization flags, and use CreateProcess only for graphs. distcheck ok.
				Fixed invalid wrapper template header.
				Fixed a bug in the GraphImplementation class under windows when the path is specified.
				Customized the installer in order to give it an OpenTURNS look.
				Reverted the Makefile in distro/windows.
				Fixed missing extern keyword in previous commit 2474
				Removed useless swig option in windows Makefile
				Removed hardcoded paths.
				Improved icon readability
				Cleaned openturns icon and included multiple sizes. Made simple_cxx_example actually simple.
				Reactivated the call to Os::ExecuteCommand() in the HypothesisTest, FittingTest, LinearModelTest, LinearModelFactory and DistributionImplementationFactory classe.
				Added a mechanism to activate/deactivate the call to CreateProcess() in the Os class. This mechanism is compiled only in the Windows version of OpenTURNS, and the default is to use system() instead of CreateProcess. The user has to call the Os.EnableCreateProcess() method in Python in order to switch to the new implementation of the Os::ExecuteCommand() method.
				Improved the pretty-printing of some NumericalMathEvaluation classes, in order to get a reusable expression for functional chaos meta-models in other contexts.
				Improved the knowledge-based otimization in the MarginalTransformationEvaluation class.
				Fixed undefined reference to Os::UseCreateProcess_
				Fixed a conversion warning in the ZipfMandelbrot class.
				Fixed an initialization trouble in the Os class.
				Fixed bug in HyperbolicAnisotropicEnumerateFunction weight constructor. Fixed InverseNormal mean computation. Fixed LogUniform gradients. Fixed a warning in SpectralNormalProcess. distcheck ok.

2012-02-24  Julien Schueller <schueller(:AT:)phimeca(:DOT:)com>

  * [1.0rc1] MERGE: trunk> svn merge --reintegrate https://.../dutka (2054:2173)
    Removed deprecated wrapper function changeDirectory().
    Removed preloading of libOT.so in Python. Complete refactoring of function resolution in wrappers. Closes #300.
    Fixed bug in wrapper method binding.
    Added new exception catch in Python.
    Fixed bug in Collection.hxx (wrong arguments for delitem method).
    Fixed bug in WrapperCommon.cxx (error in function name).
    Added workaround for bug in libstdc++ 4.4.5 (incorrect exception catched when raised by std::vector<T>::at).
    Fixed bug in WrapperCommons_macros.h (missing macro for WIN32).
    Fixed bug in WrapperInterface.h causing invalid pointer conversion.
    Cleaned various portions of code in order to eliminate most of warnings.
    Added error propagation in TBB version WrapperObject class.
    Made libOTbind static (archive).
    Added 2 mandatory macros for wrappers: WRAPPER_BEGIN and WRAPPER_END.
    Applied M. Souchaud's patch: W2K cd improvement and path fix.
    Added PIC flag to libOTbind since it will be used in DSOs.
    Renamed WrapperCommon_private.h as WrapperCommon_extern.h.
    Factorization of exported wrapper functions (extend usage of BIND_METHODS/BIND_ACTION macros).
    Made libOTbind a dynamic library since static ones encouter several portability problems.
    Added visibility pragma definitions for future usage.
    Removed deprecated class SobolIndicesResult.
    Removed deprecated class SobolIndicesParameters.
    Removed deprecated method CorrelationAnalysis::SobolIndices.
    Removed deprecated test t_CorrelationAnalysis_sobol.
    Removed related SWIG files.
    Applied D.Barbier's patches. Closes #378.
    Fixed bug in lib/src/Base/Stat/CMakeLists.txt file (useless file not removed in previous commit).
    Applied D.Barbier's patches. Closes #380.
    Changed lib and python tests in order to manage both Linux and Windows without changes.
    Changed utils/adapt_check_tests_sh in concordance.
    Fixed bug in libOTbind-0.dll installation.
    Fixed new bug in libOTbind-0.dll installation.
    Fixed bug in libOT-0.dll and libOTbind-0.dll installation.
    Added colorization to make check and make installcheck outputs.
    Added better support for Numpy ndarray in NumericalSample.
    First attempt to parallelize NumericalSample::computeKendallTau() method. :-|
    Applied M. Souchaud's patch for Windows.
    Fixed bug in NumericalSample::computeKendallTau() method.
    Removed useless file utils/adapt_check_tests.sh. Now source files are identical between Linux and Windows.
    Fixed bug due to missing file.
    Applied M. Souchaud's patch for windows distro.
    Make distcheck ok.
    Module load ok.
    Windows port ok.
    CMake build ok.
    MERGE: trunk> svn merge --reintegrate https://.../lebrun (2055:2178)
    Renamed the isInside() and isNumericallyInside() methods of the Interval class into contains() and NumericallyContains(). The old methods are now obsolete.
    Added the NegativeBinomial class.
    Fixed a minor bug in the NegativeBinomial class.
    Enhanced many tests related to distributions in order to test characteristic functions and probability generating functions.
    Fixed buggy python tests.
    Renamed InverseHalton class into ReverseHalton to be more consistent with the literature.
    Added the HaselgroveSequence class, which implements a new low discrepancy sequence based on irrational translations of the nD canonical torus.
    Added missing entries in ResourceMap and openturns.conf.
    Fixed the bug described in ticket #365 in the LeastSquaresStrategy class thanks to the provided patch. The tests have been updated also.
    Fixed ticket #366: now, the input sample of the projection strategy is stored in the physical space in all circumstances (provided by the user or generated on the fly). It closes ticket #366.
    Fixed a bug in the computeCDF() method of the DistributionImplementation class. It closes the ticket #371.
    Fixed minor bugs in the OTXXX.hxx files.
    Added an history mechanism to all the NumericalMathFunction types. It is deactivated by default, and stores all the input and output values of a function when activated.
    Added a new constructor to the Mixture class in order to specify the collection of distributions and the weightds separately.
    Added new constructors to the FunctionalChaosAlgorithm class in order to use a database instead of a model to perform the computation.
    Changed the constructors based on databases and weights for the ProjectionStrategy and derived classes.
    Added the MeixnerFactory class, in charge of building the orthonormal basis associated to the negative binomial distribution.
    Improved the FunctionalChaosRandomVector: it is now based on the polynomial meta model in the measure space instead of the input distribution based random vector. It provides the same output distribution for much cheaper realizations.
    Improved the performance of the RandomMixture class. Now, all the Normal atoms are merged into a unique atom, which greatly improve the performance in case of random mixture of many such atoms.
    Improved the MeixnerFactory class.
    Removed the test for the MeixnerFactory class in the CMake infrastructure.
    Removed the input/output strategies from all the Simulation classes as it is now a service of the NumericalMathFunction class.
    Removed the systematic computation of importance factors and mean point in event domain from the Simulation and SimulationResult classes, as it is not compatible with the process data model.
    Added the computeQuantileBound() method to the Wilks class, in order to ease the computation of guaranteed bounds on a quantile from Wilk's sampling size.
    Improved the use of the ResourceMap class within all the simulation algorithms.
    Added the save/load mechanism to the LHS class.
    Started the work on the RandomizedLHS class, in links with ticket #376.
    Added the save/load mechanism to the LowDiscrepancySequence class.
    Fixed a bug in the recurrence relations of the MeixnerFactory class
    Updated the validation file of the MeixnerFactory class.
    Fixed a minor bug in the GaussProductExperiment class.
    Improved the implementation of the computeCDF() method of the Multinomial class.
    Improved the verbose mode of the TNC class.
    Make distcheck ok.
    Module load ok.
    Windows port ok.
    CMake build ok.
    MERGE: trunk> svn merge --reintegrate https://.../eads-devel (1986:2181)
    Improved the WhiteNoise class: now, only distributions with zero mean are allowed.
    Improved the ARMA class. Now, it is possible to create non-stationary ARMA but no automatic thermalization is done in this case. The computeNThermalize() method became the computeNThermalization() method and now it takes a user specified epsilon.
    Removed the contructor based on tMin, tMax and stepNumber parameters. Now, the only constructor is tMin, N, timeStep.
    Removed AM_MAINTAINER_MODE macros from configure.ac files. See ticket #384 for explanations.
    Added TimeGrid class.
    Added TimeSeries / TimeSeriesImplementation classes.
    Added missing properties to many files.
    Added missing template specializations in SWIG files.
    Fixed numerous tests.
    Adapted the WhiteNoise, ARMA and TemporalNormalProcess classes to the new TimeGrid class.
    Improved the WhiteNoise class: now, the underlying distribution must have a zero mean.
    Fixed a bug in the ARMA class: when built using a given state, no thermalization must occur.
    Changed the signature of the computeNThermalization() method in the ARMA class. Now, it takes the vlue of the threshold below which the thermalization has occured. Switched the default threshold from about 2e-308 to about 2e-16.
    Renamed the getPossibleFutur() method into getFutur()
    Added a pretty-print method to the ARMAState class.
    Removed the TimeGrid source files, as this class is now defined in the TimeSeriesImplementation source files.
    Added the SpatialFunction class, that allows to generate time series from given time series by considering them as samples, without using the time information.
    Added the DynamicalFunction class, that aloow to generate time series from given time series using the full information in the time series, with a global use of the time grid.
    Fixed a bug in the definition of the ExponentialCauchy class.
    Fixed several bugs in the computeMean() and computeTemporalMean() class due to the new implementation of the TimeSeries class.
    Fixed a bug an inconsistency between the TimeSeries and the TimeGrid classes. In the TimeSeries class, one stores the number of points, whereas it is the number of intervals in the TimeGrid class. This choice is correct, but the difference has to be taken into account in the code.
    Added a drawMarginal() method to the ProcessSample class.
    Added a asNumericalSample() method to the TimeSeriesImplementation class.
    Added missing test for the TemporalNormalProcess class.
    Removed duplicate test.
    Removed duplicate installed programs.
    Fixed some non-critical bugs in the ARMA class.
    Make distcheck ok.
    Module load ok.
    Windows port ok.
    CMake build ok.
    Removed useless intermediate namespaces.
    Make distcheck ok.
    CMake ok.
    MERGE: trunk> svn merge --reintegrate https://.../dutka@2246 (2195:2246)
    Reshaped C++ and C files in order to remove namespace indentation.
    Added new C macros: BEGIN_C_DECLS, END_C_DECLS, BEGIN_NAMESPACE_OPENTURNS and END_NAMESPACE_OPENTURNS.
    Added NumericalMathFunction::operator() on TimeSeries.
    Added new wrapper function func_exec_timeseries.
    Added Python side for these enhancements.
    Fixed bug in windows build introduced by previous commit.
    Fixed bug in TimeSeries copy ctor for Python binding. Closes #398.
    Fixed bug in NumericalSampleImplementation with TBB.
    Fixed ticket #400.
    Fixed bug introduced by previous commits.
    Make distcheck ok.
    Module load ok.
    Windows port ok.
    CMake build ok.
    MERGE: trunk> svn merge --reintegrate https://.../schueller (2198:2291)
    CMake: Fixed #387; Added TBB detection; Added uninstall, distcheck targets; Automatically set LIB_SUFFIX.
    Removed FunctionCache in favor of in/out History. Fixed callsNumbers being incorrecly incremented  in ComputedNumericalMathEvaluationImplementation. Added getCacheHits method. Added test cases for PythonNumericalMathEvaluationImplementation, ComputedNumericalMathEvaluationImplementation regarding cache behavior.
    Fixed #377. distcheck ok.
    Fixed bug in optimization algorithms where some non-null initialized variable (on windows) could lead to a significant computation error
    Fixed save/load bug in BoundConstrainedAlgorithmImplementationResult
    Added cmake Numpy detection
    Fixed #369
    Added NumericalMathFunction::addCacheContent to add keys/output values to the cache from input/output samples.
    Added Indices typemaps, closing #381
    Added conversion list / tuple -> Description
    Missing test in previous commit
    Fixed error in latest tests
    Added test for BoundConstrainedAlgorithmImplementationResult save/load
    Added test for array/Description conversion
    Removed useless constructor from range of elements added in previous commits
    Exposed matrix constructors from 1-d scalar collections in python
    Made cmake find scripts compliant with cmake standards
    Some cleaning in main CMakeLists.txt
    Make distcheck ok.
    Module load ok.
    Windows port ok.
    CMake build ok.
    MERGE: trunk> svn merge --reintegrate https://.../eads-devel (2230:2298)
    Fixed a bug in the getFuture() method of the RandomWalk class.
    Added pretty-print to the DrawableImplementation class.
    Moved the Uncertainty/Algorithm/IsoProbabilisticTransformation folder into Uncertainty/Algorithm/Transformation folder, in order to prepare the development of the process transformations.
    Added the computeQuantilePerComponent() method to the ProcessSample class.
    Fixed several minor bugs in autotest files.
    New classes:
    ===========
    Added the TrendTransform class
    Added the BoxCoxFactory class
    Added the BoxCoxTransform class
    Added the InverseBoxCoxTransform class
    Added the BoxCoxEvaluationImplementation class
    Added the InverseBoxCoxEvaluationImplementation class
    Added the CompositeProcess class
    Improvements / Enhancements:
    ===========================
    Changed method isStationnary to isStationary in Process class
    Changed the frequency grid support. Now we make benefits of the RegularGrid class
    Fixed a bug in the SpectralNormalProcess setTimeGrid() method. We must also update the frequencyGrid and the spectral density matrices
    Fixed minor bug with TimeSeries constructor
    Added the TrendFactory class.
    Added the InverseTrendTransform class.
    Modified the drawMarginal() method of the TimeSeries class in order to improve the readability of the graph.
    Added a flag to tell if the BoxCoxFactory must build a direct or inverse Box Cox transformation.
    Added a getInverse() method to the BoxCoxTransform class.
    Added a getInverse() method to the InverseBoxCoxTransform class.
    Improved the ExponentialCauchy class by using the ExponentialModel and CauchyModel classes.
    Improved the SpectralModelFactory class.
    Improved the CovarianceModel class.
    Implemented the interface/implementation pattern for the SecondOrderModel class.
    Added missing files in the previous commit.
    Added flags to the SecondOrderModelImplementation class to check if the underlying spectral and covariance models are present.
    Added missing files in previous commit. Applying patches is not the best way to interact with the versioning system...
    Made some minor cleaning to the FFT related classes.
    Moved the file COPYING.kissfft to the right place.
    Make distcheck ok.
    Module load ok.
    Windows port ok.
    CMake build ok.
    MERGE: trunk> svn merge --reintegrate https://.../lebrun (2197:2323)
    Updated the MuParser version. OpenTURNS is now based on MuParser version 2.0.0.
    Removed useless and confusing exception declarations in header files.
    Removed useless and confusing exception declarations in source files.
    Improved the use of ResourceMap throughout the library.
    Added a specialized implementation of the solveLinearSystem() method for the CovarianceMatrix class.
    Improved the test coverage of the solveLinearSystem() method for the various matrix types.
    Improved the speed and accuracy of moments computation for the ZipfMandelbrot distribution.
    Factorized code between the LHS and LHSExperiment classes.
    Worked on the RandomizedLHS class. Ongoing work.
    Added the RandomizedLHS class. It is linked to ticket #376.
    Fixed a bug in the drawProbabilityConvergence() method of the Simulation class.
    Added the RandomizedQuasiMonteCarlo class. It closes ticket #376.
    Improved the getRealization() method of the UserDefined class. Now, it has a O(log(n)) complexity instead of O(n) complexity.
    Added the getMarginal() methods to the UserDefined class.
    Added the MinCopula class.
    Fixed a minor bug in the Pairs class.
    Reindented the source as the last merge was mostly manual and messed up a lot of files with respect to the indentation.
    Make distcheck ok.
    Module load ok.
    Windows port ok.
    CMake build ok.
    MERGE: trunk> svn merge --reintegrate https://.../lebrun (2327:2375)
    Added a warning in the build() method of the LogNormal distribution in order to inform the user when the MLE estimator failed.
    Improved the drawPDF() and drawCDF() methods of the CopulaImplementation class.
    Simplified the importance factors computation in the AnalyticalResult class.
    Started the implementation of the SimulationSensitivityAnalysis class.
    Improved the buildDefaultLevels() method of the Contour class. Now, the levels are based on quantiles of the value to be sliced.
    Added the normalize() and normalize2() methods to the NumericalPoint class.
    Improved the computeQuantilePerComponent() method of the NumericalSampleImplementation class. Now, it uses the algorithm used by Octave and Matlab. It closes ticket #406.
    Worked on the SimulationSensitivityAnalysis class. Ongoing work.
    Fixed a bug in the Simulation class: the convergence history was not reseted  between runs.
    Fixed a bug in the initialization part of the store() method of the Full, Compact and Last class.
    Improved the SimulationSensitivityAnalysis class.
    Restored the ability to compute importance factors and mean point in event domain to the SimulationResult class, using the SimulationSensitivityAnalysis class.
    Improved the StandardDistributionPolynomialFactory class to take into account the NegativeBinomial special case using Meixner factory.
    Changed the default behaviour of the OrthonormalizationAlgorithm class. Now, it uses the GramSchmidtAlgorithm as a default implementation.
    Improved the DrawableImplementation derivative classes to avoid name conflict with R.
    Checked for null size in various places of the NumericalSampleImplementation class.
    Added methods to define color using the Hue, Saturation, Value color space to the Drawable class.
    Fixed a bug for large arguments in the computeCDF() method of the Multinomial class.
    Renamed an internal variable in DrawableImplementation class to avoid conflict with a Windows macro.
    Make distcheck ok
    Module load ok.
    Windows port ok.
    CMake build ok.
    MERGE: trunk> svn merge --reintegrate https://.../schueller (2294:2382)
    Fixed several memory leaks related to the repeated use of PythonNumericalMathEvaluationImplementation over NumericalSamples
    Fixed cmake FTBFS without blas
    Added size check for AnalyticalNumericalMathEvaluationImplementation
    Fixed bug in Pairs : the clean method of the parent class was not called
    Reverted changeset 2296 as branch eads-devel cleans up
    MERGE: svn merge https://.../trunk -r 2294:2306. Synchronizaton with the trunk.
    Fixed a memory leak in PythonNumericalMathEvaluationImplementation. Make
    Added type conversion for complex matrix
    Added matrix->array conversion
    workaround for a bug in UseSWIG script not supporting multiple modules and parallel compilation
    Added array->Matrix conversion.
    Fixed save/load mistake in Pairs, and Curve
    Added Rpy2 detection. Some process headers were not installed by cmake. Made cmake to properly install openturns-config. Fixed swig warning related to SecondOrderModelImplementation.
    Fixed bug in NS.exportToCSV method.
    Fixed #407.
    Added operators NumericalPoint::__div__, __rmul__; NumericalSample::operator==; Matrix::__rmul__.
    Applied Benoit's patch for OSX for #356.
    Added missing HermitianMatrix conversion
    MERGE: svn merge https://.../trunk -r2294:2379.
    Fixed wrong namespace in RandomizedQuasiMonteCarlo & RandomizedLHS python wrapper files
    Removed useless header inclusion
    Make distcheck ok
    Module load ok.
    Windows port ok.
    CMake build ok.
    MERGE: trunk> svn merge --reintegrate https://.../process (2307:2389)
    Added isComposite method to the Process class
    Added isStationary to the CovarianceModel class
    Changed NormalProcess constructors in order to be more coherent with probabilistic. Now the time grid is the last argument
    Added new constructors to the NormalProcess class. Now we may build a TemporalNormalProcess with argument of type StationaryCovarianceModel and a SpectralNormalProcess with an argument of type SpectralModel
    Updated corresponding tests
    Reworked the TrendFactory class. Now the basis of function is an argument of the constructor.
    Need to build the TrendEval class. Work in progress
    Added ARMAFactory sparse class
    Updated the BoxCoxFactory class. The flag direct was removed as the result should be a BoxCoxTransform
    Changed attribut position in some classes in order to be coherant with the constructors. This might be a potential source of bugs.
    Added the Whittle sparse class
    Started the implementation of the Whittle algorithm
    Added the TrendEvaluationImplementation class.
    Added the InverseTrendEvaluationImplementation class.
    Removed useless sample based operator() method for BoxCoxEvaluationImplementation and InverseBoxCoxEvaluationImplementation classes.
    Slightly rewrite TriangularComplexMatrix::operator() to avoid a GCC warning: control reaches end of non-void function.
    Let order in initialization lists match member declaration.
    Remove unused variables from SpectralNormalProcess::initialize and ARMACoefficients constructor.
    Remove unused variables from t_KissFFT_std.cxx and t_BoxCoxFactory_std.cxx.
    Added missing copy constructors for SpectralFactory class
    Added missing typemap in some swig files (CovarianceModel, SpectralFactory and SpectralModel)
    Made the WhittleFactory class more "user freindly". User may set the algorithm of periodogram estimate
    Removed internal function computeSpectrum in WhittleFactory. The function is implemented in the computeLogLikelihood function in order to optimize 
    some loop calls. Removed also some attributs
    Work is in progress. Need to check if result is a stationary ARMA and to implement tests
    Removed references to old namespaces in RandomWalk.i
    Added missing save / load methods for SpectralModel and SpectralModelFactory classes
    Implemented WhittleFactory estimate method using a ProcessSample argument
    Added missing WhittleFactory tests
    MERGE: svn merge -r2306:2328 https://.../eads-devel
    Fixed a bug in UserDefinedSpectralModel due to bad index
    Fixed bug in WhittleFactory
    Fixed a minor bug in SecondOrderModelImplementation save/load
    Replaced the interpolation of index in the computeSpectralDensity method of UserDefinedSpectralModel by using standard function 
    Renamed lambda value in BoxCoxTransform and InverseBoxCoxTransform because of swig warning
    Removed useless using::operator in TriangularComplexMatrix
    Added the missing swig template HermitianMatrixCollection. This helps users to define their own spectral model
    Fixed wrong comments in the openturns.conf.in file.
    Fixed a scaling bug in the WhittleFactory class.
    Added the missing getFuture() method in the WhiteNoise class.
    Completely reworked the SpectralNormalProcess class in order to take into account the symmetry of the spectral density function. It reduces the number of Cholesky factorization by a factor of two, and the cache mechanism allows to manipulate much larger processes.
    Removed the NormalProcess class: all the processes have an isNormal() method that is enough to trigger the use of specific algorithms for this kind of processes.
    Reworked the TemporalNormalProcess class in order to improve both the time and space complexity of this kind of processes when there is no spatial correlation. In this case, the memory consumption is an O(dimension) instead of O(dimension^2).
    Fixed a bug in the isStationary() method of the RandomWalk class.
    Improved the use of the time grid in the TrendFactory class.
    Fixed wrong comments in the ResourceMap class.
    Added all the hard-coded constants in the process-related classes into the ResourceMap class.
    Fixed a bug in the getMarginal() method of the AnalyticalNumericalMathEvaluationImplementation class.
    Changed the definition of the CauchyModel class. Now, it implements the bilateral spectral density function as it is the natural parameterization of the SpectralNormalProcess class.
    Fixed wrong formulas in the CauchyModel class.
    Improved the memory performance of the CauchyModel class for diagonal spatial correlation. In this case, both the memory and the CPU consumption are O(dimension) instead of O(dimensin^2).
    Changed the definition of the overlap parameter of the WelchFactory class.
    Fixed the build() method based on a TimeSeries in the WelchFactory class.
    Improved the performance of the build() method based on a ProcessSample in the WelchFactory class.
    Reworked the UserDefinedSpectralModel class. Now, it implements a continuous-frequency extension of a dicrete grid-based model snapped to the nearest point in the grid.
    Improved the use of the time grid in the TimeSeriesImplementation class.
    Improved the use of the CovarianceModel and SpectralModel classes in the ExponentialCauchy class.
    Changed the default behaviour of the SpectralModel class. Now, it is based on the CauchyModel class.
    Reworked the SecondOrderModelImplementation class. Now, it uses the CovarianceModel and SpectralModel classes instead of pointers. It avoids most of the pifalls associated with the direct use of pointers, in particular for the save/load mechanisms and the Python integration.
    Improved the parameters accessors of the ExponentialModel class.
    Changed the default behaviour of the CovarianceModel class. Now, it is based on the ExonentialModel class.
    Improved the RegularGird class. Now, it gives a direct access to any value in the grid.
    Added the isDiagonal() method to the SymmetricMatrix class.
    Removed duplicate pretty-print method between the Matrix and MatrixImplementation classes. Fixed a bug in this method for empty matrices.
    More tests are needed for the SpectralNormalProcess, WelchFactory and WhittleFactory classes.
    MERGE: svn merge -r2328:2387 https://.../trunk
    Fixed minor bugs with precision output on windows platform.
    Still a problem with the automatic cast between python structures and OpenTURNS objects.
    Fixed type conversion issues. Fixed rpy2 detection with cmake.
    Make distcheck ok
    Module load ok.
    Windows port ok.
    CMake build ok.
    Updated headers
    Set version number 1.0rc1
    Allowed to create an HermitianMatrixCollection in python. distcheck ok.
    Added UserDefinedSpectralModel test. distcheck ok.

2011-08-02  Julien Schueller <schueller(:AT:)phimeca(:DOT:)com>

  * [0.15] Added missing HyperbolicAnisotropicEnumerateFunction tests for cmake.
    Fixed #340. Distcheck ok.
    MERGE: hand merge branch barate (1995-2001). Added explicit destructor to class Description. Closes #314. distcheck ok
    MERGE: trunk> svn merge --reintegrate https://.../lebrun (1997:2043)
    Excluded the first coefficient from the cleaning step in the CleaningStrategy. It closes ticket #337.
    Changed the policy in the use of the range information in the computeQuantile() method of the DistributionImplementation class. It closes ticket #338.
    Added missing reference factory accessors in the GramSchmidtAlgorithm class.
    Added missing implementation of the inverse() method of the LinearEnumerateFunction class.
    Fixed a bug in the run() method of the FunctionalChaosAlgorithm class that prevented the vectorial coefficients to be aggregated correctly. It fixes ticket #343.
    Enhanced the MetaModelResult class in order to have access to marginal residuals and relative errors instead of global residual and relative error. It fixes part of ticket #344.
    Fixed several bugs in the tests related to the FunctionalChaosAlgorithm class.
    Improved the tests related to distribution factories.
    Added the missing getParametersCollection() and setParametersCollection() methods to the ZipfMandelbrot class.
    Enhanced the ChiFactory class.
    Added missing implementation of the inverse() method of the LinearEnumerateFunction class.
    Improved the robustness of the Multinomial class.
    Added the build() method from parameters to the NormalCopula class.
    Fixed a minor bug in the getParametersCollection() method in the Mixture class for the nD case (confusing names for the dependence parameters).
    Added the dependence parameters to the getParametersCollection() method of the EllipticalDistribution class.
    Added the missing GaussProductExperiment class to the library (the code was almost complete but not included).
    Improved the robustness of the LowDiscrepancyExperiment class.
    Changed the behaviour of the setDistribution() method of the FixedExperiment class. Now it has no side effect, as the distribution is fixed by the initial sample.
    Adapted the FunctionalChaosAlgorithm, ProjectionStrategy, LeastSquaresStrategy and IntegrationStrategy classes in order to perform functional chaos expansions based on databases. Nevertheless, the user has to fit a reasonable distribution to the input sample in order to get useful results.
    Improved the StandardDistributionPolynomialFactory class in order to recognize and use classical polynomial families when possible.
    Added the ability to draw the points for a given curve to the Curve class.
    Added the ability to use logarithmic scales on one or both axes to the Graph class.
    Fixed numerical precision of several tests.
    Added missing tests in the TUI.
    Switched from exception to warning in case of non-critical non-convergence of optimization algorithms. It closes ticket #350.
    Fixed a minor bug in the CleaningStrategy class, when maximumSize > maximumDimension.
    Make distcheck ok.
    Module load ok.
    CMake build ok.
    MERGE: trunk> svn merge --reintegrate https://.../dutka (1998:2047)
    Changed default SWIG detection. Now detection occurs by default.
    Fixed bug in product package detection when autotools reparses the configure files.
    Fix bug in product package detection.
    Forced SWIG module build for distributed tarball so SWIG modules are not preprocessed any more on the packager's system. This should close #287. Be aware that the module template has changed also so update your own module.
    Fixed bug in SWIG macro preventing from using an alternative Python install. Closes #284.
    Added vanished Python function getCorrelationMatrixFromMap()
    Added Repeat static method to Log class in order to see messages as soon as they are received.
    Changed SetFile static method in Log class to automatically switch to non colorized output when writing messages to files.
    Added ColoredOutput static method to TTY class to query the current state.
    Added assignment operator to AtomicInt class to easy value setting.
    Some code reordering to ease debugging in Python module.
    Make distcheck ok.
    Module load ok.
    Windows port ok.
    CMake build ok.
    MERGE: trunk> svn merge --reintegrate https://.../schueller (2023:2047)
    Enhanced PYNMF exception handling. Fixed an exception shadowing in OpenTURNSPythonFunction.
    Fixed lintian spelling warnings.
    Fixed #343.
    Bison/Flex detection occurs by default for cmake.
    Removed wrong dependency pyinstallcheck->cppinstallcheck.
    Workaround for swig 2.0.4 regression by removing useless typedef.
    Took FiniteDifferenceSteps into account in FiniteDifference classes.
    BlendedStep replaces ProportionalStep.
    Corrected cmake package version.
    Split NearestPointCheckerResult class.
    Split class SVMRegressionSpecificParameters.
    Fixed calculus of relative error.
    Fixed typo in EnumerateFunctionImplementation.
    Make distcheck ok.
    Module load ok.
    Windows port ok.
    CMake build ok.
    mingw: allow several retry if rmdir command failed.
    Updated package sources.

2011-07-07  Julien Schueller <schueller(:AT:)phimeca(:DOT:)com>

  * [0.15rc1] Changed version number to 0.14.0-based-devel
    MERGE: trunk> svn merge --reintegrate https://.../chaos (1693:1969) 
    Moved Optim/PenalizedLeastSquaresAlgorithm to Algo/PenalizedLeastSquaresAlgorithm. there was a duplicate. had to change ivan's interface a bit
    Added EnumerateFunctionImplementation as OrthogonalProductPolynomialFactory embbeds an instance (cannot instanciate former abstract EnumerateFunction)
    Completely modified BasisSequence coding as NMF doesnt provide op== properly. work in progress on LAR
    Added HyperbolicAnisotropicEnumerateFunction::getStrate*; fixed indent
    MERGE: svn merge -r1693:1746 https://.../trunk
    Created class ApproximationAlgorithmImplementationFactoryImplementation. Modified LeastSquaresStrategy
    Work on CorrectedLeaveOneOut. Work in progress.
    Modified ApproximationAlgorithm interface to take design experiment weights into account. Work on python interface.
    Modified FittingAlgorithm interface to take the BasisSequenceFactory into account
    Replaced LeavePOut with KFold cross-validation.
    Added Sobol' function test
    Added verbosity output. LAR ok. MCV ok.
    LeastSquaresMetaModelSelection to take weights into account
    Removed useless casts to base classes in Python wrapping for EnumerateFunction
    Added default q for HyperbolicAnisotropicEnumerateFunction
    Proposal for adaptative LAR algorithm.
    Fixed HyperbolicAnisotropicEnumerateFunction test.
    Fixed LeastSquaresMetaModelSelection residual.
    Added test for the evaluation of the metamodel produced by PCE
    Sparse representation of metamodel through FunctionalChaosResult.
    Made relative error accessible from FunctionalChaosResult
    Changed definition of stratas for HyperbolicAnisotropicEnumerateFunction.
    Made LAR faster using cholesky 1 rank update.
    Removed BasisSequenceFactory coefficients path validation.
    Removed useless attribute in LAR.
    Allowed use of save/load methods.
    Minor optimization to Corrected LOO.
    MERGE:chaos> svn merge -r1746:1885 https://.../trunk.
    Added few comments. distcheck ok.
    Applied lebrun's patch.
    MERGE:>chaos svn merge https://.../trunk -r1885:1948. Synchronization with trunk. Make distcheck ok.
    Modified sparse chaos tests to use FunctionalChaosAlgorithm directly.
    Applied lebrun's patch to enhance CorrectedLeaveOneOut. distcheck ok.
    Fixed sparse FunctionalChaos test at files.
    Distcheck ok.
    CMake build ok.
    Module build ok.
    MERGE: trunk> svn merge --reintegrate https://.../schueller (1946:1972) 
    Memory efficient computation of Sobol' indices. Dropped dependency to R-sensitivity. Deprecated CorrelationAnalysis's Sobol' method.
    CMakeLists also updated by setVersionNumber.sh. Distcheck ok.
    CMake build ok.
    Module build ok.
    MERGE: trunk> svn merge --reintegrate https://.../lebrun (1945:1980)
    Added pretty print to all the distributions.
    Added access to the Catalog class in the TUI.
    Added pretty print to the marginal transformation related classes.
    Renamed the Instance() method into GetInstance() and Initialization() method into Initialize() in the ResourceMap class.
    Added methods to create colors from red, green, blue or red, green, blue, alpha components in the Drawable class.
    Fixed a minor bug in the Clour class that created a mess when using the 'dot' point style.
    Added the LogUniform class.
    Fixed a bug in the computeCDF() method of the ComposedDistribution class in the 1D case.
    Fixed a bug in the computeCDF() method of the Gumbel class in the case of complementary CDF computation for small arguments.
    Added a missing file in the python TUI.
    Added a missing file in the CMake infrastructure for the TUI.
    Improved the stability of the evaluation operator of the OrthogonalUniVariatePolynomial class (Clenshaw's algorithm is now done in the correct order!).
    Added a missing test for the MultinomialFactory class in the TUI.
    Added the LogUniformFactory class, based on maximum likelihood estimation.
    Added a parameter to change the threshold between CDF and complementary CDF usage in the MarginalTransformationEvaluation class.
    Added pretty-print to the Interval class.
    Fixed a bug in the new __getitem__ method of the NumericalSample class.
    Changed the result type of the getCoefficients() method in the FunctionalChaosResult class.
    Fixed typos in the comments of classes in the OrthogonalBasis directory.
    Added the CharlierFactory class, which provides orthonormal polynomials for the Poisson distribution.
    Added the KrawtchoukFactory class, which provides orthonormal polynomials for the Binomial distribution.
    Added tests on the dimension of the input for the evaluation methods of all the NumericalMathFunction derivates.
    Added a constructor based on input and output samples to the ProjectionStrategyImplementation and LeastSquaresStrategy classes.
    Improved the log messages of the CleaningStrategy class.
    Fixed a minor bug in the computePDF() method of the TruncatedDistribution class.
    Improved the generic implementation of the computeGeneratingFunction method of the DistributionImplementation class.
    Improved the management of the derivated attributes of the ZipfMandelbrot class.
    Improved the run() method of the FunctionalChaos class. Now, only the non-zero coefficients are stored in the result.
    Added missing python tests.
    distcheck ok.
    MERGE: trunk> svn merge --reintegrate https://.../dutka (1945:1990)
    Removed test for bc command. Useless.
    Changed default TBB configuration preventing OpenTURNS from scaling. Closes #322.
    Fixed bug in regular expression shortcut substitution. Closes #324.
    Added a method to toggle colorization in log outputs. Closes #319.
    Fixed bug of not found TBB library. Closes #310.
    Improved OpenTURNS vs Python/Numpy type conversions.
    Fixed bug in NumericalSample output when size==1.
    Updated expout test files in relation with NumericalSample previous bug fix.
    Fixed bug in readFile and WriteFile functions.
    Removed Python static library build.
    Renamed duplicate filenames (for case insensitive filesystems). Closes #307.
    Fixed bug in openturns-config. Closes #302.
    Improved NumericalSample tests for speed.
    Fixed locale issue in CSV file read and write. Closes #227.
    Make distcheck ok.
    Module load ok.
    Windows build ok.
    CMake build ok.
    Fixed KrawtchoukFactory test.
    Added missing wrapper poutre_fullspeed in CMakeLists
    Embedded strndup implementation for windows instead of #def...
    Fix missing MonteCarlo_threads in cmake test.
    Put MonteCarlo_threads cmake test entry in correct position.
    mingw: simple_python_wrapper example checks the computed values.
    mingw: retry deleting temporary dir several time.

2011-06-14  Julien Schueller <schueller(:AT:)phimeca(:DOT:)com>

  * [0.14] MERGE: trunk> svn merge --reintegrate https://.../schueller (1870:1902)
    Fixed #280.
    CMake : removed python libraries detection when python module is disabled. distcheck ok.
    New distribution module to reduce memory usage 1.3G->800M. distcheck ok.
    CMake : made pyinstallcheck occur after cppinstallcheck
    Fixed i386 build. (Added sync routines in AtomicFunctions thanks to Ivan's ASM code when building for i386 arch).
    Fixed warning in PythonWrappingFunctions. distcheck ok.
    Fixed missing cmake files/tests.
    Moved some swig files to their right module.
    Updated cmake version. distcheck ok.
    Work on AtomicFunctions.
    Fixed warning in Multinomial. distcheck ok.
    Fixed #312.
    Fixed #311.
    Make distcheck ok.
    Module load ok.
    Windows port ok.
    CMake build ok.
    Renamed model_dist to model_copula. Make distcheck ok.
    MERGE: trunk> svn merge --reintegrate https://.../lebrun (1869:1907)
    Applied the patch from Nolwenn Balin concerning gcc-4.5 failed build (see ticket #308). It closes the ticket #308.
    Improved the management of exceptional cases in the NonCentralChiSquare distribution.
    Improved the automatic drawing range computation for discrete classes in the DistributionImplementation class.
    Worked on a bug in Ev3 in the simplification process. Still in progress.
    Added the InverseNormalFactory class based on maximum likelihood.
    Added the BurrFactory class, based on maximum likelihood estimation.
    Added an add() method to the Graph class, which is an alias for the addDrawable() method.
    Added the division by a scalar operator to the NumericalPoint and NumericalPointImplementation classes.
    Made some cleaning in the tests, removing duplicate using clauses.
    Added the BurrFactory class, based on maximum likelihood estimator.
    Renamed the addDrawable() and addDrawables() methods of the Graph class into add(). The old methods are still available but are now obsolete.
    Enhanced the computePDF() and computeCDF() methods of the UserDefined class in the 1D case, using a logarithmic algorithm instead of a linear one.
    Fixed a bug in the save/load mechanism of the FunctionalChaosResult class.
    Added the save/load mechanism to all the classes in the OrthogonalBasis folder.
    Added an operator for the division by a scalar to the NumericalPoint class.
    Removed the useless NumericalPointImplementation and NumericalPointImplementationWithDescription classes.
    Added the DualLinearCombinationEvaluationImplementation, DualLinearCombinationGradientImplementation and DualLinearCombinationHessianImplementation classes for linear combinations of NumericalPoint with 1D output dimension NumericalMathFunction coefficients.
    Added pretty-print and save/load mechanism to several classes in Base/Func.
    Added missing tests for the library and the TUI.
    Added a constructor from implementation to the Graph class.
    Imposed a 17 digit precision for writing in the XMLStorageManager class.
    Added missing keys in openturns.conf and the ResourceMap class.
    Added a missing file in python/src/Makefile.am
    Fixed a bug in the computeConditionalQuantile() method of the DistributionImplementation class.
    Added a generic implementation of the getRealization() class in the DistributionImplementation class.
    Deprecated the buildImplementation() methods of all the DistributionImplementationFactory classes. One should use the build() method instead.
    Deprecated the buildLM() method of the LinearModelFactory class. One should use the build() method instead.
    Deprecated the LMAdjustedRSquared(), LMAdjustedRSquared(), LMFisher(), LMResidualMean() and LMRSquared() methods in the LinearModelTest class. One should use the LinearModelAdjustedRSquared(), LinearModelAdjustedRSquared(), LinearModelFisher(), LinearModelResidualMean() and LinearModelRSquared() methods instead.
    Fixed a bug in the DrawLinearModel() method of the VisualTest class.
    Deprecated the DrawLMVisualTest() method of the VisualTest class. Use DrawLinearModel() instead.
    Deprecated the DrawLMResidual() method of the VisualTest class. Use DrawLinearModelResidual() instead.
    Added the DrawKendallPlot() method to the VisualTest class.
    Added missing tests for the TUI.
    Added new elements accessors to the NumericalSample class in the TUI.
    Added the HyperbolicAnisotropicEnumerateFunction class (imported from the chaos branche).
    Changed the default color of the diagonal from grey to red in the VisualTest class.
    Added missing copyOnWrite() calls in the Graph class.
    Improved const correctness of the NumericalSample class.
    Added missing copyOnWrite() calls in the NumericalSample class.
    Added double indices accessors at() and operator() () to the NumericalSample class.
    Added a linear index accessor to the NumericalSample class.
    Removed the automatic drawing of a grid for graphs that includes a Pie instance.
    Make distcheck ok.
    Module load ok.
    Windows port ok.
    CMake build ok.
    MERGE: trunk> hand merge https://.../dutka (1854:1919) 
    Improved wrapper file management. Added multiple DTD management.
    Improved substitution in wrapper external files.
    Fixed reopened bug described in ticket #14.
    Fixed build failure with GCC 4.6. Closes ticket #305
    Improved wrapper library:
    * Added variable name checks in <subst> tag.
    * Subtitution now only occurs for listed variables.
    Added colorization for Log messages.
    Improved wrapper library:
    * Fixed bug concerning back reference in replace strings (\nnn) when they appeared just before some digit (the digit was interpreted as being part of the back reference).
    Changed generic wrapper.
    Changed log output for wrapper messages.
    Added internal variable substitution (OPENTURNS_EXECUTION_DIR).
    Changed default wrapper implementation.
    Added missing files in CMakeLists.txt. Make distcheck ok.
    Python NMF can now be saved in studies. Fixed #316.
    Prepared refundation of wrapper library.
    Fixed bug in ResourceMap preventing it from being printed. Closes #317.
    Fixed warning in SWIG file for NumericalSample.
    Make distcheck ok.
    Module load ok.
    Windows port ok.
    CMake build ok.
    Added operator== for Interval & Indices
    Enhanced ot python function cache and calls number count.
    Added some docstring.
    MERGE:>trunk hand merge branch-souchaud (1874:1875) Mingw: Improve README file. Disable distcc by default.
    Raise a warning rather than an error if unable to remove directory.
    Mingw: remove shell colors.
    Fix bug in regex shortcuts.
    Fixed use of deprecated methods in wrapper templates.
    Added docstring for env variables.
    Added missing wrappers for cmake.
    Updated copyright date.
    Reverted changeset 1927.
    Mingw: simplify compilation configuration environment.
    Mingw: add linux parameter example to python wrapper.
    Fix bug with tabulation in regex shortcuts.
    Fix bug : remove multiple copy of exchangedata in defaultWrapper (ticket #326).
    Added missing environment var docstring.

2010-04-15  Julien Schueller <schueller(:AT:)phimeca(:DOT:)com>

  * [0.14rc1] Added CMake support. Work in progress.
    Make distcheck ok.
    CMake support. Work in progress.
    Make distcheck ok.
    CMake support. Work in progress.
    Make distcheck ok.
    CMake support. Work in progress.
    CMake support. Work in progress.
    CMake support. Work in progress. Now make, make check, make install and make installcheck work.
    Make distcheck ok.
    CMake support. Work in progress. Now compiles python modules.
    Note: in order to support simultaneously Autotools and CMake build systems, the python modules and files have been renamed.
    CMake support. Work in progress. Now install python modules. Python importation of module works.
    Make distcheck ok.
    CMake support. Work in progress. Python tests are ok.
    Make distcheck ok.
    CMake support. Work in progress. Added missing files to installation.
    Make distcheck ok.
    CMake support. Work in progress. Packaging for source tree ok.
    Make distcheck ok.
    CMake support. Work in progress. Add R detection.
    Make distcheck ok.
    MERGE:trunk> svn merge --reintegrate https://.../lebrun (1455-1580)
    Created the AggregatedNumericalMathEvaluationImplementation class, that allows to stack several functions with the same input space and output spaces of different dimensions.
    Created the ProductPolynomialHessianImplementation class.
    Created the ProductPolynomialGradientImplementation class.
    Added a getMarginal() method to the NumericalMathEvaluationImplementation, NumericalMathGradientImplementation and NumericalMathHessianImplementation classes.
    Added the derivate() and derivative() methods to the UniVariatePolynomial class, that allow to compute the derivate UniVariatePolynomial and the value of this derivate at a given point without having to form the derivate polynomial.
    Added the LnBeta() method to the SpecFunc class.
    Added an accessor to set simultaneously the log-parameters of the LogNormal class and improved the robustness of the parameters accessor, in order to prevent parameters that would exceed the double precision capacities. It closed ticket #255.
    Added the computeCharacteristicFunction() method to the Beta class.
    Added a generic implementation of the computeCharacteristicFunction() method to the DistributionImplementation class. Warning: the current algorithm has a linear cost with respect to the magnitude of the argument.
    Added a line width modifier for the Staircase and the BarPlot classes.
    Added the save/load mechanism to the FunctionalChaosResult class and all the IsoProbabilisticTransformation related classes.
    Added a new stopping criterion based on the standard deviation for the Simulation class. It closes ticket #260.
    Added a constructor to the NumericalMathFunction class in order to build aggregated functions.
    Added a default constructor for the save/load mechanism for the Event and EventRandomVectorImplementation classes.
    Added missing accessors to the QuadraticCumul class.
    Added the NumericalMathGradientImplementation and NumericalMathHessianImplementation classes. The symbolic differenciation is done using a reworked version of the Ev3 library. See http://www.lix.polytechnique.fr/~liberti/.
    Removed redundant methods in the KernelMixture class with respect to its base classes.
    Removed the useless destructor in the NumericalPoint class.
    Changed the signature of the getMarginal() methods for the NumericalMathEvaluationImplementation, NumericalMathGradientImplementation and NumericalMathHessianImplementation classes.
    Changed the setPairCollection() method in the UserDefined class. The probabilities are now automatically normalized.
    Changed the implementation of the getMarginal() methods of the NumericalMathFunctionImplementation class.
    Improved the robustness of the setPairCollection() method of the Histogram class.
    Improved the performance of the computePDF() method of the KernelMixture class.
    Improved the drawPDF() and drawCDF() methods of the DiscreteDistribution class.
    Improved the drawPDF() method of the Histogram class.
    Improved the build() method of the OrthogonalProductPolynomialFactory class. Now, the polynomial has an exact evaluation of its gradient and hessian instead of a finite difference approximation.
    Improved the getMarginal() methods of the AnalyticalNumericalMathEvaluationImplementation class.
    Improved debug messages of the DistributionImplementation class.
    Improved the accuracy of the computeQuantile() method of the RandomMixture class.
    Improved the boud checking in the computeQuantile method of the DistributionImplementation class.
    Improved the windows portability of the Ev3 library.
    Improved the numerical robustness of the computePDF() method in the Beta class. It closes ticket #265.
    Fixed a bug and added sample accessors to the ProjectionStrategyImplementation and ProjectionStrategy classes. It closes ticket #263.
    Fixed a bug in the computeCharacteristicFunction() method in the Exponential class. It was a problem of sign that showed up only when gamma <> 0.
    Fixed a bug in the generic implementation of the getRealization() method in the DistributionImplementation class: the same algorithm was used for 1D and multivariate distributions, which is a nonsense.
    Fixed a bug that prevented full accuracy computations in the RandomMixture class when the underlying distribution was smoother than a Normal distribution.
    Fixed a spurious bug in the computeCDF() method of the RandomMixture class.
    Fixed several typos that prevented OpenTURNS to be built using gcc 4.5.0.
    Make distcheck ok.
    MERGE: trunk> svn merge --reintegrate https://.../branches/dutka (1457:1616)
    Library:
    ========
    * Improvements:
      - Read static class members from openturns.conf and ResourceMap object.
      - Changed NumericalSampleImplementation to make it much more compact.
      - Removed some useless casts in many parts of the C++ code.
      - Changed __str__() signature.
      - Added pretty print to WrapperFile, WrapperData, Collection, NumericalMathFunction, NumericalMathFunctionImplementation, NumericalMathEvaluationImplementation, NumericalMathGradientImplementation, NumaricalMathHessianImplementation, CenteredFiniteDifferenceGradient, CenteredFinitedifferenceHessian, NonCenteredFiniteDifferenceHessian, ComputedNumericalMathEvaluationImplementation, ComputedNumericalMathGradientImplementation, ComputedNumericalMathHessianImplementation, WrapperObject, Library classes.
    * Parallelization:
      - Added Threading Building Blocks (aka TBB) support for multithreading.
      - Changed implementation of some counters with atomic variables
      - Parallelization of NumericalSample::computeMean(), NumericalSample::scale(), NumericalSample::computeVariancePerComponent(), NumericalSample::getMin(), NumericalSample::getMax(), NumericalSample::translate(), NumericalSample::computeEmpiricalCDF(), NumericalSample::computeKendallTau().
      - Added thread cancellation mechanism when performing multithreaded computations.
      - Added lock to WrapperExchangedData structure.
      - Improved Log thread safety.
      - Created one temporary directory by thread when executing code.
      - Multithreaded sample execution function embedded in library. No more need to define it in wrapper code.
      - Speeded computations by removing useless output messages when not wanted.
    * Misc:
      - Add deprecated tag to some obsolete methods.
      - Changed svn:mergeinfo property on some files in order to ease incoming merge.
      - Changed default log level in order to see wrapper error messages
      - Removed useless rm command detection. Replaced it with internal recursive remove function.
      - Fixed some typos.
    * Fixes:
      - Fixed bug in output of tests.
      - Changed linktest compilation flags.
    Python:
    =======
    * Improvements:
      - Better management for NumericalPoint and NumericalSample objects when passed as arguments. Automatic cast for python sequence objects (tuple and list) in NumericalPoint and NumericalSample objects.
      - Improvement for NumericalSample class. Now constructible from a collection of NumericalPoints. Acts as a python sequence object.
      - Python module 'openturns' handles Ctrl-C.
      - Updated the test for the Python based NumericalMathFunction.
      - Improved Distribution argument management. No more need to cast DistributionImplementation objects into Distribution in method arguments.
    * Fixes:
      - Added selective sample evaluation for wrapper based NumericalMathFunction. Closes bug #236.
      - Added sample execution method for Python based NumericalMathFunction. Closes #237.
      - Fixed bug #240 concerning DistributionCollection copy constructor.
    Wrappers:
    =========
    * Improvements:
      - Add user prefix in temporary directory to wrapper description file.
      - Added <user-prefix> tag to wrapper description file in order to create a generic wrapper for command line callable codes.
      - Created a new generic wrapper for command line callable codes.
      - Added a wait timeout for output files in wrapper (for use with resource manager).
      - Changed file copy algorithm in wrapper. Now files are copied with their corresponding tree structure as described in wrapper description file.
      - Changed command insulation function in wrapper. Now creates on-the-fly a script that can be submitted to a resource manager.
      - Changed external code call method. System(3) is replaced by fork(2)/execve(2) tandem.
      - Added environment variables passing to external code.
      - Improved wrapper error management.
      - Simplified and improved many wrapper functions.
      - Prepared some wrapper functions to batch evaluation.
      - Added strategies to cope with slow filesystems
      - Redirected I/O for external code.
      - Improved external code run heuristic. Time progressive retry.
      - Improved wrapper library.
      - Made error messages in wrapper library thread safe.
      - Removed OSS object in wrapper library because embedded std::ostringstream is not thread safe. Cause deadlocks.
      - Improved execution of external code.
      - Used symlink for input files with no substituted variable.
      - Improved concurrent run of wrapper library functions.
      - Wrappers don't need to be compiled any more. All functions are embedded.
      - New implementation of multithreaded computation for wrappers. Now support very large number of computations (tested with 1 million runs of external code) and large number of concurrent threads (tested with 256 threads).
    * Fixes:
      - Fixed bug telling '/bin/sh: bad interpreter: text file busy' when executing external code.
      - Fixed bug in wrapper_calling_shell_command preventing from building distribution
      - Fixed memory leaks in wrapper library
    Make distcheck ok.
    Improved Log class for multithreading.
    Make distcheck ok.
    MERGE: trunk> svn merge --reintegrate https://.../dutka (1617:1647)
    Library:
    ========
    * Improvements:
      - Work in progress. Added merge method to NumericalSample.
      - Work in progress. Added binary storage manager.
      - Changed namespace for Pointer class.
    * Parallelization:
      - Improved TBB support.
      - Added MPI support.
      - Improved Log class for multithreading.
      - Used TBB to implement wrapper multithreading
    * Misc:
    * Fixes:
      - Fixed bug for NumericalPoint iadd and isub Python methods.
    Python:
    =======
    * Improvements:
    * Fixes:
      - Fixed bug in wrapper.i interface file.
    Wrappers:
    =========
    * Improvements:
      - Improved wrapper library.
    * Fixes:
      - Fixed bug in wrapper_fonction1.cxx file (MT safety).
    Make distcheck ok.
    MERGE: trunk> svn merge --reintegrate https://.../branches/dutka (1652:1659)
    Fixed bug #283.
    Multithread safety work.
    Better detection of MPI.
    Removed useless classes and related tests:
    * NumericalMathEvaluationImplementationFactory
    * NumericalMathEvaluationImplementationFactory
    * NumericalMathGradientImplementationFactory
    * ComputedNumericalMathHessianImplementationFactory
    * ComputedNumericalMathGradientImplementationFactory
    * ComputedNumericalMathHessianImplementationFactory
    Refactoring of some m4 macros.
    Removed useless macros checking md5sum, r_bitmap and r_package.
    Make distcheck ok.
    Fixed bug related to singleton pattern.
    Fixed bug in output printing (cause SEGV) in WrapperCommon.cxx file.
    MPI is NOT detected by default.
    Make distcheck ok.
    MERGE: trunk> svn merge --reintegrate https://.../dutka (1672:1677)
    Added dependency tracking for SWIG generated files.
    Added new classes LinearEnumerateFunction and HyperbolicAnisotropicEnumerateFunction.
    Changed EnumerateFunction so as to make it an abstract class.
    Multithread safety work. Workaround for a bug in glibc < 2.10.
    Commented BinaryStorageManager. Closes #285.
    Make distcheck ok.
    MERGE: trunk> svn merge -r 1678:1688 https://.../branches/dutka
    Added new namespace Base::Algo.
    Added PCE classes:
    * Basis
    * BasisSequence
    * BasisSequenceFactory
    * LAR
    * LARLasso
    * LARFSZero
    * FittingAlgorithm
    * CorrectedLeaveOneOut
    * LeavePOut
    * ApproximationAlgorithmImplementation
    * ApproximationAlgorithm
    * Lasso
    * PenalizedLeastSquaresAlgorithm
    * LeastSquaresMetaModelSelection
    * ApproximationAlgorithmImplementationFactory
    * LassoFactory
    * PenalizedLeastSquaresAlgorithmFactory
    * LeastSquaresMetaModelSelectionFactory
    Added corresponding Python bindings.
    Added corresponding test files (C++ and Python).
    Added LinearEnumerateFunction and HyperbolicAnisotropicEnumerateFunction bindings for Python.
    Fixed SWIG warnings.
    Changed Collection class output.
    Make distcheck ok.
    MERGE:trunk> svn merge --reintegrate https://.../branches/lebrun (1583:1706)
    Changed the estimation formula to the maximum likelihood estimator for the LogNormalFactory class.
    Changed the estimation formula to a Kendall's tau based estimator for the NormalCopulaFactory class.
    Added the computation of the classical importance factors to the Analytical/AnalyticalResult class.
    Added an accessor to the meta-model associated with the composed model to the FunctionalChaosResult class.
    Changed the behaviour of the parameters gradient computation of the MarginalTransformation/MarginalTransformationEvaluation class. Now, it allows for marginal distributions for which there is no gradient implemented.
    Added the DrawCobWeb() method to the VisualTest class.
    Enhanced the robustness of the FittingTest class when the best model selected has a pvalue of zero.
    Added a constructor based on a collection of NumericalComplex to the Cloud class.
    Added a simplified constructor for analytical functions to the NumericalMathFunction class.
    Added the computation of the tail empirical CDF to the NumericalSample class.
    Added the InverseHaltonSequence class.
    Changed the implementation of the computeKendelTau() method of the NumericalSample class. The new implementation is much more efficient and deals properly with ties in the sample.
    Changed the implementation of the rank() method of the NumericalSample class. The new implementation is more CPU and memory efficient.
    Added the FaureSequence class.
    Updated the embedded BLAS/LAPACK library to the 3.2.2 version.
    Fixed a bug in the computePluginBandwidth() method of the KernelSmoothing class.
    Added the definition of static data related to the KernelSmoothing class in the ResourceMap class.
    Fixed a bug in the computePluginBandwidth() method of the KernelSmoothing class.
    Added the definition of static data related to the KernelSmoothing class in the ResourceMap class.
    Fixed a bug in the ComposedNumericalMathFunction class that prevented the warning related to the default implementation of gradient and hessian to be emitted
    Added accessors to manage the falg related to the default implementation of the gradient and the hessian in the NumericalMathFunction class.
    Improved the management of degenerated cases in the SORMResult class.
    Added the TracyWidomGOE class. Ongoing work.
    Added the TracyWidomGSE class. Ongoing work.
    Added the TracyWidomGUE class. Ongoing work.
    Added the various flavors of the Airy function and its derivatives to the SpecFunc class.
    Improved the SORMResult class for the case when one of the different probability estimates cannot be computed.
    Improved the VisualTest class by positionning the legend in more judicious places for most of the graphs.
    Created the Binomial class.
    Added the rBinomial() method to the DistFunc class.
    Created the Bernoulli class.
    Enhanced the drawPDF() method of the DiscreteDistribution class.
    Added the addDrawables() method to the Graph class.
    Created the CMakeLists.txt file in the Ev3 directory. It closed ticket #274.
    Added a missing list to the Ev3 subdirectory in the CMakeLists.txt file of the Diff directory. It is part of ticket #274.
    Added an evaluation method for complex arguments to the UniVariatePolynomial class.
    Added missing sources in the CMakeLists file of the Func directory. It closed ticket #279.
    Fixed a bug in the UserDefined class. It closed ticket #278.
    Implemented the save/load mechanism for the Histogram class.
    Changed the behaviour of the __str__() method for the Collection class: now, the size is printed only if the collection is large enough.
    Fixed a bug in the initialization of the Simulation class.
    Added the computeCharacteristicFunction() and computeGeneratingFunction() to the following existing classes: Bernoulli, Binomial, Geometric, Poisson, 
    Improved the range management for the following classes: Bernoulli, Binomial, ChiSquare, ComposedDistribution, Exponential, Gamma, Gumbel, Histogram, KernelMixture, Logistic, LogNormal, Mixture, NonCentralStudent, Normal, Poisson, Rayleigh, Student, Triangular, UserDefined and  Weibull.
    Created the BinomialFactory class, based on likelihood maximization.
    Added the isIntegral() method to the following classes: UserDefined, TruncatedDistribution,
    Added the getSupport() method to the following classes: TruncatedDistribution, Distribution, DistributionImplementation, 
    Added the isContinuous() method to the TruncatedDistribution class.
    Improved the rBinomial() method of the ExtraFuncDistFunc class.
    Removed the accessors to specific non-attribute data in the Logistic class.
    Added the setKLambda() method to the Gamma class.
    Changed the parameterization of the Laplace class, in order to match the Exponential class.
    Extended the FunctionalChaosAlgorithm to the multidimensional output functions. It impacted the following classes: FunctionalChaosAlgorithm, FunctionalChaosResult, FunctionalChaosRandomVector, AdaptiveStrategy, AdaptiveStrategyImplementation, FixedStrategy, CleaningStrategy, SequentialStrategy, ProjectionStrategy, ProjectionStrategyImplementation, LeastSquaresStrategy, IntegrationStrategy
    Added the inverse() method to the EnumerateFunction class.
    Added pretty-print to the following classes: Tensor, TensorImplementation, SymmetricTensor, MatrixImplementation, ConstantNumericalMathGradientImplementation, ConstantNumericalMathHessianImplementation, AnalyticalNumericalMathEvaluationImplementation
    Added the getFormula() method to the AnalyticalNumericalMathGradientImplementation and AnalyticalNumericalMathHessianImplementation classes.
    Fixed a bug in the getMarginal() method of the NumericalMathGradientImplementation and NumericalMathHessianImplementation classes.
    Extracted the UserDefined::Pair class from the UserDefined class.
    Enhanced the Multinomial class.
    Added the save/load methods to the Mixture class.
    Fixed mino bugs in the Histogram class.
    Implemented the buildImplementation() method of the HistogramFactory class.
    Fixed the default constructor of the Event class.
    Improved the computeConditionalPDF(), computeCoditionalCDF() and computeConditionalQuantile() methods of the DistributionImplementation class.
    Added a default constructor to the StandardEvent class.
    Added a default constructor to the CompositeRandomVector class.
    Added a default constructor to the RandomVector class.
    Added the save/load methods to the StrongMaximumTest class.
    Added the method computeMeanPointInEventDomain() to the AnalyticalResult class.
    Added a default constructor and the save/load mechanism to the FORM class.
    Added a default constructor and the save/load mechanism to the SORM class.
    Added the save/load mechanism to the Analytical class.
    Added the computation of the mean point in the event domain to the Simulation class.
    Added the computation of the mean point in the event domain to the MonteCarlo class.
    Added the computation of the mean point in the event domain to the QuasiMonteCarlo class.
    Added the compuation and the drawing of importance factors based on the mean point in the event domain to the SimulationResult class.
    Added the computation of the mean point in the event domain to the LHS class.
    Added the computation of the mean point in the event domain to the DirectionalSampling class. WORK IN PROGRESS!
    Added the save/load mechanism to the Staircase class. 
    Added pretty-print to the AnalyticalNumericalMathGradientImplementation class.
    Added pretty-print and accessors to the input/output variables names and to the formulas to the AnalyticalNumericalMathEvaluationImplementation class.
    Added pretty-print and accessors to the input/output variables names and to the formulas to the AnalyticalNumericalMathGradientImplementation class.
    Added pretty-print and accessors to the input/output variables names and to the formulas to the AnalyticalNumericalMathEvaluationImplementation class.
    Added the save/load mechanism to the TestResult class.
    Added a generic method to draw importance factors to the SensitivityAnalysis class.
    Fixed a bug in the HistogramFactory class that caused a segfault.
    Improved all the distribution factories. Now, they return a pointer to the exact distribution that has been built instead of a pointer to an upper class instance.
    Added a new DrawImportanceFactors() method to the SensitivityAnalysis class.
    Added a new buildImplementation() method to the several distribution factories that
    Fixed a bug in the getParametersCollection() method of the Mixture class.
    Fixed various warnings.
    Fixed bug in t_MonteCarlo_draw.cxx.
    Created the Dirichlet class.
    Created the DirichletFactory class.
    Added the LogBeta(), LogGamma(), DiGamma(), DiGammaInv(), TriGamma() methods to the SpecFunc class.
    Removed various useless variable declarations.
    Improved the parameterization of Dirichlet class algorithms.
    Make distcheck ok.
    MERGE: trunk> svn merge --reintegrate https://.../branches/merge-schueller (equiv. to 1488:1710 of branch schueller)
    Created Arcsine, ArcsineFactory, Trapezoidal, TrapezoidalFactory classes.
    Fixed a bug in a Laplace accessor.
    Fixed a bug in Mixture.
    Added accessors for ComposedNumericalMathFunction.
    Modified wrapper libs installation directory to /lib/wrappers.
    Modified python module installation directory.
    Improved CorrelationAnalysis::SRC method. Added corresponding test.
    Created classes RegressionAlgorithm, MetaModelAlgorithm, MetaModelResult.
    Fixed Makefile.am in validation.
    Improved CMake build for rpm distros.
    Removed Embedded classes in Base/Optim.
    Created class FunctionCache.
    Added method NumericalSample::clear.
    Make distcheck ok.
    Fixed bug #298 with N. Balin's patch.
    Make distcheck ok.
    MERGE: trunk> svn merge --reintegrate https://.../branches/merge-souchaud (1730:1830, merge-souchaud equiv to windows-port branch)
    Mingw: fix low number of possible created tempdir. distcheck ok.
    Mingw: fix strange bug on Lug mutex initialization. distcheck ok.
    Mingw: fix slow func observer by replacing pthread cancel by pthread_wait.
    Fix check file existence in readFile function.
    Mingw: adapt some checktests result precision.
    Minor fix TBB AtomicInt init val.
    Mingw: install python expout in different dir.
    Mingw: Improve installer, add examples, improve makefile, update R …
    Remove not defined anymore FUNC_EXEC_SAMPLE_MULTITHREADED from wrapper …
    Fix not working usleep implementation on mingw, fix delete directory on …
    Fix --enable-auto-import with mingw.
    Wrapper works on windows. wrapper log : work in progress.
    Fix minor include error.
    Add windows examples, work in progress.
    Add a script that helps installing python module on windows.
    Windows installer : add vbs script to launch openturns gui, installer work …
    Fix AtomicInt constructor initialization (cf r1776).
    Adapt code to mingw.
    Enable explicitly auto-import with mingw. Install .expout file for windows …
    Add some useful entry in openturns.conf.
    Remove carriage return on windows check tests.
    On windows, temporary directory is set to TEMP envvar by default.
    Add test to AtomicFunctions.
    Improve AtomicFunctions performance for windows.
    Adapt airy.f to be able to compile on g77, need tests.
    Fix race condition in AtomicInt when no TBB or gcc4 compiler are present. …
    Fix compilation : conflict with windows defines.
    Fix compilation : conflict with windows defines.
    Fix for windows missing pthread deps in python modules.
    Change var name in order to avoid conflicts with windows defines.
    Fix missing libs for windows regex.
    Use a Makefile to help cross-compiling to windows.
    Make distcheck ok.
    MERGE: trunk> svn merge --reintegrate https://.../branches/dutka (1691:1852)
    Pretty printing of Matrix, Tensor, PlatformInfo and PythonNumericalMathFunction based NumericalMathFunction.
    Fixed bugs in PythonNumericalMathFunction when computing gradient and hessian.
    Fixed bug in XML toolbox preventing warnings and error messages from appearing.
    Added new wrapper macros.
    Changed wrapper templates.
    Changed OpenTURNSPythonFunction definition (replaced method 'f' by '_exec' for clarity).
    Removed duplicate file inclusion.
    Added missing comment in openturns-module tool.
    Added missing SWIG files in installation directory preventing modules from compiling.
    Fixed bug in WrapperFile.cxx when the wrapper description file uses an empty <user-prefix> tag.
    SWIG cleaning. Work in progress.
    Refactoring of wrapper internal objects. WIP
    Fixed bug in WrapperObject pretty print
    Removed useless casts to base classes in Python wrapping for:
    * ComparisonOperator
    * ApproximationAlgorithm
    * NearestPointAlgorithm
    * UniVariatePolynomial
    * Drawable
    * BoundConstrainedAlgorithm
    * Solver
    * AdaptiveStrategy
    * Experiment
    * SVMKernel
    * RandomVector
    Added test for erroneous variable name in wrapper description file <subst> tag.
    Added default initial value to AtomicInt.
    Fixed bugs in some SWIG files.
    Fixed warning in SWIG files.
    Fixed bug in NumericalSampleImplementation.cxx (wrong initialization of functor accumulator).
    Fixed bug in Regression sublibrary Makefile (wrong path).
    Improved parallel computation in NumericalSampleImplementation.
    Improved TBB support.
    Improved wrapper file management. Added multiple DTD management.
    Make distcheck ok.
    MERGE: trunk> svn merge --reintegrate https://.../schueller (1733:1859) 
    Fixed swig version detection to work with 2.x.
    Changed implementations of DatabaseNMF derivates
    Fixed #292. Make distcheck ok.
    Fixed #290.
    Fixed #293. Added tests for string-based AnalyticalNMF constructors.
    Moved Base/Regression to Base/MetaModel. Removed classes RegressionAlgorithm/Result.
    Fixed bug in lib/src/Base/MetaModel/Makefile.am. Make distcheck ok.
    Fixed #295.
    Fixed #294.
    Fixed swig warnings.
    Fixed python t_StrongMaximumTest_other label.
    Fixed Arcsine & Trapezoidal factories test labels.
    Fixed missing executable bit on some python tests.
    Fixed Pointer swig interface for swig 2.x.
    Fixed duplicate code in AggregatedNumericalMathEvaluationImplementation.hxx.
    Fixed typo in lib/src/Base/Func/LinearCombinationEvaluationImplementation.cxx
    Cleanup in FunctionCache. Added corresponding tests.
    Fixed bug in Base/MetaModel/Makefile.am (same fix as Ivan's as dir moved).
    Fixed cmake build (#275, #281).
    Make distcheck ok.
    MERGE: trunk> svn merge --reintegrate https://.../lebrun (1709:1862) 
    Fixed a numerical precision problem in a test.
    Moved the SpecFunc class from Uncertainty/Distribution/ExtraFunc directory to Base/Func/SpecFunc directory.
    Moved the DistFunc class from Uncertainty/Distribution/ExtraFunc directory to Uncertainty/Distribution directory.
    Suppressed the Uncertainty/Distribution/ExtraFunc directory.
    Switched to the lazy evaluation mechanism for the mean and the covariance for all the distributions.
    Improved the comparison operator of all the classes in Uncertainty/Distribution and Uncertainty/Model directories.
    Changed the return type of the rBinomial() method of DistFunc class.
    Added the dNonCentralChiSquare(), pNonCentralChiSquare() and rNonCentralChiSquare() methods to the DistFunc class. Work in progress.
    Renamed the MultiNomial and MultiNomialFactory classes into Multinomial and MultinomialFactory classes.
    Implemented most of the methods of a multivariate distribution for the Multinomial distribution. Still a bug in the quantile computation.
    Fixed many bugs in Ev3.
    Fixed a bug in the AnalyticalNumericalMathGradientImplementation and AnalyticalNumericalMathHessianImplementation classes: the order of the input variables was not inforce to be the same between MuParser and Ev3, resulting in wrong differenciations.
    Added a simplified interface for the evaluation operator for 1D functions.
    Added the computeGeneratingFunction() method with complex argument to all the discrete distributions.
    Improved the computeCDF() method of the Multinomial class.
    Added the getParametersCollection() method to the Multinomial class.
    Fixed a bug in the computeScalarQuantile() method of the Poisson class.
    Fixed a bug in the computeCovariance() method of the Multinomial class.
    Fixed a bug in the generic implementation of the computeQuantile() method in the DistributionImplementation class.
    Still a problem with the Dirichlet class.
    Implemented the dNonCentralChiSquare(), pNonCentralChiSquare() and rNonCentralChiSquare() methods in the DistFunc class.
    Added the Chi class.
    Added the ChiFactory class.
    Added the NonCentralChiSquare class.
    Improved the computeCDF() method of the Dirichlet class.
    Fixed a minor bug in the computeQuantile() method of the DistributionImplementation class.
    Improved the HyperGeom_1_1() method of the SpecFunc class.
    Improved the computeCDF() method of the Multinomial class.
    Improved the computeCDF() method of the Dirichlet class.
    Changed the return type of the getMarginal() and clone() methods of all the distributions. Now, they return a pointer to the narrowest possible type.
    Changed the return type of the getMarginal() method of all the random vectors. Now, they return a pointer to the narrowest possible type.
    Improved the pGamma() method of the DistFunc class.
    Added the isIntegral() method to the Mixture class.
    Improved the computeCDF() method of the Binomial class.
    Improved the computeCDF() method of the Poisson class.
    Improved the numerical stability of the Student class.
    Added a constructor from a DistributionImplementation pointer to the Copula class.
    Fixed a minor bug in the computeGaussNodesAndWeigths() method of the DistributionImplementation class.
    Fixed a bug in the parser class of Ev3 that 
    Added the ZipfMandelbrot class (contribution from Nolwenn Balin).
    Fixed a bug in the rNonCentralChiSquare() method of the DistFunc class.
    Added the Rice class (contribution from Sofiane Haddad).
    Added the InverseNormal class (contribution from Denis Barbier)
    Added the Burr class (contribution from Merlin Keller).
    Improved and simplified the SensitivityAnalysis class and made it compatible with the recent versions of the R sensitivity package.
    Added the FisherSnedecor class (contribution from Karina Macocco)
    Added parameters accessors to the InverseNormal class.
    Added the Pairs class (contribution from Sofiane Haddad)
    Fixed minor precision problems in the tests.
    Added a warning message in the CorrelationAnalysis class if one of the computed Sobol index is not in [0, 1]. It closed the ticket #303.
    Extracted the SobolIndiceParameters and SobolIndiceResult classes from the CorrelationAnalysis class and renamed it SobolIndicesParameters and SobolIndicesResult.
    Renamed the SobolIndice() method of the CorrelationAnalysis class into SobolIndices().
    Fixed a compatibility issue with airy.f for the windows port (patch from Souchaud missed during last merge).
    Make distcheck ok.
    Module load ok.
    Windows port ok.
    CMake build ok.
    Changed version number to 0.14.0rc1. Changed copyright dates.

2008-07-15  Ivan Dutka-Malen <ivan(:DOT:)dutka-malen(:AT:)der(:DOT:)edf(:DOT:)fr>

	* [r881] doc/src/UseCasesGuide/AxialGrid.png,
	  doc/src/UseCasesGuide/Beta_PDF.png,
	  doc/src/UseCasesGuide/BoxGrid.png,
	  doc/src/UseCasesGuide/CompositeGrid.png,
	  doc/src/UseCasesGuide/FactorialGrid.png,
	  doc/src/UseCasesGuide/Makefile.am,
	  doc/src/UseCasesGuide/OpenTURNS_UseCasesGuide.tex,
	  doc/src/UseCasesGuide/ScaledAxialGrid.png,
	  doc/src/UseCasesGuide/ScaledBoxGrid.png,
	  doc/src/UseCasesGuide/ScaledCompositeGrid.png,
	  doc/src/UseCasesGuide/ScaledFactorialGrid.png,
	  doc/src/UseCasesGuide/TranslatedScaledAxialGrid.png,
	  doc/src/UseCasesGuide/TranslatedScaledBoxGrid.png,
	  doc/src/UseCasesGuide/TranslatedScaledCompositeGrid.png,
	  doc/src/UseCasesGuide/TranslatedScaledFactorialGrid.png,
	  doc/src/UseCasesGuide/cdf_triangGaussKernelSmooth.png,
	  doc/src/UseCasesGuide/iso_PDFcurves_12.png,
	  doc/src/UseCasesGuide/kernelSmoothing_boundary_cdf.png,
	  doc/src/UseCasesGuide/kernelSmoothing_boundary_pdf.png,
	  doc/src/UseCasesGuide/kernelSmoothing_cdf.png,
	  doc/src/UseCasesGuide/kernelSmoothing_pdf.png,
	  doc/src/UseCasesGuide/pdf_TruncatedNormal.png,
	  doc/src/UseCasesGuide/pdf_Weibull.png,
	  doc/src/UseCasesGuide/pdf_Weibull_1.png,
	  doc/src/UseCasesGuide/pdf_Weibull_2.png,
	  doc/src/UseCasesGuide/pdf_triangGaussKernelSmooth.png,
	  doc/src/UseCasesGuide/script_ExperimentPlanes.py,
	  doc/src/UseCasesGuide/script_kernelMixture.py,
	  doc/src/UseCasesGuide/script_kernelSmoothing.py,
	  doc/src/UseCasesGuide/script_truncatedDistribution.py,
	  doc/src/UseCasesGuide/script_usualDistribution.py,
	  doc/src/UseCasesGuide/truncatedDistribution_cdf.png,
	  doc/src/UseCasesGuide/truncatedDistribution_pdf.png,
	  doc/src/UserManual/Distribution_UserManual.tex,
	  doc/src/UserManual/ExperimentPlane_UserManual.tex,
	  doc/src/UserManual/Graphs_UserManual.tex,
	  doc/src/UserManual/OpenTURNS_UserManual_TUI.tex,
	  doc/src/UserManual/ThresholdProbabilitySimulationAlgorithm_UserManual.tex,
	  lib/include/OTconfig.h.in: trunk> svn merge -r 863:875
	  https://.../branches/lebrun/support-0.12
	  trunk> svn merge -r 853:859 https://.../branches/dutfoy
	  
	  Fixed a bug in the Makefile.am that prevented the UseCaseGuide
	  from being compiled.
	  Updated the User Manual:
	  + Enhanced description of the Distribution class.
	  + Enhanced description of the Copula class.
	  + Enhanced description of the NumericalSample class.
	  + Enhanced description of the Graph class.
	  + Enhanced description of the Simulation algorithm classes.
	  + Enhanced description of the KernelSmmothing class.
	  + Enhanced description of the Experiment classes.
	  Updated the Use Case Guide:
	  + Reworked the use-cases of the experiments planes.
	  + Created a use-case on copula modelling.
	  + Created a use-case on distribution manipulation.
	  + Modified the use-cases related to the usual distributions.
	  + Modified the use-cases related to the NumericalSample.
	  + Modified the use-cases related to the KernelSmoothing.
	  + Modified the use-cases related to the Simulation algorithm
	  classes.
	  + Added illustrations for each use-cases.
	  + Completely reworked the index.
	* [r880]
	  lib/src/Base/Func/AnalyticalNumericalMathEvaluationImplementation.cxx,
	  lib/src/Base/Func/ComposedNumericalMathEvaluationImplementation.cxx,
	  lib/src/Uncertainty/Distribution/ComposedDistribution.cxx,
	  lib/src/Uncertainty/Distribution/UserDefined.cxx,
	  lib/src/Uncertainty/Model/CopulaImplementation.cxx,
	  lib/src/Uncertainty/Model/DistributionImplementation.cxx: Fixed
	  ticket #132. See TRAC messages for further details.
	  Fixed ticket #133. See TRAC messages for further details.
	  Fixed ticket #134. See TRAC for details.

2008-07-09  Ivan Dutka-Malen <ivan(:DOT:)dutka-malen(:AT:)der(:DOT:)edf(:DOT:)fr>

	* [r877] lib/src/Base/Common/OSS.hxx,
	  lib/src/Base/Common/StorageManager.hxx,
	  lib/src/Uncertainty/Distribution/Mixture.cxx,
	  lib/src/Uncertainty/Model/DistributionImplementation.cxx,
	  lib/test/t_StandardSpaceControlledImportanceSampling_std.cxx: Fix
	  bug #135.
	  Fix memory bug in StorageManager.hxx.

2008-06-26  Ivan Dutka-Malen <ivan(:DOT:)dutka-malen(:AT:)der(:DOT:)edf(:DOT:)fr>

	* [r862] config/common.am, doc/Makefile.am, doc/config/Makefile.am,
	  doc/config/common.am, doc/configure.ac, doc/m4/Makefile.am,
	  doc/m4/ot_check_bibtex.m4, doc/m4/ot_check_dot.m4,
	  doc/m4/ot_check_doxygen.m4, doc/m4/ot_check_makeindex.m4,
	  doc/m4/ot_check_openturns.m4, doc/m4/ot_check_pdflatex.m4,
	  doc/m4/ot_debug.m4,
	  doc/src/ArchitectureGuide/Figures/Makefile.am,
	  doc/src/ArchitectureGuide/Figures/analysis/Makefile.am,
	  doc/src/ArchitectureGuide/Figures/design/Makefile.am,
	  doc/src/ArchitectureGuide/Figures/modeling_notions/Makefile.am,
	  doc/src/ArchitectureGuide/Makefile.am,
	  doc/src/ArchitectureGuide/OpenTURNS_ArchitectureGuide.tex,
	  doc/src/ArchitectureGuide/analysis.tex,
	  doc/src/ArchitectureGuide/appendices.tex,
	  doc/src/ArchitectureGuide/design.tex,
	  doc/src/ArchitectureGuide/introduction.tex,
	  doc/src/ArchitectureGuide/summary.tex,
	  doc/src/ArchitectureGuide/technical.tex,
	  doc/src/CodingRulesGuide/Makefile.am,
	  doc/src/CodingRulesGuide/OpenTURNS_CodingRulesGuide.tex,
	  doc/src/ContributionGuide/Makefile.am,
	  doc/src/ContributionGuide/OpenTURNS_ContributionGuide.tex,
	  doc/src/DocumentationGuide/Makefile.am,
	  doc/src/DocumentationGuide/OpenTURNS_DocumentationGuide.tex,
	  doc/src/GNU_free_documentation_licence/GNU_Free_Documentation_License_GNU_Project_Free_Software_Foundation_FSF_fichiers/Makefile.am,
	  doc/src/GNU_free_documentation_licence/Makefile.am,
	  doc/src/GenericInformation.tex, doc/src/Makefile.am,
	  doc/src/ReferenceGuide/Geometric_graph.py,
	  doc/src/ReferenceGuide/Makefile.am,
	  doc/src/ReferenceGuide/OpenTURNS_ReferenceGuide.tex,
	  doc/src/ReferenceGuide/Poisson_graph.py,
	  doc/src/ReferenceGuide/QQplot.py,
	  doc/src/ReferenceGuide/QQplotDistrib.py,
	  doc/src/ReferenceGuide/docref_B11_FoncRepEmp.tex,
	  doc/src/ReferenceGuide/docref_B11_Noyaux.tex,
	  doc/src/ReferenceGuide/docref_B121_ChoixLoi.tex,
	  doc/src/ReferenceGuide/docref_B122_Copules.tex,
	  doc/src/ReferenceGuide/docref_B201_Graph.tex,
	  doc/src/ReferenceGuide/docref_B202_Smirnov.tex,
	  doc/src/ReferenceGuide/docref_B21_MaxVrais.tex,
	  doc/src/ReferenceGuide/docref_B221_Graph.tex,
	  doc/src/ReferenceGuide/docref_B222_CritereBIC.tex,
	  doc/src/ReferenceGuide/docref_B222_TestAD.tex,
	  doc/src/ReferenceGuide/docref_B222_TestCVM.tex,
	  doc/src/ReferenceGuide/docref_B222_TestChi2.tex,
	  doc/src/ReferenceGuide/docref_B222_TestKS.tex,
	  doc/src/ReferenceGuide/docref_B231_Pearson.tex,
	  doc/src/ReferenceGuide/docref_B231_TestPearson.tex,
	  doc/src/ReferenceGuide/docref_B232_Spearman.tex,
	  doc/src/ReferenceGuide/docref_B232_TestSpearman.tex,
	  doc/src/ReferenceGuide/docref_B233_TestChi2.tex,
	  doc/src/ReferenceGuide/docref_B234_RegLin.tex,
	  doc/src/ReferenceGuide/docref_C11_MinMaxPlanExp.tex,
	  doc/src/ReferenceGuide/docref_C211_CumulQuad.tex,
	  doc/src/ReferenceGuide/docref_C221_MonteCarloStd.tex,
	  doc/src/ReferenceGuide/docref_C311_Form.tex,
	  doc/src/ReferenceGuide/docref_C311_ReliabIndex.tex,
	  doc/src/ReferenceGuide/docref_C311_Sorm.tex,
	  doc/src/ReferenceGuide/docref_C311_TransIso.tex,
	  doc/src/ReferenceGuide/docref_C312_SampleSphere.tex,
	  doc/src/ReferenceGuide/docref_C312_StrongMaxTest.tex,
	  doc/src/ReferenceGuide/docref_C321_MonteCarloStd.tex,
	  doc/src/ReferenceGuide/docref_C322_LHS.tex,
	  doc/src/ReferenceGuide/docref_C322_SimuDir.tex,
	  doc/src/ReferenceGuide/docref_C322_TI.tex,
	  doc/src/ReferenceGuide/docref_C41_MonteCarloStd.tex,
	  doc/src/ReferenceGuide/docref_Cprime211_FactImp.tex,
	  doc/src/ReferenceGuide/docref_Cprime212_PCC.tex,
	  doc/src/ReferenceGuide/docref_Cprime212_PRCC.tex,
	  doc/src/ReferenceGuide/docref_Cprime212_Pearson.tex,
	  doc/src/ReferenceGuide/docref_Cprime212_SRC.tex,
	  doc/src/ReferenceGuide/docref_Cprime212_Spearman.tex,
	  doc/src/ReferenceGuide/docref_Cprime31_FactImp.tex,
	  doc/src/ReferenceGuide/docref_Cprime31_FactSens.tex,
	  doc/src/ReferenceGuide/docref_SurfRep_LeastSquare.tex,
	  doc/src/ReferenceGuide/docref_SurfRep_Polynome.tex,
	  doc/src/ReferenceGuide/docref_SurfRep_Taylor.tex,
	  doc/src/ReferenceGuide/general_distributions_graph.py,
	  doc/src/ReferenceGuide/global_methodology_content.tex,
	  doc/src/ReferenceGuide/henry.py,
	  doc/src/ReferenceGuide/henryBad.py,
	  doc/src/ReferenceGuide/kolmo.py,
	  doc/src/ReferenceGuide/linearRegModel.py,
	  doc/src/ReferenceGuide/model_non_symetric.py,
	  doc/src/ReferenceGuide/model_symetric.py,
	  doc/src/ReferenceGuide/model_symetric_few.py,
	  doc/src/ReferenceGuide/reference_guide_content.tex,
	  doc/src/ReferenceGuide/reference_guide_title.tex,
	  doc/src/ReferenceGuide/script_Geometric_graph.py,
	  doc/src/ReferenceGuide/script_Poisson_graph.py,
	  doc/src/ReferenceGuide/script_QQplot.py,
	  doc/src/ReferenceGuide/script_QQplotDistrib.py,
	  doc/src/ReferenceGuide/script_general_distributions_graph.py,
	  doc/src/ReferenceGuide/script_henry.py,
	  doc/src/ReferenceGuide/script_henryBad.py,
	  doc/src/ReferenceGuide/script_kolmo.py,
	  doc/src/ReferenceGuide/script_linearRegModel.py,
	  doc/src/ReferenceGuide/script_model_non_symetric.py,
	  doc/src/ReferenceGuide/script_model_symetric.py,
	  doc/src/ReferenceGuide/script_model_symetric_few.py,
	  doc/src/ReferenceGuide/script_smoothing.py,
	  doc/src/ReferenceGuide/smoothing.py,
	  doc/src/UseCasesGuide/Makefile.am,
	  doc/src/UseCasesGuide/OpenTURNS_UseCasesGuide.tex,
	  doc/src/UseCasesGuide/script_DataHist.py,
	  doc/src/UseCasesGuide/script_ExperimentPlanes.py,
	  doc/src/UseCasesGuide/script_FORM.py,
	  doc/src/UseCasesGuide/script_HenryLine.py,
	  doc/src/UseCasesGuide/script_Histogram.py,
	  doc/src/UseCasesGuide/script_QQPlot.py,
	  doc/src/UseCasesGuide/script_cloud1.py,
	  doc/src/UseCasesGuide/script_cloud2.py,
	  doc/src/UseCasesGuide/script_composedDistribution.py,
	  doc/src/UseCasesGuide/script_copula.py,
	  doc/src/UseCasesGuide/script_distribution_manipulation.py,
	  doc/src/UseCasesGuide/script_kernelMixture.py,
	  doc/src/UseCasesGuide/script_linearRegression.py,
	  doc/src/UseCasesGuide/script_mixture.py,
	  doc/src/UseCasesGuide/script_quadraticCumul.py,
	  doc/src/UseCasesGuide/script_usualDistribution.py,
	  doc/src/UserManual/BaseObjects_UserManual.tex,
	  doc/src/UserManual/Distribution_UserManual.tex,
	  doc/src/UserManual/ExperimentPlane_UserManual.tex,
	  doc/src/UserManual/Graphs_UserManual.tex,
	  doc/src/UserManual/Makefile.am,
	  doc/src/UserManual/OpenTURNS_UserManual_TUI.tex,
	  doc/src/UserManual/QuadraticCumul_UserManual.tex,
	  doc/src/UserManual/ResponseSurfaceApproximation_UserManual.tex,
	  doc/src/UserManual/Statistics_UserManual.tex,
	  doc/src/UserManual/ThresholdProbabilityReliabilityAlgorithm_UserManual.tex,
	  doc/src/UserManual/ThresholdProbabilitySimulationAlgorithm_UserManual.tex,
	  doc/src/UserManual/macro_UserManual.tex,
	  doc/src/WrapperGuide/Makefile.am,
	  doc/src/WrapperGuide/OpenTURNS_WrappersGuide.tex,
	  doc/src/WrapperGuide/distributed_context.tex,
	  doc/src/WrapperGuide/introduction.tex,
	  doc/src/WrapperGuide/local_context.tex, gui/config/common.am,
	  gui/m4/ot_check_dot.m4, gui/m4/ot_check_doxygen.m4,
	  gui/m4/ot_check_openturns.m4, gui/m4/ot_check_qt.m4,
	  gui/m4/ot_debug.m4, gui/m4/ot_get_object_default_name.m4,
	  gui/src/BlockFunctionProperty.cxx,
	  gui/src/BlockFunctionProperty.hxx, gui/src/CentralDispersion.cxx,
	  gui/src/CentralDispersion.hxx,
	  gui/src/CentralDispersionMethodProperty.cxx,
	  gui/src/CentralDispersionMethodProperty.hxx,
	  gui/src/ComparisonOperatorProperty.cxx,
	  gui/src/ComparisonOperatorProperty.hxx,
	  gui/src/DescriptionProperty.cxx, gui/src/DescriptionProperty.hxx,
	  gui/src/DistributionProperty.cxx,
	  gui/src/DistributionProperty.hxx,
	  gui/src/EntryVariableProperty.cxx,
	  gui/src/EntryVariableProperty.hxx,
	  gui/src/ExperimentProperty.cxx, gui/src/ExperimentProperty.hxx,
	  gui/src/FinalVariableProperty.cxx,
	  gui/src/FinalVariableProperty.hxx,
	  gui/src/FunctionParametersProperty.cxx,
	  gui/src/FunctionParametersProperty.hxx,
	  gui/src/GradientCalculationProperty.cxx,
	  gui/src/GradientCalculationProperty.hxx,
	  gui/src/HessianCalculationProperty.cxx,
	  gui/src/HessianCalculationProperty.hxx,
	  gui/src/MinMaxProperty.cxx, gui/src/MinMaxProperty.hxx,
	  gui/src/NearestPointAlgorithmProperty.cxx,
	  gui/src/NearestPointAlgorithmProperty.hxx,
	  gui/src/NumericalMathFunctionProperty.cxx,
	  gui/src/NumericalMathFunctionProperty.hxx,
	  gui/src/NumericalPointProperty.cxx,
	  gui/src/NumericalPointProperty.hxx,
	  gui/src/NumericalSampleProperty.cxx,
	  gui/src/NumericalSampleProperty.hxx,
	  gui/src/NumericalScalarProperty.cxx,
	  gui/src/NumericalScalarProperty.hxx, gui/src/Parameter.cxx,
	  gui/src/QOTNameProperty.cxx, gui/src/QOTNameProperty.hxx,
	  gui/src/QOTProperty.cxx, gui/src/QOTProperty.hxx,
	  gui/src/QPropertiesBrowser.cxx, gui/src/QPropertiesBrowser.hxx,
	  gui/src/QPropertiesBrowserItem.cxx,
	  gui/src/QPropertiesBrowserItem.hxx,
	  gui/src/QVisualizationFrame.cxx, gui/src/QVisualizationFrame.hxx,
	  gui/src/Result.cxx, gui/src/Result.hxx,
	  gui/src/StrongMaximumTestProperty.cxx,
	  gui/src/StrongMaximumTestProperty.hxx,
	  gui/src/ThresholdExceedanceMethodProperty.cxx,
	  gui/src/ThresholdExceedanceMethodProperty.hxx,
	  gui/src/UnsignedLongProperty.cxx,
	  gui/src/UnsignedLongProperty.hxx,
	  gui/src/VariableTypeProperty.cxx,
	  gui/src/VariableTypeProperty.hxx,
	  gui/src/VariablesAssociationProperty.cxx,
	  gui/src/VariablesAssociationProperty.hxx,
	  gui/src/WrapperProperty.cxx, gui/src/WrapperProperty.hxx,
	  gui/src/YesNoProperty.cxx, gui/src/YesNoProperty.hxx,
	  lib/config/common.am, lib/config/test.am, lib/etc/Makefile.am,
	  lib/include/OT.hxx, lib/include/OTdebug.h, lib/m4/ot_check_bc.m4,
	  lib/m4/ot_check_boost.m4, lib/m4/ot_check_dot.m4,
	  lib/m4/ot_check_doxygen.m4, lib/m4/ot_check_openturns.m4,
	  lib/m4/ot_check_qt.m4, lib/m4/ot_check_r.m4,
	  lib/m4/ot_check_r_bitmap.m4, lib/m4/ot_check_regex.m4,
	  lib/m4/ot_check_rm.m4, lib/m4/ot_check_threads.m4,
	  lib/m4/ot_check_xercesc.m4, lib/m4/ot_debug.m4,
	  lib/m4/ot_get_object_default_name.m4,
	  lib/src/Base/Common/Catalog.cxx, lib/src/Base/Common/Catalog.hxx,
	  lib/src/Base/Common/ComparisonOperatorImplementation.cxx,
	  lib/src/Base/Common/ComparisonOperatorImplementation.hxx,
	  lib/src/Base/Common/InterfaceObject.cxx,
	  lib/src/Base/Common/InterfaceObject.hxx,
	  lib/src/Base/Common/Log.cxx, lib/src/Base/Common/Log.hxx,
	  lib/src/Base/Common/OSS.cxx, lib/src/Base/Common/OSS.hxx,
	  lib/src/Base/Common/PersistentObjectFactory.cxx,
	  lib/src/Base/Common/PersistentObjectFactory.hxx,
	  lib/src/Base/Common/StringXMLConverter.hxx,
	  lib/src/Base/Common/Study.cxx, lib/src/Base/Common/Study.hxx,
	  lib/src/Base/Common/TypedCollectionInterfaceObject.hxx,
	  lib/src/Base/Common/TypedInterfaceObject.hxx,
	  lib/src/Base/Common/WrapperCommon.cxx,
	  lib/src/Base/Common/WrapperCommon.h,
	  lib/src/Base/Common/WrapperData.cxx,
	  lib/src/Base/Common/XMLStorageManager.cxx,
	  lib/src/Base/Common/XMLStorageManager.hxx,
	  lib/src/Base/Func/AggregatedNumericalMathFunction.cxx,
	  lib/src/Base/Func/AggregatedNumericalMathFunction.hxx,
	  lib/src/Base/Func/AnalyticalNumericalMathEvaluationImplementation.cxx,
	  lib/src/Base/Func/AnalyticalNumericalMathEvaluationImplementation.hxx,
	  lib/src/Base/Func/ComposedNumericalMathEvaluationImplementation.cxx,
	  lib/src/Base/Func/ComposedNumericalMathEvaluationImplementation.hxx,
	  lib/src/Base/Func/ComposedNumericalMathFunction.cxx,
	  lib/src/Base/Func/ComposedNumericalMathFunction.hxx,
	  lib/src/Base/Func/ComputedNumericalMathEvaluationImplementation.cxx,
	  lib/src/Base/Func/ComputedNumericalMathEvaluationImplementation.hxx,
	  lib/src/Base/Func/ComputedNumericalMathEvaluationImplementationFactory.cxx,
	  lib/src/Base/Func/ComputedNumericalMathEvaluationImplementationFactory.hxx,
	  lib/src/Base/Func/ComputedNumericalMathGradientImplementation.cxx,
	  lib/src/Base/Func/ComputedNumericalMathGradientImplementation.hxx,
	  lib/src/Base/Func/ComputedNumericalMathGradientImplementationFactory.cxx,
	  lib/src/Base/Func/ComputedNumericalMathGradientImplementationFactory.hxx,
	  lib/src/Base/Func/ComputedNumericalMathHessianImplementation.cxx,
	  lib/src/Base/Func/ComputedNumericalMathHessianImplementation.hxx,
	  lib/src/Base/Func/ComputedNumericalMathHessianImplementationFactory.cxx,
	  lib/src/Base/Func/ComputedNumericalMathHessianImplementationFactory.hxx,
	  lib/src/Base/Func/LinearNumericalMathEvaluationImplementation.cxx,
	  lib/src/Base/Func/LinearNumericalMathEvaluationImplementation.hxx,
	  lib/src/Base/Func/MuParser/Makefile.am,
	  lib/src/Base/Func/MuParser/muParser.h,
	  lib/src/Base/Func/MuParser/muParserBase.h,
	  lib/src/Base/Func/MuParser/muParserBytecode.h,
	  lib/src/Base/Func/MuParser/muParserCallback.h,
	  lib/src/Base/Func/MuParser/muParserDef.h,
	  lib/src/Base/Func/MuParser/muParserError.h,
	  lib/src/Base/Func/MuParser/muParserFixes.h,
	  lib/src/Base/Func/MuParser/muParserStack.h,
	  lib/src/Base/Func/MuParser/muParserToken.h,
	  lib/src/Base/Func/MuParser/muParserTokenReader.h,
	  lib/src/Base/Func/NoNumericalMathEvaluationImplementation.cxx,
	  lib/src/Base/Func/NoNumericalMathEvaluationImplementation.hxx,
	  lib/src/Base/Func/NoNumericalMathGradientImplementation.cxx,
	  lib/src/Base/Func/NoNumericalMathGradientImplementation.hxx,
	  lib/src/Base/Func/NoNumericalMathHessianImplementation.cxx,
	  lib/src/Base/Func/NoNumericalMathHessianImplementation.hxx,
	  lib/src/Base/Func/NumericalMathEvaluationImplementation.cxx,
	  lib/src/Base/Func/NumericalMathEvaluationImplementation.hxx,
	  lib/src/Base/Func/NumericalMathEvaluationImplementationFactory.cxx,
	  lib/src/Base/Func/NumericalMathEvaluationImplementationFactory.hxx,
	  lib/src/Base/Func/NumericalMathFunction.cxx,
	  lib/src/Base/Func/NumericalMathFunction.hxx,
	  lib/src/Base/Func/NumericalMathFunctionImplementation.cxx,
	  lib/src/Base/Func/NumericalMathFunctionImplementation.hxx,
	  lib/src/Base/Func/NumericalMathGradientImplementation.cxx,
	  lib/src/Base/Func/NumericalMathGradientImplementation.hxx,
	  lib/src/Base/Func/NumericalMathGradientImplementationFactory.cxx,
	  lib/src/Base/Func/NumericalMathGradientImplementationFactory.hxx,
	  lib/src/Base/Func/NumericalMathHessianImplementation.cxx,
	  lib/src/Base/Func/NumericalMathHessianImplementation.hxx,
	  lib/src/Base/Func/NumericalMathHessianImplementationFactory.cxx,
	  lib/src/Base/Func/NumericalMathHessianImplementationFactory.hxx,
	  lib/src/Base/Func/QuadraticNumericalMathEvaluationImplementation.cxx,
	  lib/src/Base/Func/QuadraticNumericalMathEvaluationImplementation.hxx,
	  lib/src/Base/Func/WrapperObject.cxx,
	  lib/src/Base/Func/WrapperObject.hxx,
	  lib/src/Base/Graph/BarPlot.cxx, lib/src/Base/Graph/BarPlot.hxx,
	  lib/src/Base/Graph/Contour.cxx, lib/src/Base/Graph/Contour.hxx,
	  lib/src/Base/Graph/GraphImplementation.cxx,
	  lib/src/Base/Graph/GraphImplementation.hxx,
	  lib/src/Base/Optim/BoundConstrainedAlgorithm.cxx,
	  lib/src/Base/Optim/BoundConstrainedAlgorithm.hxx,
	  lib/src/Base/Optim/BoundConstrainedAlgorithmImplementation.cxx,
	  lib/src/Base/Optim/BoundConstrainedAlgorithmImplementation.hxx,
	  lib/src/Base/Optim/BoundConstrainedAlgorithmImplementationResult.cxx,
	  lib/src/Base/Optim/NearestPointAlgorithmImplementationResult.cxx,
	  lib/src/Base/Optim/SQP/Makefile.am,
	  lib/src/Base/Optim/SQP/SQP.cxx, lib/src/Base/Optim/SQP/SQP.hxx,
	  lib/src/Base/Optim/SQP/SQPSpecificParameters.cxx,
	  lib/src/Base/Optim/TNC/Makefile.am,
	  lib/src/Base/Optim/TNC/TNC.cxx, lib/src/Base/Optim/TNC/TNC.hxx,
	  lib/src/Base/Optim/TNC/TNCSpecificParameters.cxx,
	  lib/src/Base/Optim/TNC/algotnc.c,
	  lib/src/Base/Optim/TNC/algotnc.h,
	  lib/src/Base/Solver/Bisection.cxx,
	  lib/src/Base/Solver/Bisection.hxx, lib/src/Base/Solver/Brent.cxx,
	  lib/src/Base/Solver/Brent.hxx, lib/src/Base/Solver/Makefile.am,
	  lib/src/Base/Solver/Secant.cxx, lib/src/Base/Solver/Secant.hxx,
	  lib/src/Base/Solver/Solver.cxx, lib/src/Base/Solver/Solver.hxx,
	  lib/src/Base/Solver/SolverImplementation.cxx,
	  lib/src/Base/Solver/SolverImplementation.hxx,
	  lib/src/Base/Stat/Compact.cxx, lib/src/Base/Stat/Compact.hxx,
	  lib/src/Base/Stat/CorrelationAnalysis.cxx,
	  lib/src/Base/Stat/CorrelationAnalysis.hxx,
	  lib/src/Base/Stat/CorrelationMatrix.cxx,
	  lib/src/Base/Stat/CorrelationMatrix.hxx,
	  lib/src/Base/Stat/Full.cxx, lib/src/Base/Stat/Full.hxx,
	  lib/src/Base/Stat/HistoryStrategy.cxx,
	  lib/src/Base/Stat/HistoryStrategy.hxx,
	  lib/src/Base/Stat/HistoryStrategyImplementation.cxx,
	  lib/src/Base/Stat/HistoryStrategyImplementation.hxx,
	  lib/src/Base/Stat/Last.cxx, lib/src/Base/Stat/Last.hxx,
	  lib/src/Base/Stat/Null.cxx, lib/src/Base/Stat/Null.hxx,
	  lib/src/Base/Stat/NumericalSampleImplementation.cxx,
	  lib/src/Base/Stat/NumericalSampleImplementation.hxx,
	  lib/src/Base/Stat/RandomGenerator.cxx,
	  lib/src/Base/Stat/RandomGenerator.hxx,
	  lib/src/Base/Stat/csv_lexer.ll, lib/src/Base/Stat/csv_parser.yy,
	  lib/src/Base/Stat/csv_parser_state.hxx,
	  lib/src/Base/Stat/dsfmt.cxx, lib/src/Base/Stat/dsfmt.h,
	  lib/src/Base/Stat/simd.h, lib/src/Base/Type/Cache.cxx,
	  lib/src/Base/Type/Cache.hxx,
	  lib/src/Base/Type/IdentityMatrix.cxx,
	  lib/src/Base/Type/IdentityMatrix.hxx,
	  lib/src/Base/Type/Indices.cxx, lib/src/Base/Type/Interval.cxx,
	  lib/src/Base/Type/Interval.hxx, lib/src/Base/Type/Kronecker.cxx,
	  lib/src/Base/Type/Kronecker.hxx, lib/src/Base/Type/Lapack.hxx,
	  lib/src/Base/Type/Makefile.am,
	  lib/src/Base/Type/NumericalPoint.cxx,
	  lib/src/Base/Type/NumericalPoint.hxx,
	  lib/src/Base/Type/NumericalPointImplementation.cxx,
	  lib/src/Base/Type/NumericalPointImplementation.hxx,
	  lib/src/Base/Type/NumericalPointImplementationWithDescription.cxx,
	  lib/src/Base/Type/NumericalPointImplementationWithDescription.hxx,
	  lib/src/Base/Type/NumericalPointWithDescription.cxx,
	  lib/src/Base/Type/NumericalPointWithDescription.hxx,
	  lib/src/Base/Type/TensorImplementation.cxx,
	  lib/src/Base/Type/TensorImplementation.hxx,
	  lib/src/BlasLapack/Makefile.am, lib/src/BlasLapack/daxpy.f,
	  lib/src/BlasLapack/dcopy.f, lib/src/BlasLapack/ddot.f,
	  lib/src/BlasLapack/dgebak.f, lib/src/BlasLapack/dgebal.f,
	  lib/src/BlasLapack/dgeev.f, lib/src/BlasLapack/dgehd2.f,
	  lib/src/BlasLapack/dgehrd.f, lib/src/BlasLapack/dgelsy.f,
	  lib/src/BlasLapack/dgemm.f, lib/src/BlasLapack/dgemv.f,
	  lib/src/BlasLapack/dgeqp3.f, lib/src/BlasLapack/dgeqr2.f,
	  lib/src/BlasLapack/dgeqrf.f, lib/src/BlasLapack/dger.f,
	  lib/src/BlasLapack/dgesv.f, lib/src/BlasLapack/dgetf2.f,
	  lib/src/BlasLapack/dgetrf.f, lib/src/BlasLapack/dgetrs.f,
	  lib/src/BlasLapack/dhseqr.f, lib/src/BlasLapack/disnan.f,
	  lib/src/BlasLapack/dlabad.f, lib/src/BlasLapack/dlacpy.f,
	  lib/src/BlasLapack/dladiv.f, lib/src/BlasLapack/dlae2.f,
	  lib/src/BlasLapack/dlaev2.f, lib/src/BlasLapack/dlaexc.f,
	  lib/src/BlasLapack/dlahqr.f, lib/src/BlasLapack/dlahr2.f,
	  lib/src/BlasLapack/dlaic1.f, lib/src/BlasLapack/dlaisnan.f,
	  lib/src/BlasLapack/dlaln2.f, lib/src/BlasLapack/dlamch.f,
	  lib/src/BlasLapack/dlange.f, lib/src/BlasLapack/dlanst.f,
	  lib/src/BlasLapack/dlansy.f, lib/src/BlasLapack/dlanv2.f,
	  lib/src/BlasLapack/dlapy2.f, lib/src/BlasLapack/dlaqp2.f,
	  lib/src/BlasLapack/dlaqps.f, lib/src/BlasLapack/dlaqr0.f,
	  lib/src/BlasLapack/dlaqr1.f, lib/src/BlasLapack/dlaqr2.f,
	  lib/src/BlasLapack/dlaqr3.f, lib/src/BlasLapack/dlaqr4.f,
	  lib/src/BlasLapack/dlaqr5.f, lib/src/BlasLapack/dlarf.f,
	  lib/src/BlasLapack/dlarfb.f, lib/src/BlasLapack/dlarfg.f,
	  lib/src/BlasLapack/dlarft.f, lib/src/BlasLapack/dlarfx.f,
	  lib/src/BlasLapack/dlartg.f, lib/src/BlasLapack/dlarz.f,
	  lib/src/BlasLapack/dlarzb.f, lib/src/BlasLapack/dlarzt.f,
	  lib/src/BlasLapack/dlascl.f, lib/src/BlasLapack/dlaset.f,
	  lib/src/BlasLapack/dlasr.f, lib/src/BlasLapack/dlasrt.f,
	  lib/src/BlasLapack/dlassq.f, lib/src/BlasLapack/dlaswp.f,
	  lib/src/BlasLapack/dlasy2.f, lib/src/BlasLapack/dlasyf.f,
	  lib/src/BlasLapack/dlatrd.f, lib/src/BlasLapack/dlatrz.f,
	  lib/src/BlasLapack/dnrm2.f, lib/src/BlasLapack/dorg2l.f,
	  lib/src/BlasLapack/dorg2r.f, lib/src/BlasLapack/dorghr.f,
	  lib/src/BlasLapack/dorgql.f, lib/src/BlasLapack/dorgqr.f,
	  lib/src/BlasLapack/dorgtr.f, lib/src/BlasLapack/dorm2r.f,
	  lib/src/BlasLapack/dormqr.f, lib/src/BlasLapack/dormr3.f,
	  lib/src/BlasLapack/dormrz.f, lib/src/BlasLapack/dpotf2.f,
	  lib/src/BlasLapack/dpotrf.f, lib/src/BlasLapack/drot.f,
	  lib/src/BlasLapack/dscal.f, lib/src/BlasLapack/dspmv.f,
	  lib/src/BlasLapack/dsteqr.f, lib/src/BlasLapack/dsterf.f,
	  lib/src/BlasLapack/dstev.f, lib/src/BlasLapack/dswap.f,
	  lib/src/BlasLapack/dsyev.f, lib/src/BlasLapack/dsymm.f,
	  lib/src/BlasLapack/dsymv.f, lib/src/BlasLapack/dsyr.f,
	  lib/src/BlasLapack/dsyr2.f, lib/src/BlasLapack/dsyr2k.f,
	  lib/src/BlasLapack/dsyrk.f, lib/src/BlasLapack/dsysv.f,
	  lib/src/BlasLapack/dsytd2.f, lib/src/BlasLapack/dsytf2.f,
	  lib/src/BlasLapack/dsytrd.f, lib/src/BlasLapack/dsytrf.f,
	  lib/src/BlasLapack/dsytrs.f, lib/src/BlasLapack/dtrevc.f,
	  lib/src/BlasLapack/dtrexc.f, lib/src/BlasLapack/dtrmm.f,
	  lib/src/BlasLapack/dtrmv.f, lib/src/BlasLapack/dtrsm.f,
	  lib/src/BlasLapack/dtzrzf.f, lib/src/BlasLapack/idamax.f,
	  lib/src/BlasLapack/ieeeck.f, lib/src/BlasLapack/ilaenv.f,
	  lib/src/BlasLapack/iparmq.f, lib/src/BlasLapack/lsame.f,
	  lib/src/BlasLapack/xerbla.f,
	  lib/src/Uncertainty/Algorithm/Analytical/Analytical.hxx,
	  lib/src/Uncertainty/Algorithm/Analytical/AnalyticalResult.cxx,
	  lib/src/Uncertainty/Algorithm/Analytical/FORM/FORMResult.cxx,
	  lib/src/Uncertainty/Algorithm/Experiments/Box.cxx,
	  lib/src/Uncertainty/Algorithm/Experiments/Box.hxx,
	  lib/src/Uncertainty/Algorithm/Experiments/ExperimentImplementation.cxx,
	  lib/src/Uncertainty/Algorithm/Experiments/ExperimentImplementation.hxx,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/MarginalTransformation/InverseMarginalTransformationFunction.cxx,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/MarginalTransformation/InverseMarginalTransformationFunction.hxx,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/MarginalTransformation/InverseMarginalTransformationGradient.cxx,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/MarginalTransformation/InverseMarginalTransformationGradient.hxx,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/MarginalTransformation/InverseMarginalTransformationHessian.cxx,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/MarginalTransformation/InverseMarginalTransformationHessian.hxx,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/MarginalTransformation/Makefile.am,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/MarginalTransformation/MarginalTransformationFunction.cxx,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/MarginalTransformation/MarginalTransformationFunction.hxx,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/MarginalTransformation/MarginalTransformationGradient.cxx,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/MarginalTransformation/MarginalTransformationGradient.hxx,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/MarginalTransformation/MarginalTransformationHessian.cxx,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/MarginalTransformation/MarginalTransformationHessian.hxx,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/NatafEllipticalCopula/InverseNatafEllipticalCopulaFunction.cxx,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/NatafEllipticalCopula/InverseNatafEllipticalCopulaFunction.hxx,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/NatafEllipticalCopula/InverseNatafEllipticalCopulaGradient.cxx,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/NatafEllipticalCopula/InverseNatafEllipticalCopulaGradient.hxx,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/NatafEllipticalCopula/InverseNatafEllipticalCopulaHessian.cxx,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/NatafEllipticalCopula/InverseNatafEllipticalCopulaHessian.hxx,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/NatafEllipticalCopula/Makefile.am,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/NatafEllipticalCopula/NatafEllipticalCopulaFunction.cxx,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/NatafEllipticalCopula/NatafEllipticalCopulaFunction.hxx,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/NatafEllipticalCopula/NatafEllipticalCopulaGradient.cxx,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/NatafEllipticalCopula/NatafEllipticalCopulaGradient.hxx,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/NatafEllipticalCopula/NatafEllipticalCopulaHessian.cxx,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/NatafEllipticalCopula/NatafEllipticalCopulaHessian.hxx,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/NatafIndependentCopula/InverseNatafIndependentCopulaFunction.cxx,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/NatafIndependentCopula/InverseNatafIndependentCopulaFunction.hxx,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/NatafIndependentCopula/InverseNatafIndependentCopulaGradient.cxx,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/NatafIndependentCopula/InverseNatafIndependentCopulaGradient.hxx,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/NatafIndependentCopula/InverseNatafIndependentCopulaHessian.cxx,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/NatafIndependentCopula/InverseNatafIndependentCopulaHessian.hxx,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/NatafIndependentCopula/Makefile.am,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/NatafIndependentCopula/NatafIndependentCopulaFunction.cxx,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/NatafIndependentCopula/NatafIndependentCopulaFunction.hxx,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/NatafIndependentCopula/NatafIndependentCopulaGradient.cxx,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/NatafIndependentCopula/NatafIndependentCopulaGradient.hxx,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/NatafIndependentCopula/NatafIndependentCopulaHessian.cxx,
	  lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/NatafIndependentCopula/NatafIndependentCopulaHessian.hxx,
	  lib/src/Uncertainty/Algorithm/QuadraticCumul/QuadraticCumul.hxx,
	  lib/src/Uncertainty/Algorithm/Simulation/ControlVariateSampling/ControlVariateSampling.cxx,
	  lib/src/Uncertainty/Algorithm/Simulation/ControlVariateSampling/ControlVariateSampling.hxx,
	  lib/src/Uncertainty/Algorithm/Simulation/ControlVariateSampling/Makefile.am,
	  lib/src/Uncertainty/Algorithm/Simulation/DirectionalSampling/DirectionalSampling.cxx,
	  lib/src/Uncertainty/Algorithm/Simulation/DirectionalSampling/DirectionalSampling.hxx,
	  lib/src/Uncertainty/Algorithm/Simulation/DirectionalSampling/Makefile.am,
	  lib/src/Uncertainty/Algorithm/Simulation/DirectionalSampling/MediumSafe.cxx,
	  lib/src/Uncertainty/Algorithm/Simulation/DirectionalSampling/MediumSafe.hxx,
	  lib/src/Uncertainty/Algorithm/Simulation/DirectionalSampling/OrthogonalDirection.cxx,
	  lib/src/Uncertainty/Algorithm/Simulation/DirectionalSampling/OrthogonalDirection.hxx,
	  lib/src/Uncertainty/Algorithm/Simulation/DirectionalSampling/RandomDirection.cxx,
	  lib/src/Uncertainty/Algorithm/Simulation/DirectionalSampling/RandomDirection.hxx,
	  lib/src/Uncertainty/Algorithm/Simulation/DirectionalSampling/RiskyAndFast.cxx,
	  lib/src/Uncertainty/Algorithm/Simulation/DirectionalSampling/RiskyAndFast.hxx,
	  lib/src/Uncertainty/Algorithm/Simulation/DirectionalSampling/RootStrategy.cxx,
	  lib/src/Uncertainty/Algorithm/Simulation/DirectionalSampling/RootStrategy.hxx,
	  lib/src/Uncertainty/Algorithm/Simulation/DirectionalSampling/RootStrategyImplementation.cxx,
	  lib/src/Uncertainty/Algorithm/Simulation/DirectionalSampling/RootStrategyImplementation.hxx,
	  lib/src/Uncertainty/Algorithm/Simulation/DirectionalSampling/SafeAndSlow.cxx,
	  lib/src/Uncertainty/Algorithm/Simulation/DirectionalSampling/SafeAndSlow.hxx,
	  lib/src/Uncertainty/Algorithm/Simulation/DirectionalSampling/SamplingStrategy.cxx,
	  lib/src/Uncertainty/Algorithm/Simulation/DirectionalSampling/SamplingStrategy.hxx,
	  lib/src/Uncertainty/Algorithm/Simulation/DirectionalSampling/SamplingStrategyImplementation.cxx,
	  lib/src/Uncertainty/Algorithm/Simulation/DirectionalSampling/SamplingStrategyImplementation.hxx,
	  lib/src/Uncertainty/Algorithm/Simulation/Simulation.cxx,
	  lib/src/Uncertainty/Algorithm/Simulation/StandardSpaceControlledImportanceSampling/Makefile.am,
	  lib/src/Uncertainty/Algorithm/Simulation/StandardSpaceControlledImportanceSampling/StandardSpaceControlledImportanceSampling.cxx,
	  lib/src/Uncertainty/Algorithm/Simulation/StandardSpaceControlledImportanceSampling/StandardSpaceControlledImportanceSampling.hxx,
	  lib/src/Uncertainty/Algorithm/Simulation/Wilks.cxx,
	  lib/src/Uncertainty/Algorithm/Simulation/Wilks.hxx,
	  lib/src/Uncertainty/Distribution/Beta.cxx,
	  lib/src/Uncertainty/Distribution/Beta.hxx,
	  lib/src/Uncertainty/Distribution/ClaytonCopula.cxx,
	  lib/src/Uncertainty/Distribution/ClaytonCopula.hxx,
	  lib/src/Uncertainty/Distribution/ComposedCopula.cxx,
	  lib/src/Uncertainty/Distribution/ComposedCopula.hxx,
	  lib/src/Uncertainty/Distribution/ComposedDistribution.cxx,
	  lib/src/Uncertainty/Distribution/ComposedDistribution.hxx,
	  lib/src/Uncertainty/Distribution/Epanechnikov.cxx,
	  lib/src/Uncertainty/Distribution/Epanechnikov.hxx,
	  lib/src/Uncertainty/Distribution/Exponential.cxx,
	  lib/src/Uncertainty/Distribution/Exponential.hxx,
	  lib/src/Uncertainty/Distribution/ExtraFunc/Dcdflib.hxx,
	  lib/src/Uncertainty/Distribution/ExtraFunc/DistFunc.cxx,
	  lib/src/Uncertainty/Distribution/ExtraFunc/DistFunc.hxx,
	  lib/src/Uncertainty/Distribution/ExtraFunc/Faddeeva.hxx,
	  lib/src/Uncertainty/Distribution/ExtraFunc/Makefile.am,
	  lib/src/Uncertainty/Distribution/ExtraFunc/Mvndstpack.hxx,
	  lib/src/Uncertainty/Distribution/ExtraFunc/Mvtdstpack.hxx,
	  lib/src/Uncertainty/Distribution/ExtraFunc/Nct.hxx,
	  lib/src/Uncertainty/Distribution/ExtraFunc/SpecFunc.cxx,
	  lib/src/Uncertainty/Distribution/ExtraFunc/SpecFunc.hxx,
	  lib/src/Uncertainty/Distribution/ExtraFunc/Tvpack.hxx,
	  lib/src/Uncertainty/Distribution/ExtraFunc/dcdflib.cxx,
	  lib/src/Uncertainty/Distribution/ExtraFunc/faddeeva.f,
	  lib/src/Uncertainty/Distribution/ExtraFunc/mvndstpack.f,
	  lib/src/Uncertainty/Distribution/ExtraFunc/mvtdstpack.f,
	  lib/src/Uncertainty/Distribution/ExtraFunc/nct.f,
	  lib/src/Uncertainty/Distribution/ExtraFunc/tvpack.f,
	  lib/src/Uncertainty/Distribution/FrankCopula.cxx,
	  lib/src/Uncertainty/Distribution/FrankCopula.hxx,
	  lib/src/Uncertainty/Distribution/Gamma.cxx,
	  lib/src/Uncertainty/Distribution/Gamma.hxx,
	  lib/src/Uncertainty/Distribution/Geometric.cxx,
	  lib/src/Uncertainty/Distribution/Geometric.hxx,
	  lib/src/Uncertainty/Distribution/Gumbel.cxx,
	  lib/src/Uncertainty/Distribution/Gumbel.hxx,
	  lib/src/Uncertainty/Distribution/GumbelCopula.cxx,
	  lib/src/Uncertainty/Distribution/GumbelCopula.hxx,
	  lib/src/Uncertainty/Distribution/Histogram.cxx,
	  lib/src/Uncertainty/Distribution/Histogram.hxx,
	  lib/src/Uncertainty/Distribution/IndependentCopula.cxx,
	  lib/src/Uncertainty/Distribution/IndependentCopula.hxx,
	  lib/src/Uncertainty/Distribution/KernelMixture.cxx,
	  lib/src/Uncertainty/Distribution/KernelMixture.hxx,
	  lib/src/Uncertainty/Distribution/KernelSmoothing.cxx,
	  lib/src/Uncertainty/Distribution/KernelSmoothing.hxx,
	  lib/src/Uncertainty/Distribution/LogNormal.cxx,
	  lib/src/Uncertainty/Distribution/LogNormal.hxx,
	  lib/src/Uncertainty/Distribution/Logistic.cxx,
	  lib/src/Uncertainty/Distribution/Logistic.hxx,
	  lib/src/Uncertainty/Distribution/Mixture.cxx,
	  lib/src/Uncertainty/Distribution/Mixture.hxx,
	  lib/src/Uncertainty/Distribution/MultiNomial.cxx,
	  lib/src/Uncertainty/Distribution/MultiNomial.hxx,
	  lib/src/Uncertainty/Distribution/NonCentralStudent.cxx,
	  lib/src/Uncertainty/Distribution/NonCentralStudent.hxx,
	  lib/src/Uncertainty/Distribution/NormalCopula.cxx,
	  lib/src/Uncertainty/Distribution/NormalCopula.hxx,
	  lib/src/Uncertainty/Distribution/NormalCopulaFactory.cxx,
	  lib/src/Uncertainty/Distribution/NormalCopulaFactory.hxx,
	  lib/src/Uncertainty/Distribution/Poisson.cxx,
	  lib/src/Uncertainty/Distribution/Poisson.hxx,
	  lib/src/Uncertainty/Distribution/RandomMixture.cxx,
	  lib/src/Uncertainty/Distribution/RandomMixture.hxx,
	  lib/src/Uncertainty/Distribution/Student.cxx,
	  lib/src/Uncertainty/Distribution/Student.hxx,
	  lib/src/Uncertainty/Distribution/StudentND.cxx,
	  lib/src/Uncertainty/Distribution/StudentND.hxx,
	  lib/src/Uncertainty/Distribution/Triangular.cxx,
	  lib/src/Uncertainty/Distribution/Triangular.hxx,
	  lib/src/Uncertainty/Distribution/TruncatedDistribution.cxx,
	  lib/src/Uncertainty/Distribution/TruncatedDistribution.hxx,
	  lib/src/Uncertainty/Distribution/TruncatedNormal.cxx,
	  lib/src/Uncertainty/Distribution/TruncatedNormal.hxx,
	  lib/src/Uncertainty/Distribution/Uniform.cxx,
	  lib/src/Uncertainty/Distribution/Uniform.hxx,
	  lib/src/Uncertainty/Distribution/UserDefined.cxx,
	  lib/src/Uncertainty/Distribution/UserDefined.hxx,
	  lib/src/Uncertainty/Distribution/Weibull.cxx,
	  lib/src/Uncertainty/Distribution/Weibull.hxx,
	  lib/src/Uncertainty/Model/ArchimedeanCopula.cxx,
	  lib/src/Uncertainty/Model/ArchimedeanCopula.hxx,
	  lib/src/Uncertainty/Model/ConstantRandomVector.cxx,
	  lib/src/Uncertainty/Model/ContinuousDistribution.hxx,
	  lib/src/Uncertainty/Model/Copula.cxx,
	  lib/src/Uncertainty/Model/CopulaImplementation.cxx,
	  lib/src/Uncertainty/Model/CopulaImplementation.hxx,
	  lib/src/Uncertainty/Model/DiscreteDistribution.cxx,
	  lib/src/Uncertainty/Model/DiscreteDistribution.hxx,
	  lib/src/Uncertainty/Model/Distribution.cxx,
	  lib/src/Uncertainty/Model/Distribution.hxx,
	  lib/src/Uncertainty/Model/DistributionFactory.cxx,
	  lib/src/Uncertainty/Model/DistributionFactory.hxx,
	  lib/src/Uncertainty/Model/DistributionImplementation.cxx,
	  lib/src/Uncertainty/Model/DistributionImplementation.hxx,
	  lib/src/Uncertainty/Model/EllipticalDistribution.cxx,
	  lib/src/Uncertainty/Model/EllipticalDistribution.hxx,
	  lib/src/Uncertainty/Model/EventRandomVectorImplementation.cxx,
	  lib/src/Uncertainty/Model/EventRandomVectorImplementation.hxx,
	  lib/src/Uncertainty/Model/NonEllipticalDistribution.hxx,
	  lib/src/Uncertainty/Model/UsualDistribution.hxx,
	  lib/src/Uncertainty/StatTests/FittingTest.cxx,
	  lib/src/Uncertainty/StatTests/FittingTest.hxx,
	  lib/src/Uncertainty/StatTests/HypothesisTest.cxx,
	  lib/src/Uncertainty/StatTests/HypothesisTest.hxx,
	  lib/src/Uncertainty/StatTests/LinearModelTest.cxx,
	  lib/src/Uncertainty/StatTests/LinearModelTest.hxx,
	  lib/src/Uncertainty/StatTests/Makefile.am,
	  lib/src/Uncertainty/StatTests/NormalityTest.cxx,
	  lib/src/Uncertainty/StatTests/NormalityTest.hxx,
	  lib/src/Uncertainty/StatTests/VisualTest.cxx,
	  lib/src/Uncertainty/StatTests/VisualTest.hxx,
	  lib/src/openturns_library_ok.c,
	  lib/test/external_code_threads.cxx,
	  lib/test/external_code_threads.xml, lib/test/minimal_wrapper.cxx,
	  lib/test/minimal_wrapper.xml, lib/test/poutre.cxx,
	  lib/test/poutre_external.xml, lib/test/poutre_sample.cxx,
	  lib/test/poutre_sample.xml, lib/test/poutre_threads.cxx,
	  lib/test/poutre_threads.xml, lib/test/sample_bad.csv,
	  lib/test/sample_good.csv, lib/test/sample_missing.csv,
	  lib/test/t_BarPlot_std.at, lib/test/t_BarPlot_std.cxx,
	  lib/test/t_BetaFactory_std.at, lib/test/t_BetaFactory_std.cxx,
	  lib/test/t_Beta_std.at, lib/test/t_Beta_std.cxx,
	  lib/test/t_Bisection_std.at, lib/test/t_Bisection_std.cxx,
	  lib/test/t_Box_std.at, lib/test/t_Box_std.cxx,
	  lib/test/t_Brent_std.at, lib/test/t_Brent_std.cxx,
	  lib/test/t_ClaytonCopula_std.at,
	  lib/test/t_ClaytonCopula_std.cxx,
	  lib/test/t_ComposedCopula_std.at,
	  lib/test/t_ComposedCopula_std.cxx,
	  lib/test/t_ComposedDistribution_big.at,
	  lib/test/t_ComposedDistribution_big.cxx,
	  lib/test/t_ComposedDistribution_std.at,
	  lib/test/t_ComposedNumericalMathFunction_std.at,
	  lib/test/t_ComputedNumericalMathEvaluationImplementationFactory_std.at,
	  lib/test/t_ComputedNumericalMathEvaluationImplementationFactory_std.cxx,
	  lib/test/t_ComputedNumericalMathEvaluationImplementation_copy.at,
	  lib/test/t_ComputedNumericalMathEvaluationImplementation_copy.cxx,
	  lib/test/t_ComputedNumericalMathEvaluationImplementation_state.at,
	  lib/test/t_ComputedNumericalMathEvaluationImplementation_state.cxx,
	  lib/test/t_ComputedNumericalMathEvaluationImplementation_std.at,
	  lib/test/t_ComputedNumericalMathEvaluationImplementation_std.cxx,
	  lib/test/t_ComputedNumericalMathEvaluationImplementation_wrongarg.at,
	  lib/test/t_ComputedNumericalMathEvaluationImplementation_wrongarg.cxx,
	  lib/test/t_Contour_std.at, lib/test/t_Contour_std.cxx,
	  lib/test/t_CovarianceMatrixLapack_std.cxx,
	  lib/test/t_DirectionalSampling_std.at,
	  lib/test/t_DirectionalSampling_std.cxx,
	  lib/test/t_Distributions_draw.at,
	  lib/test/t_Distributions_draw.cxx,
	  lib/test/t_Epanechnikov_std.at, lib/test/t_Epanechnikov_std.cxx,
	  lib/test/t_Exponential_std.at, lib/test/t_Exponential_std.cxx,
	  lib/test/t_FORM_AbdoRackwitz.at,
	  lib/test/t_FORM_AbdoRackwitz.cxx, lib/test/t_FORM_SQP.at,
	  lib/test/t_FORM_SQP.cxx, lib/test/t_FORM_draw.at,
	  lib/test/t_FORM_draw.cxx, lib/test/t_FORM_sensitivity.at,
	  lib/test/t_FORM_sensitivity.cxx, lib/test/t_FORM_sensitivity2.at,
	  lib/test/t_FORM_sensitivity2.cxx, lib/test/t_FORM_std.at,
	  lib/test/t_FittingTest_std.at, lib/test/t_FittingTest_std.cxx,
	  lib/test/t_FrankCopula_std.at, lib/test/t_FrankCopula_std.cxx,
	  lib/test/t_GammaFactory_std.at, lib/test/t_GammaFactory_std.cxx,
	  lib/test/t_Gamma_std.at, lib/test/t_Gamma_std.cxx,
	  lib/test/t_GeometricFactory_std.at,
	  lib/test/t_GeometricFactory_std.cxx, lib/test/t_Geometric_std.at,
	  lib/test/t_Geometric_std.cxx, lib/test/t_Graph_export.at,
	  lib/test/t_Graph_export.cxx, lib/test/t_GumbelCopula_std.at,
	  lib/test/t_GumbelCopula_std.cxx, lib/test/t_GumbelFactory_std.at,
	  lib/test/t_GumbelFactory_std.cxx, lib/test/t_Gumbel_std.at,
	  lib/test/t_Gumbel_std.cxx, lib/test/t_Histogram_std.at,
	  lib/test/t_Histogram_std.cxx, lib/test/t_HistoryStrategy_std.at,
	  lib/test/t_HistoryStrategy_std.cxx,
	  lib/test/t_HypothesisTest_correlation.at,
	  lib/test/t_HypothesisTest_correlation.cxx,
	  lib/test/t_HypothesisTest_std.at,
	  lib/test/t_HypothesisTest_std.cxx,
	  lib/test/t_IdentityMatrix_std.cxx,
	  lib/test/t_IndependentCopula_std.cxx, lib/test/t_Indices_std.at,
	  lib/test/t_Indices_std.cxx, lib/test/t_Interval_std.at,
	  lib/test/t_Interval_std.cxx,
	  lib/test/t_IsoProbabilisticTransformation_EllipticalCopula.at,
	  lib/test/t_IsoProbabilisticTransformation_EllipticalCopula.cxx,
	  lib/test/t_IsoProbabilisticTransformation_IndependentCopula.at,
	  lib/test/t_IsoProbabilisticTransformation_IndependentCopula.cxx,
	  lib/test/t_KernelMixture_std.at,
	  lib/test/t_KernelMixture_std.cxx,
	  lib/test/t_KernelSmoothing_std.at,
	  lib/test/t_KernelSmoothing_std.cxx, lib/test/t_Kronecker_std.cxx,
	  lib/test/t_LinearModelTest_std.at,
	  lib/test/t_LinearModelTest_std.cxx,
	  lib/test/t_LinearNumericalMathEvaluationImplementation_std.at,
	  lib/test/t_LinearNumericalMathEvaluationImplementation_std.cxx,
	  lib/test/t_LogNormalFactory_std.at,
	  lib/test/t_LogNormalFactory_std.cxx, lib/test/t_LogNormal_std.at,
	  lib/test/t_LogNormal_std.cxx, lib/test/t_Log_std.cxx,
	  lib/test/t_LogisticFactory_std.at,
	  lib/test/t_LogisticFactory_std.cxx, lib/test/t_Logistic_std.at,
	  lib/test/t_Logistic_std.cxx,
	  lib/test/t_MatrixSolveLinearSystem_std.cxx,
	  lib/test/t_MinMax_computation.at,
	  lib/test/t_MinMax_computation.cxx, lib/test/t_Mixture_std.at,
	  lib/test/t_Mixture_std.cxx, lib/test/t_MonteCarlo_draw.at,
	  lib/test/t_MonteCarlo_draw.cxx, lib/test/t_MultiNomial_std.cxx,
	  lib/test/t_NonCentralStudent_std.at,
	  lib/test/t_NonCentralStudent_std.cxx,
	  lib/test/t_NormalCopulaFactory_std.at,
	  lib/test/t_NormalCopulaFactory_std.cxx,
	  lib/test/t_NormalCopula_std.at, lib/test/t_NormalCopula_std.cxx,
	  lib/test/t_NormalFactory_std.at,
	  lib/test/t_NormalFactory_std.cxx, lib/test/t_Normal_big.at,
	  lib/test/t_Normal_big.cxx, lib/test/t_Normal_std.at,
	  lib/test/t_Normal_std.cxx, lib/test/t_NormalityTest_std.at,
	  lib/test/t_NormalityTest_std.cxx,
	  lib/test/t_NotYetImplementedException_std.cxx,
	  lib/test/t_NumericalMathFunction_analytical.at,
	  lib/test/t_NumericalMathFunction_analytical.cxx,
	  lib/test/t_NumericalMathFunction_composition.at,
	  lib/test/t_NumericalMathFunction_composition.cxx,
	  lib/test/t_NumericalMathFunction_exec.cxx,
	  lib/test/t_NumericalMathFunction_exec_bug63.at,
	  lib/test/t_NumericalMathFunction_exec_bug63.cxx,
	  lib/test/t_NumericalMathFunction_exec_external.cxx,
	  lib/test/t_NumericalMathFunction_exec_sample.at,
	  lib/test/t_NumericalMathFunction_exec_sample.cxx,
	  lib/test/t_NumericalMathFunction_exec_threads.at,
	  lib/test/t_NumericalMathFunction_exec_threads.cxx,
	  lib/test/t_NumericalMathFunction_grad.cxx,
	  lib/test/t_NumericalMathFunction_hess.cxx,
	  lib/test/t_NumericalMathFunction_minimal.at,
	  lib/test/t_NumericalMathFunction_minimal.cxx,
	  lib/test/t_NumericalMathFunction_sample.cxx,
	  lib/test/t_NumericalMathFunction_std.cxx,
	  lib/test/t_NumericalPoint_description.cxx,
	  lib/test/t_NumericalSample_big.cxx,
	  lib/test/t_NumericalSample_csv.at,
	  lib/test/t_NumericalSample_csv.cxx,
	  lib/test/t_NumericalSample_split.cxx,
	  lib/test/t_OutOfBoundException_std.cxx,
	  lib/test/t_PoissonFactory_std.at,
	  lib/test/t_PoissonFactory_std.cxx, lib/test/t_Poisson_std.at,
	  lib/test/t_Poisson_std.cxx,
	  lib/test/t_QuadraticCumul_importanceFactors.at,
	  lib/test/t_QuadraticNumericalMathEvaluationImplementation_std.at,
	  lib/test/t_QuadraticNumericalMathEvaluationImplementation_std.cxx,
	  lib/test/t_RandomGenerator_std.at,
	  lib/test/t_RandomGenerator_std.cxx,
	  lib/test/t_ResourceMap_std.at, lib/test/t_ResourceMap_std.cxx,
	  lib/test/t_SQP_linear.at, lib/test/t_SQP_linear.cxx,
	  lib/test/t_SQP_nonlinear.at, lib/test/t_SQP_nonlinear.cxx,
	  lib/test/t_SQP_std.at, lib/test/t_SQP_std.cxx,
	  lib/test/t_Secant_std.at, lib/test/t_Secant_std.cxx,
	  lib/test/t_SquareMatrixLapack_std.cxx,
	  lib/test/t_StandardSpaceControlledImportanceSampling_std.at,
	  lib/test/t_StandardSpaceControlledImportanceSampling_std.cxx,
	  lib/test/t_StudentFactory_std.at,
	  lib/test/t_StudentFactory_std.cxx, lib/test/t_Student_std.at,
	  lib/test/t_Student_std.cxx, lib/test/t_Study_load.cxx,
	  lib/test/t_Study_save.cxx, lib/test/t_Study_saveload.at,
	  lib/test/t_SymmetricMatrixLapack_std.cxx,
	  lib/test/t_TNC_linear.at, lib/test/t_TNC_linear.cxx,
	  lib/test/t_TNC_nonlinear.at, lib/test/t_TNC_nonlinear.cxx,
	  lib/test/t_TNC_std.at, lib/test/t_TNC_std.cxx,
	  lib/test/t_TriangularFactory_std.at,
	  lib/test/t_TriangularFactory_std.cxx,
	  lib/test/t_Triangular_std.at, lib/test/t_Triangular_std.cxx,
	  lib/test/t_TruncatedDistribution_std.at,
	  lib/test/t_TruncatedDistribution_std.cxx,
	  lib/test/t_TruncatedNormalFactory_std.at,
	  lib/test/t_TruncatedNormalFactory_std.cxx,
	  lib/test/t_TruncatedNormal_std.at,
	  lib/test/t_TruncatedNormal_std.cxx,
	  lib/test/t_UniformFactory_std.at,
	  lib/test/t_UniformFactory_std.cxx, lib/test/t_Uniform_std.at,
	  lib/test/t_Uniform_std.cxx, lib/test/t_UserDefinedFactory_std.at,
	  lib/test/t_UserDefinedFactory_std.cxx,
	  lib/test/t_UserDefined_std.cxx, lib/test/t_VisualTest_std.at,
	  lib/test/t_VisualTest_std.cxx,
	  lib/test/t_Waarts_25_quadratic_terms.at,
	  lib/test/t_Waarts_25_quadratic_terms.cxx,
	  lib/test/t_Waarts_RS2.at, lib/test/t_Waarts_RS2.cxx,
	  lib/test/t_Waarts_concave.at, lib/test/t_Waarts_concave.cxx,
	  lib/test/t_Waarts_convex.at, lib/test/t_Waarts_convex.cxx,
	  lib/test/t_Waarts_discontinuous_lsf.at,
	  lib/test/t_Waarts_discontinuous_lsf.cxx,
	  lib/test/t_Waarts_noisy_lsf.at, lib/test/t_Waarts_noisy_lsf.cxx,
	  lib/test/t_Waarts_oblate.at, lib/test/t_Waarts_oblate.cxx,
	  lib/test/t_Waarts_saddle.at, lib/test/t_Waarts_saddle.cxx,
	  lib/test/t_Waarts_system_series.at,
	  lib/test/t_Waarts_system_series.cxx,
	  lib/test/t_WeibullFactory_std.at,
	  lib/test/t_WeibullFactory_std.cxx, lib/test/t_Weibull_std.at,
	  lib/test/t_Weibull_std.cxx, lib/test/t_Wilks_std.at,
	  lib/test/t_Wilks_std.cxx, m4/ot_submodule.m4,
	  python/config/common.am, python/config/test.am,
	  python/m4/ac_pkg_swig.m4, python/m4/ac_python_devel.m4,
	  python/m4/ot_check_bc.m4, python/m4/ot_check_boost.m4,
	  python/m4/ot_check_dot.m4, python/m4/ot_check_doxygen.m4,
	  python/m4/ot_check_openturns.m4,
	  python/m4/ot_check_python_packages.m4, python/m4/ot_check_qt.m4,
	  python/m4/ot_check_swig.m4, python/m4/ot_debug.m4,
	  python/src/Analytical.i, python/src/ArchimedeanCopula.i,
	  python/src/BarPlot.i, python/src/BetaFactory.i,
	  python/src/Bisection.i, python/src/BoostPointerImplementation.i,
	  python/src/BoundConstrainedAlgorithm.i,
	  python/src/BoundConstrainedAlgorithmImplementation.i,
	  python/src/Box.i, python/src/Brent.i, python/src/ClaytonCopula.i,
	  python/src/Cloud.i, python/src/Compact.i,
	  python/src/ComposedCopula.i,
	  python/src/ComposedNumericalMathEvaluationImplementation.i,
	  python/src/ComposedNumericalMathFunction.i,
	  python/src/ComputedNumericalMathEvaluationImplementation.i,
	  python/src/Contour.i, python/src/Copula.i,
	  python/src/CorrelationAnalysis.i, python/src/Curve.i,
	  python/src/DescriptionImplementation.i,
	  python/src/DirectionalSampling.i, python/src/DistFunc.i,
	  python/src/DistributionFactory.i,
	  python/src/DistributionImplementationFactory.i,
	  python/src/Drawable.i, python/src/DrawableImplementation.i,
	  python/src/Epanechnikov.i,
	  python/src/EventRandomVectorImplementation.i,
	  python/src/ExperimentImplementation.i,
	  python/src/ExponentialFactory.i, python/src/FORM.i,
	  python/src/FittingTest.i, python/src/FrankCopula.i,
	  python/src/Full.i, python/src/GammaFactory.i,
	  python/src/GeometricFactory.i, python/src/Graph.i,
	  python/src/GraphImplementation.i, python/src/GumbelCopula.i,
	  python/src/GumbelFactory.i, python/src/HistogramFactory.i,
	  python/src/HistoryStrategy.i,
	  python/src/HistoryStrategyImplementation.i,
	  python/src/HypothesisTest.i, python/src/ImportanceSampling.i,
	  python/src/IndependentCopula.i, python/src/InterfaceObject.i,
	  python/src/Interval.i,
	  python/src/InverseMarginalTransformationFunction.i,
	  python/src/InverseMarginalTransformationGradient.i,
	  python/src/InverseMarginalTransformationHessian.i,
	  python/src/InverseNatafEllipticalCopulaFunction.i,
	  python/src/InverseNatafEllipticalCopulaGradient.i,
	  python/src/InverseNatafEllipticalDistributionFunction.i,
	  python/src/InverseNatafEllipticalDistributionGradient.i,
	  python/src/InverseNatafEllipticalDistributionHessian.i,
	  python/src/IsoProbabilisticTransformation.i,
	  python/src/KernelMixture.i, python/src/KernelSmoothing.i,
	  python/src/LHS.i, python/src/Last.i,
	  python/src/LinearModelFactory.i, python/src/LinearModelTest.i,
	  python/src/LinearNumericalMathEvaluationImplementation.i,
	  python/src/LogNormalFactory.i, python/src/LogisticFactory.i,
	  python/src/Makefile.am,
	  python/src/MarginalTransformationFunction.i,
	  python/src/MarginalTransformationGradient.i,
	  python/src/MarginalTransformationHessian.i,
	  python/src/MatrixImplementation.i, python/src/MediumSafe.i,
	  python/src/MonteCarlo.i, python/src/MultiNomialFactory.i,
	  python/src/NatafEllipticalCopulaFunction.i,
	  python/src/NatafEllipticalDistributionFunction.i,
	  python/src/NatafEllipticalDistributionGradient.i,
	  python/src/NatafEllipticalDistributionHessian.i,
	  python/src/NoNumericalMathEvaluationImplementation.i,
	  python/src/NonCentralStudent.i, python/src/NormalCopula.i,
	  python/src/NormalCopulaFactory.i, python/src/NormalFactory.i,
	  python/src/NormalityTest.i, python/src/Null.i,
	  python/src/NumericalMathEvaluationImplementation.i,
	  python/src/NumericalMathFunctionImplementation.i,
	  python/src/NumericalPoint.i,
	  python/src/NumericalPointImplementationWithDescription.i,
	  python/src/NumericalPointWithDescription.i,
	  python/src/NumericalSample.i, python/src/OrthogonalDirection.i,
	  python/src/Pie.i, python/src/PlatformInfo.i,
	  python/src/Pointer.i, python/src/PoissonFactory.i,
	  python/src/PythonNumericalMathEvaluationImplementation.cxx,
	  python/src/PythonNumericalMathEvaluationImplementation.hxx,
	  python/src/QuadraticNumericalMathEvaluationImplementation.i,
	  python/src/RandomDirection.i, python/src/RandomGenerator.i,
	  python/src/RandomMixture.i, python/src/RiskyAndFast.i,
	  python/src/RootStrategy.i,
	  python/src/RootStrategyImplementation.i, python/src/SORM.i,
	  python/src/SQP.i, python/src/SafeAndSlow.i,
	  python/src/SamplingStrategy.i,
	  python/src/SamplingStrategyImplementation.i, python/src/Secant.i,
	  python/src/Simulation.i, python/src/Solver.i,
	  python/src/SolverImplementation.i, python/src/SpecFunc.i,
	  python/src/Staircase.i,
	  python/src/StandardSpaceControlledImportanceSampling.i,
	  python/src/StorageManager.i, python/src/StrongMaximumTest.i,
	  python/src/StudentFactory.i, python/src/TNC.i,
	  python/src/TemplateDefs.i, python/src/TensorImplementation.i,
	  python/src/TriangularFactory.i,
	  python/src/TruncatedDistribution.i,
	  python/src/TruncatedNormalFactory.i,
	  python/src/TypedCollectionInterfaceObject.i,
	  python/src/TypedInterfaceObject.i, python/src/UniformFactory.i,
	  python/src/UserDefinedFactory.i, python/src/VisualTest.i,
	  python/src/WeibullFactory.i, python/src/Wilks.i,
	  python/src/XMLStorageManager.i, python/src/controlwindow.py,
	  python/src/imageviewer.py, python/src/openturns.i,
	  python/src/openturns_viewer.py,
	  python/test/IllustrationKernel.py, python/test/OTQuickTest.py,
	  python/test/poutre_external.xml,
	  python/test/python_installcheck_testsuite.at,
	  python/test/t_AbdoRackwitz_linear.atpy,
	  python/test/t_AbdoRackwitz_linear.py,
	  python/test/t_AbdoRackwitz_nonlinear.atpy,
	  python/test/t_AbdoRackwitz_nonlinear.py,
	  python/test/t_AbdoRackwitz_std.atpy,
	  python/test/t_AbdoRackwitz_std.py, python/test/t_Axial_std.atpy,
	  python/test/t_Axial_std.py, python/test/t_BarPlot_std.atpy,
	  python/test/t_BarPlot_std.py, python/test/t_BetaFactory_std.atpy,
	  python/test/t_BetaFactory_std.py, python/test/t_Beta_std.atpy,
	  python/test/t_Beta_std.py, python/test/t_Bisection_std.atpy,
	  python/test/t_Bisection_std.py, python/test/t_Box_std.atpy,
	  python/test/t_Box_std.py, python/test/t_Brent_std.atpy,
	  python/test/t_Brent_std.py,
	  python/test/t_CenteredFiniteDifferenceGradient_std.atpy,
	  python/test/t_CenteredFiniteDifferenceGradient_std.py,
	  python/test/t_CenteredFiniteDifferenceHessian_std.atpy,
	  python/test/t_CenteredFiniteDifferenceHessian_std.py,
	  python/test/t_ClaytonCopula_std.atpy,
	  python/test/t_ClaytonCopula_std.py, python/test/t_Cloud_std.atpy,
	  python/test/t_Cloud_std.py, python/test/t_Cobyla_linear.atpy,
	  python/test/t_Cobyla_linear.py,
	  python/test/t_Cobyla_nonlinear.atpy,
	  python/test/t_Cobyla_nonlinear.py, python/test/t_Cobyla_std.atpy,
	  python/test/t_Cobyla_std.py,
	  python/test/t_ComparisonOperator_std.atpy,
	  python/test/t_ComparisonOperator_std.py,
	  python/test/t_ComposedCopula_std.atpy,
	  python/test/t_ComposedCopula_std.py,
	  python/test/t_ComposedDistribution_big.atpy,
	  python/test/t_ComposedDistribution_big.py,
	  python/test/t_ComposedDistribution_std.atpy,
	  python/test/t_ComposedDistribution_std.py,
	  python/test/t_Composite_std.atpy, python/test/t_Composite_std.py,
	  python/test/t_ConfidenceInterval_std.atpy,
	  python/test/t_ConfidenceInterval_std.py,
	  python/test/t_ConstantNumericalMathGradientImplementation_std.atpy,
	  python/test/t_ConstantNumericalMathGradientImplementation_std.py,
	  python/test/t_ConstantNumericalMathHessianImplementation_std.atpy,
	  python/test/t_ConstantNumericalMathHessianImplementation_std.py,
	  python/test/t_Contour_std.atpy, python/test/t_Contour_std.py,
	  python/test/t_CovarianceMatrixLapack_std.atpy,
	  python/test/t_CovarianceMatrixLapack_std.py,
	  python/test/t_Curve_std.atpy, python/test/t_Curve_std.py,
	  python/test/t_Description_std.atpy,
	  python/test/t_Description_std.py,
	  python/test/t_DirectionalSampling_std.atpy,
	  python/test/t_DirectionalSampling_std.py,
	  python/test/t_Distributions_draw.atpy,
	  python/test/t_Distributions_draw.py,
	  python/test/t_Epanechnikov_std.atpy,
	  python/test/t_Epanechnikov_std.py, python/test/t_Event_std.atpy,
	  python/test/t_Event_std.py,
	  python/test/t_ExponentialFactory_std.atpy,
	  python/test/t_ExponentialFactory_std.py,
	  python/test/t_Exponential_std.atpy,
	  python/test/t_Exponential_std.py, python/test/t_FORM_draw.atpy,
	  python/test/t_FORM_draw.py, python/test/t_FORM_sensitivity.atpy,
	  python/test/t_FORM_sensitivity.py, python/test/t_FORM_std.atpy,
	  python/test/t_FORM_std.py, python/test/t_Factorial_std.atpy,
	  python/test/t_Factorial_std.py,
	  python/test/t_FittingTest_std.atpy,
	  python/test/t_FittingTest_std.py,
	  python/test/t_FrankCopula_std.atpy,
	  python/test/t_FrankCopula_std.py,
	  python/test/t_GammaFactory_std.atpy,
	  python/test/t_GammaFactory_std.py, python/test/t_Gamma_std.atpy,
	  python/test/t_Gamma_std.py,
	  python/test/t_GeometricFactory_std.atpy,
	  python/test/t_GeometricFactory_std.py,
	  python/test/t_Geometric_std.atpy, python/test/t_Geometric_std.py,
	  python/test/t_Graph_export.atpy, python/test/t_Graph_export.py,
	  python/test/t_Graph_mix.atpy, python/test/t_Graph_mix.py,
	  python/test/t_GumbelCopula_std.atpy,
	  python/test/t_GumbelCopula_std.py,
	  python/test/t_GumbelFactory_std.atpy,
	  python/test/t_GumbelFactory_std.py,
	  python/test/t_Gumbel_std.atpy, python/test/t_Gumbel_std.py,
	  python/test/t_Histogram_std.atpy, python/test/t_Histogram_std.py,
	  python/test/t_HistoryStrategy_std.atpy,
	  python/test/t_HistoryStrategy_std.py,
	  python/test/t_HypothesisTest_correlation.atpy,
	  python/test/t_HypothesisTest_correlation.py,
	  python/test/t_HypothesisTest_std.atpy,
	  python/test/t_HypothesisTest_std.py,
	  python/test/t_IdentityMatrix_std.atpy,
	  python/test/t_IdentityMatrix_std.py,
	  python/test/t_ImportanceSampling_std.atpy,
	  python/test/t_ImportanceSampling_std.py,
	  python/test/t_IndependentCopula_std.atpy,
	  python/test/t_IndependentCopula_std.py,
	  python/test/t_Indices_std.atpy, python/test/t_Indices_std.py,
	  python/test/t_Interval_std.atpy, python/test/t_Interval_std.cxx,
	  python/test/t_Interval_std.py,
	  python/test/t_IsoProbabilisticTransformation_EllipticalCopula.atpy,
	  python/test/t_IsoProbabilisticTransformation_EllipticalCopula.py,
	  python/test/t_IsoProbabilisticTransformation_EllipticalDistribution.atpy,
	  python/test/t_IsoProbabilisticTransformation_EllipticalDistribution.py,
	  python/test/t_IsoProbabilisticTransformation_IndependentCopula.atpy,
	  python/test/t_IsoProbabilisticTransformation_IndependentCopula.py,
	  python/test/t_KernelMixture_std.atpy,
	  python/test/t_KernelMixture_std.py,
	  python/test/t_KernelSmoothing_std.atpy,
	  python/test/t_KernelSmoothing_std.py, python/test/t_LHS_std.atpy,
	  python/test/t_LHS_std.py,
	  python/test/t_LinearLeastSquares_std.atpy,
	  python/test/t_LinearLeastSquares_std.py,
	  python/test/t_LinearModelFactory_std.atpy,
	  python/test/t_LinearModelFactory_std.py,
	  python/test/t_LinearModelTest_std.atpy,
	  python/test/t_LinearModelTest_std.py,
	  python/test/t_LinearModel_std.atpy,
	  python/test/t_LinearModel_std.py,
	  python/test/t_LinearNumericalMathEvaluationImplementation_std.atpy,
	  python/test/t_LinearNumericalMathEvaluationImplementation_std.py,
	  python/test/t_LinearNumericalMathFunction_std.atpy,
	  python/test/t_LinearNumericalMathFunction_std.py,
	  python/test/t_LinearNumericalMathGradientImplementation_std.atpy,
	  python/test/t_LinearNumericalMathGradientImplementation_std.py,
	  python/test/t_LinearTaylor_std.atpy,
	  python/test/t_LinearTaylor_std.py,
	  python/test/t_LogNormalFactory_std.atpy,
	  python/test/t_LogNormalFactory_std.py,
	  python/test/t_LogNormal_std.atpy, python/test/t_LogNormal_std.py,
	  python/test/t_LogisticFactory_std.atpy,
	  python/test/t_LogisticFactory_std.py,
	  python/test/t_Logistic_std.atpy, python/test/t_Logistic_std.py,
	  python/test/t_MatrixSolveLinearSystem_std.atpy,
	  python/test/t_MatrixSolveLinearSystem_std.py,
	  python/test/t_Matrix_std.atpy, python/test/t_Matrix_std.py,
	  python/test/t_MergeRandomAndConstantInput.atpy,
	  python/test/t_MergeRandomAndConstantInput.py,
	  python/test/t_MinMax_computation.atpy,
	  python/test/t_MinMax_computation.py,
	  python/test/t_Mixture_std.atpy, python/test/t_Mixture_std.py,
	  python/test/t_MonteCarlo_draw.atpy,
	  python/test/t_MonteCarlo_draw.py,
	  python/test/t_MonteCarlo_std.atpy,
	  python/test/t_MonteCarlo_std.py,
	  python/test/t_MultiNomial_std.atpy,
	  python/test/t_MultiNomial_std.py,
	  python/test/t_NearestPointChecker_std.atpy,
	  python/test/t_NearestPointChecker_std.py,
	  python/test/t_NonCenteredFiniteDifferenceGradient_std.atpy,
	  python/test/t_NonCenteredFiniteDifferenceGradient_std.py,
	  python/test/t_NonCentralStudent_std.atpy,
	  python/test/t_NonCentralStudent_std.py,
	  python/test/t_NormalCopulaFactory_std.atpy,
	  python/test/t_NormalCopulaFactory_std.py,
	  python/test/t_NormalCopula_std.atpy,
	  python/test/t_NormalCopula_std.py,
	  python/test/t_NormalFactory_std.atpy,
	  python/test/t_NormalFactory_std.py,
	  python/test/t_Normal_big.atpy, python/test/t_Normal_big.py,
	  python/test/t_Normal_std.atpy, python/test/t_Normal_std.py,
	  python/test/t_Normal_wrongarg.atpy,
	  python/test/t_Normal_wrongarg.py,
	  python/test/t_NormalityTest_std.atpy,
	  python/test/t_NormalityTest_std.py,
	  python/test/t_NumericalMathFunction_analytical.atpy,
	  python/test/t_NumericalMathFunction_analytical.py,
	  python/test/t_NumericalMathFunction_composition.atpy,
	  python/test/t_NumericalMathFunction_composition.py,
	  python/test/t_NumericalMathFunction_exec.atpy,
	  python/test/t_NumericalMathFunction_exec.py,
	  python/test/t_NumericalMathFunction_exec_external.atpy,
	  python/test/t_NumericalMathFunction_exec_external.py,
	  python/test/t_NumericalMathFunction_exec_sample.atpy,
	  python/test/t_NumericalMathFunction_exec_sample.py,
	  python/test/t_NumericalMathFunction_exec_threads.atpy,
	  python/test/t_NumericalMathFunction_exec_threads.py,
	  python/test/t_NumericalMathFunction_grad.atpy,
	  python/test/t_NumericalMathFunction_grad.py,
	  python/test/t_NumericalMathFunction_hess.atpy,
	  python/test/t_NumericalMathFunction_hess.py,
	  python/test/t_NumericalMathFunction_minimal.atpy,
	  python/test/t_NumericalMathFunction_minimal.py,
	  python/test/t_NumericalMathFunction_python.atpy,
	  python/test/t_NumericalMathFunction_python.py,
	  python/test/t_NumericalMathFunction_sample.atpy,
	  python/test/t_NumericalMathFunction_sample.py,
	  python/test/t_NumericalMathFunction_std.atpy,
	  python/test/t_NumericalMathFunction_std.py,
	  python/test/t_NumericalPoint_description.atpy,
	  python/test/t_NumericalPoint_description.py,
	  python/test/t_NumericalPoint_std.atpy,
	  python/test/t_NumericalPoint_std.py,
	  python/test/t_NumericalSample_big.atpy,
	  python/test/t_NumericalSample_big.py,
	  python/test/t_NumericalSample_computation.atpy,
	  python/test/t_NumericalSample_computation.py,
	  python/test/t_NumericalSample_csv.atpy,
	  python/test/t_NumericalSample_csv.py,
	  python/test/t_NumericalSample_split.atpy,
	  python/test/t_NumericalSample_split.py,
	  python/test/t_NumericalSample_std.atpy,
	  python/test/t_NumericalSample_std.py, python/test/t_Pie_std.atpy,
	  python/test/t_Pie_std.py, python/test/t_PoissonFactory_std.atpy,
	  python/test/t_PoissonFactory_std.py,
	  python/test/t_Poisson_std.atpy, python/test/t_Poisson_std.py,
	  python/test/t_QuadraticCumul_importanceFactors.atpy,
	  python/test/t_QuadraticCumul_importanceFactors.py,
	  python/test/t_QuadraticCumul_run.atpy,
	  python/test/t_QuadraticCumul_run.py,
	  python/test/t_QuadraticCumul_std.atpy,
	  python/test/t_QuadraticCumul_std.py,
	  python/test/t_QuadraticLeastSquares_std.atpy,
	  python/test/t_QuadraticLeastSquares_std.py,
	  python/test/t_QuadraticNumericalMathEvaluationImplementation_std.atpy,
	  python/test/t_QuadraticNumericalMathEvaluationImplementation_std.py,
	  python/test/t_QuadraticTaylor_std.atpy,
	  python/test/t_QuadraticTaylor_std.py,
	  python/test/t_RandomGenerator_std.atpy,
	  python/test/t_RandomGenerator_std.py,
	  python/test/t_RandomVector_constant.atpy,
	  python/test/t_RandomVector_constant.py,
	  python/test/t_RandomVector_distribution.atpy,
	  python/test/t_RandomVector_distribution.py,
	  python/test/t_RandomVector_function.atpy,
	  python/test/t_RandomVector_function.py,
	  python/test/t_SORM_std.atpy, python/test/t_SORM_std.py,
	  python/test/t_SQP_linear.atpy, python/test/t_SQP_linear.py,
	  python/test/t_SQP_nonlinear.atpy, python/test/t_SQP_nonlinear.py,
	  python/test/t_SQP_std.atpy, python/test/t_SQP_std.py,
	  python/test/t_Secant_std.atpy, python/test/t_Secant_std.py,
	  python/test/t_SquareMatrixLapack_std.atpy,
	  python/test/t_SquareMatrixLapack_std.py,
	  python/test/t_SquareMatrix_std.atpy,
	  python/test/t_SquareMatrix_std.py,
	  python/test/t_Staircase_std.atpy, python/test/t_Staircase_std.py,
	  python/test/t_StandardEvent_std.atpy,
	  python/test/t_StandardEvent_std.py,
	  python/test/t_StandardSpaceControlledImportanceSampling_std.atpy,
	  python/test/t_StandardSpaceControlledImportanceSampling_std.py,
	  python/test/t_StrongMaximumTest_other.atpy,
	  python/test/t_StrongMaximumTest_other.py,
	  python/test/t_StrongMaximumTest_std.atpy,
	  python/test/t_StrongMaximumTest_std.py,
	  python/test/t_StrongMaximumTest_tabulatedValues.atpy,
	  python/test/t_StrongMaximumTest_tabulatedValues.py,
	  python/test/t_StudentFactory_std.atpy,
	  python/test/t_StudentFactory_std.py,
	  python/test/t_Student_std.atpy, python/test/t_Student_std.py,
	  python/test/t_Study_load.py, python/test/t_Study_save.py,
	  python/test/t_SymmetricMatrixLapack_std.atpy,
	  python/test/t_SymmetricMatrixLapack_std.py,
	  python/test/t_SymmetricMatrix_std.atpy,
	  python/test/t_SymmetricMatrix_std.py,
	  python/test/t_SymmetricTensor_std.atpy,
	  python/test/t_SymmetricTensor_std.py,
	  python/test/t_TNC_linear.atpy, python/test/t_TNC_linear.py,
	  python/test/t_TNC_nonlinear.atpy, python/test/t_TNC_nonlinear.py,
	  python/test/t_TNC_std.py, python/test/t_Tensor_std.atpy,
	  python/test/t_Tensor_std.py, python/test/t_TestResult_std.atpy,
	  python/test/t_TestResult_std.py,
	  python/test/t_TriangularFactory_std.atpy,
	  python/test/t_TriangularFactory_std.py,
	  python/test/t_Triangular_std.atpy,
	  python/test/t_Triangular_std.py,
	  python/test/t_TruncatedDistribution_std.atpy,
	  python/test/t_TruncatedDistribution_std.py,
	  python/test/t_TruncatedNormalFactory_std.atpy,
	  python/test/t_TruncatedNormalFactory_std.py,
	  python/test/t_TruncatedNormal_std.atpy,
	  python/test/t_TruncatedNormal_std.py,
	  python/test/t_UniformFactory_std.atpy,
	  python/test/t_UniformFactory_std.py,
	  python/test/t_Uniform_std.atpy, python/test/t_Uniform_std.py,
	  python/test/t_UserDefinedFactory_std.atpy,
	  python/test/t_UserDefinedFactory_std.py,
	  python/test/t_UserDefined_std.atpy,
	  python/test/t_UserDefined_std.py,
	  python/test/t_UserDefined_std_bug.py,
	  python/test/t_VisualTest_std.atpy,
	  python/test/t_VisualTest_std.py,
	  python/test/t_Waarts_25_quadratic_terms.atpy,
	  python/test/t_Waarts_25_quadratic_terms.py,
	  python/test/t_Waarts_RS2.atpy, python/test/t_Waarts_RS2.py,
	  python/test/t_Waarts_concave.atpy,
	  python/test/t_Waarts_concave.py,
	  python/test/t_Waarts_convex.atpy, python/test/t_Waarts_convex.py,
	  python/test/t_Waarts_discontinuous_lsf.atpy,
	  python/test/t_Waarts_discontinuous_lsf.py,
	  python/test/t_Waarts_noisy_lsf.atpy,
	  python/test/t_Waarts_noisy_lsf.py,
	  python/test/t_Waarts_oblate.atpy, python/test/t_Waarts_oblate.py,
	  python/test/t_Waarts_saddle.atpy, python/test/t_Waarts_saddle.py,
	  python/test/t_Waarts_system_series.atpy,
	  python/test/t_Waarts_system_series.py,
	  python/test/t_WeibullFactory_std.atpy,
	  python/test/t_WeibullFactory_std.py,
	  python/test/t_Weibull_std.atpy, python/test/t_Weibull_std.py,
	  python/test/t_Wilks_std.atpy, python/test/t_Wilks_std.py,
	  validation/Makefile.am, validation/config/Makefile.am,
	  validation/config/common.am, validation/configure.ac,
	  validation/m4/Makefile.am, validation/m4/ot_check_openturns.m4,
	  validation/src/AbdaRackwitz.mws, validation/src/AbdoRackwitz.mws,
	  validation/src/Cas1.mws, validation/src/Cas1_eads.mws,
	  validation/src/Cas2.mws, validation/src/Cas3_eads.mws,
	  validation/src/Cas4.mws, validation/src/Cas5.mws,
	  validation/src/Cas6.mws, validation/src/Cas7_eads.mws,
	  validation/src/CoefficientOfVariation.mws,
	  validation/src/Curvature.mws,
	  validation/src/DefaultDistribution.mws,
	  validation/src/DirectionalSampling.mws,
	  validation/src/GeneralizedNataf.mws,
	  validation/src/IntegrationND.mws, validation/src/InverseErf.mws,
	  validation/src/LambertW.mws, validation/src/Makefile.am,
	  validation/src/NonCentralStudent.mws, validation/src/PSORM.mws,
	  validation/src/SensibiliteValidBeta.mws,
	  validation/src/Sensibilite_ref1.mws,
	  validation/src/Sensibilite_ref2.mws,
	  validation/src/Sensibilite_ref3.mws,
	  validation/src/Sensibilite_ref4.mws, validation/src/SinhTanh.mws,
	  validation/src/Student2D.mws,
	  validation/src/ValidAbdoMixture.mws,
	  validation/src/ValidAndersonDarling.mws,
	  validation/src/ValidBeta.mws,
	  validation/src/ValidBoundConstrainedAlgoithm.mws,
	  validation/src/ValidClaytonCopula.mws,
	  validation/src/ValidCovariance.mws,
	  validation/src/ValidCovarianceAlgorithm.mws,
	  validation/src/ValidCovarianceGauss.mws,
	  validation/src/ValidCovarianceMatrixLapack.sce,
	  validation/src/ValidCramerVonMises.mws,
	  validation/src/ValidDiff.mws, validation/src/ValidDistFunc.mws,
	  validation/src/ValidDistribution.mws,
	  validation/src/ValidElliptical.mws,
	  validation/src/ValidEpanechnikov.mws,
	  validation/src/ValidEstimate.mws,
	  validation/src/ValidEstimateLogistic.mws,
	  validation/src/ValidEstimatedTruncatedNormal.mws,
	  validation/src/ValidExponential.mws,
	  validation/src/ValidFORMKernelMixture.mws,
	  validation/src/ValidFrankCopula.mws,
	  validation/src/ValidGamma.mws,
	  validation/src/ValidGammaEstimate.mws,
	  validation/src/ValidGeometric.mws,
	  validation/src/ValidGumbel.mws,
	  validation/src/ValidGumbelCopula.mws,
	  validation/src/ValidGumbelEstimate.mws,
	  validation/src/ValidHisto.mws,
	  validation/src/ValidIndependentCopula.mws,
	  validation/src/ValidInverseIsoprobabilisticTransformationEllipticalCopula.mws,
	  validation/src/ValidInverseNatafCopula.mws,
	  validation/src/ValidInverseNatafCopula2.mws,
	  validation/src/ValidIsoProbabilisicTransformationEllipticalCopula.mws,
	  validation/src/ValidLogNormal.mws,
	  validation/src/ValidLogistic.mws,
	  validation/src/ValidMultiNomial.mws,
	  validation/src/ValidMultiStudent.mws,
	  validation/src/ValidNatafEllipticalcopula.mws,
	  validation/src/ValidNormal1.mws,
	  validation/src/ValidNormalCopula.mws,
	  validation/src/ValidNumericalSample.R,
	  validation/src/ValidPoisson.mws,
	  validation/src/ValidPoutreArticle.mws,
	  validation/src/ValidSORM.mws,
	  validation/src/ValidSampleComputation.sce,
	  validation/src/ValidSpecFunc.mws,
	  validation/src/ValidStudent.mws,
	  validation/src/ValidStudentEstimate.mws,
	  validation/src/ValidTriangular.mws,
	  validation/src/ValidTruncatedNormal.mws,
	  validation/src/ValidUniform.mws, validation/src/ValidWeibull.mws,
	  validation/src/ValidWilks.mws, validation/src/Variance.mws,
	  validation/src/Weibull_moment.mws, validation/src/dProb.mws,
	  validation/src/equality_constrained_quadratic_quadratic.mws,
	  validation/src/lambda_U.mws, validation/src/qnorm.mws,
	  validation/src/ti.mws, validation/src/truncnorm.mws,
	  validation/src/validElliptical.sce,
	  validation/src/valid_SORM.mws, validation/src/ziggurat.mws,
	  validation/src/ziggurat_exponential.mws,
	  validation/src/ziggurat_normal.mws,
	  wrappers/AnalyticalFunctionCompiler/Makefile.am,
	  wrappers/AnalyticalFunctionCompiler/aclocal.m4,
	  wrappers/AnalyticalFunctionCompiler/configure.ac,
	  wrappers/AnalyticalFunctionCompiler/ot_check_openturns.m4,
	  wrappers/AnalyticalFunctionCompiler/src/AnalyticalFunctionCompiler.cxx,
	  wrappers/AnalyticalFunctionCompiler/src/AnalyticalFunctionCompiler.hxx,
	  wrappers/AnalyticalFunctionCompiler/src/CreateLibrary.cxx,
	  wrappers/AnalyticalFunctionCompiler/src/CreateSourceCode.cxx,
	  wrappers/AnalyticalFunctionCompiler/src/CreateWrapper.cxx,
	  wrappers/AnalyticalFunctionCompiler/src/Main.cxx,
	  wrappers/AnalyticalFunctionCompiler/src/Makefile.am,
	  wrappers/DistributedWrapper/Configuration/Makefile.am,
	  wrappers/DistributedWrapper/Configuration/servers.dtd,
	  wrappers/DistributedWrapper/DrmaaInterface/AllocatJobTemplate.cxx,
	  wrappers/DistributedWrapper/DrmaaInterface/ConnectServer.cxx,
	  wrappers/DistributedWrapper/DrmaaInterface/CreateJobTemplate.cxx,
	  wrappers/DistributedWrapper/DrmaaInterface/DIDrmaa.hxx,
	  wrappers/DistributedWrapper/DrmaaInterface/DrmaaInterface.hxx,
	  wrappers/DistributedWrapper/DrmaaInterface/InitJobs.cxx,
	  wrappers/DistributedWrapper/DrmaaInterface/InitSymbolDrmaa.cxx,
	  wrappers/DistributedWrapper/DrmaaInterface/Makefile.am,
	  wrappers/DistributedWrapper/DrmaaInterface/PutData.cxx,
	  wrappers/DistributedWrapper/DrmaaInterface/PutDataInTempFile.cxx,
	  wrappers/DistributedWrapper/DrmaaInterface/ReadFileDescription.cxx,
	  wrappers/DistributedWrapper/DrmaaInterface/ReadServerDescription.cxx,
	  wrappers/DistributedWrapper/DrmaaInterface/RunJob.cxx,
	  wrappers/DistributedWrapper/DrmaaInterface/StatusJob.cxx,
	  wrappers/DistributedWrapper/ExternalCode/Makefile.am,
	  wrappers/DistributedWrapper/ExternalCode/bata.xml,
	  wrappers/DistributedWrapper/ExternalCode/data.xml,
	  wrappers/DistributedWrapper/ExternalCode/main.cxx,
	  wrappers/DistributedWrapper/Makefile.am,
	  wrappers/DistributedWrapper/OpenTURNSWrapper/DistributedWrapper.hxx,
	  wrappers/DistributedWrapper/OpenTURNSWrapper/Makefile.am,
	  wrappers/DistributedWrapper/OpenTURNSWrapper/OpenTURNSWrapper.cxx,
	  wrappers/DistributedWrapper/config/Makefile.am,
	  wrappers/DistributedWrapper/config/aclocal.m4,
	  wrappers/DistributedWrapper/config/common.am,
	  wrappers/DistributedWrapper/config/ot_check_openturns.m4,
	  wrappers/DistributedWrapper/config/ot_check_pbsdrmaa.m4,
	  wrappers/DistributedWrapper/config/ot_check_xercesc.m4,
	  wrappers/DistributedWrapper/configure.ac,
	  wrappers/DistributedWrapper/test_DistributedWrapper.py,
	  wrappers/Makefile.am, wrappers/WrapperTemplate/Makefile.am,
	  wrappers/WrapperTemplate/configure.ac,
	  wrappers/WrapperTemplate/m4/ot_check_openturns.m4,
	  wrappers/WrapperTemplate/m4/ot_debug.m4,
	  wrappers/WrapperTemplate/test_wcode.py,
	  wrappers/WrapperTemplate/wcode.f,
	  wrappers/WrapperTemplate/wrapper.c: MERGE: trunk> svn merge -r
	  835:861 https://.../dutka/devel
	  
	  Renamed getCacheStatus method to isCacheEnabled in
	  NumericalMathFunction.
	  Elimination of Description in NumericalPoint.
	  Creation of NumericalPointWithDescription.
	  Change the outputs of test scripts in relation with recent
	  NumericalPoint evolution.
	  Support for GCC 4.3.1.
	  Change properties for many various files.

2008-06-04  Ivan Dutka-Malen <ivan(:DOT:)dutka-malen(:AT:)der(:DOT:)edf(:DOT:)fr>

	* [r843] ChangeLog: Update ChangeLog
	* [r842] config/common.am, doc/config/common.am,
	  doc/m4/ot_debug.m4,
	  doc/src/UserManual/BaseObjects_UserManual.tex,
	  doc/src/UserManual/Distribution_UserManual.tex,
	  gui/config/common.am, gui/m4/ot_debug.m4, gui/src/Makefile.am,
	  lib/config/common.am, lib/m4/ot_check_threads.m4,
	  lib/m4/ot_debug.m4, lib/src/Base/Common/Makefile.am,
	  lib/src/Base/Func/Makefile.am,
	  lib/src/Base/Func/NumericalMathEvaluationImplementation.cxx,
	  lib/src/Base/Func/NumericalMathEvaluationImplementation.hxx,
	  lib/src/Base/Func/NumericalMathFunction.cxx,
	  lib/src/Base/Func/NumericalMathFunction.hxx,
	  lib/src/Base/Func/NumericalMathFunctionImplementation.cxx,
	  lib/src/Base/Func/NumericalMathFunctionImplementation.hxx,
	  lib/src/Base/Graph/Makefile.am, lib/src/Base/Stat/Compact.cxx,
	  lib/src/Base/Stat/Last.cxx, lib/src/Base/Stat/Makefile.am,
	  lib/src/Uncertainty/Algorithm/Simulation/Simulation.cxx,
	  lib/src/Uncertainty/Distribution/UserDefined.cxx,
	  lib/src/Uncertainty/Model/CopulaImplementation.cxx,
	  lib/src/Uncertainty/Model/DistributionImplementation.cxx,
	  lib/src/Uncertainty/Model/EllipticalDistribution.cxx,
	  lib/src/Uncertainty/Model/Makefile.am,
	  lib/src/Uncertainty/StatTests/Makefile.am, lib/test/Makefile.am,
	  lib/test/t_ComposedDistribution_std.at,
	  lib/test/t_IsoProbabilisticTransformation_EllipticalCopula.at,
	  lib/test/t_Normal_std.at, python/config/common.am,
	  python/configure.ac, python/m4/ac_pkg_swig.m4,
	  python/m4/ot_check_swig.m4, python/m4/ot_debug.m4,
	  python/src/Makefile.am,
	  python/test/t_ComposedDistribution_std.atpy,
	  python/test/t_HistoryStrategy_std.atpy,
	  python/test/t_IsoProbabilisticTransformation_EllipticalCopula.atpy,
	  python/test/t_Normal_std.atpy, utils/Makefile.am,
	  validation/config/common.am,
	  wrappers/DistributedWrapper/config/common.am,
	  wrappers/WrapperTemplate/m4/ot_debug.m4: MERGE: trunk> svn merge
	  -r 833:841 https://.../lebrun/devel
	  
	  Enhanced TUI integration of UserDefined class.
	  Added a simplified constructor for the IndependentCopula
	  dependence structure.
	  Enhanced user interface of UserDefined class
	  (PersistentCollection for the attributes, Collection for the user
	  interface).
	  Enhanced computeCharacteristicFunction() method.
	  Added a new distribution RandomMixture that allow to manipulate
	  as a distribution any linear combination of independent 1D
	  distributions. Not so well tested, and not documented. See it as
	  an experimental feature.
	  Added a simple but quite efficient mechanism to reduce the
	  boundary effect, for the 1D case.
	  Enhanced the memory consumption (getNumericalSample() method),
	  improved the performance (drawPDF() and drawCDF() methods) for
	  DistributionImplementation class.
	  Fixed a bug in the computeQuantile() method of multidimensional
	  distributions. Now, we use anly the very robust (but quite slow)
	  bisection method instead of the (faster but less robust) secant
	  method.
	  Enhanced Last and Compact strategy classes to reduce memory
	  impact.
	  Desactivated the cache mechanism of NumericalMathFunction within
	  the Simulation algorithms to avoid usesless memory consumption.
	  Improved cache management in Simulation class.
	  Fixed minor typo in UserManual.
	  Speed compilation of the SWIG wrapper.
	  Changed some compilation options in order to preserve user's
	  choice when compiling. CFLAGS, FFLAGS, CXXFLAGS and CPPFLAGS are
	  no more altered by configuration script. They are set by m4
	  standard macros as usual. So the user can now change their values
	  from the outside of the building process (configure CXXFLAGS=...
	  or make CXXFLAGS=... work in conjonction with the values found by
	  configure). Any optimisation can be avoided by setting these
	  variables to empty string.
	  An wrong version of SWIG does not make compilation fails anymore.

2008-06-02  Ivan Dutka-Malen <ivan(:DOT:)dutka-malen(:AT:)der(:DOT:)edf(:DOT:)fr>

	* [r836] doc/src/ArchitectureGuide/design.tex,
	  doc/src/ContributionGuide/OpenTURNS_ContributionGuide.tex,
	  doc/src/DocumentationGuide/OpenTURNS_DocumentationGuide.tex,
	  doc/src/ReferenceGuide/OpenTURNS_ReferenceGuide.tex,
	  doc/src/UseCasesGuide/Beta_PDF.png,
	  doc/src/UseCasesGuide/ClaytonCopula.png,
	  doc/src/UseCasesGuide/ComposedDistribution_isoPDF_12.png,
	  doc/src/UseCasesGuide/ComposedDistribution_isoPDF_13.png,
	  doc/src/UseCasesGuide/ComposedDistribution_isoPDF_23.png,
	  doc/src/UseCasesGuide/FrankCopula.png,
	  doc/src/UseCasesGuide/GumbelCopula.png,
	  doc/src/UseCasesGuide/IndependentCopula.png,
	  doc/src/UseCasesGuide/Makefile.am,
	  doc/src/UseCasesGuide/NormalCopula.png,
	  doc/src/UseCasesGuide/OpenTURNS_UseCasesGuide.tex,
	  doc/src/UseCasesGuide/beta_1.png,
	  doc/src/UseCasesGuide/beta_2.png,
	  doc/src/UseCasesGuide/contour2D_2.png,
	  doc/src/UseCasesGuide/contour2D_tulipe.png,
	  doc/src/UseCasesGuide/iso_PDFcurves_12.png,
	  doc/src/UseCasesGuide/pdf_Beta_1.png,
	  doc/src/UseCasesGuide/pdf_Beta_2.png,
	  doc/src/UseCasesGuide/pdf_Beta_3.png,
	  doc/src/UseCasesGuide/pdf_Beta_4.png,
	  doc/src/UseCasesGuide/pdf_Beta_5.png,
	  doc/src/UseCasesGuide/pdf_Beta_6.png,
	  doc/src/UseCasesGuide/pdf_Beta_7.png,
	  doc/src/UseCasesGuide/pdf_Exponential.png,
	  doc/src/UseCasesGuide/pdf_Gamma_1.png,
	  doc/src/UseCasesGuide/pdf_Gamma_2.png,
	  doc/src/UseCasesGuide/pdf_Gamma_3.png,
	  doc/src/UseCasesGuide/pdf_Gumbel.png,
	  doc/src/UseCasesGuide/pdf_LogNormal.png,
	  doc/src/UseCasesGuide/pdf_Logistic.png,
	  doc/src/UseCasesGuide/pdf_NonCentralStudent.png,
	  doc/src/UseCasesGuide/pdf_Normal.png,
	  doc/src/UseCasesGuide/pdf_Student.png,
	  doc/src/UseCasesGuide/pdf_Triangular.png,
	  doc/src/UseCasesGuide/pdf_TruncatedNormal.png,
	  doc/src/UseCasesGuide/pdf_TruncatedNormal_1.png,
	  doc/src/UseCasesGuide/pdf_TruncatedNormal_2.png,
	  doc/src/UseCasesGuide/pdf_TruncatedNormal_3.png,
	  doc/src/UseCasesGuide/pdf_TruncatedNormal_4.png,
	  doc/src/UseCasesGuide/pdf_Uniform.png,
	  doc/src/UseCasesGuide/pdf_Weibull.png,
	  doc/src/UseCasesGuide/script_composedDistribution.py,
	  doc/src/UseCasesGuide/script_copula.py,
	  doc/src/UseCasesGuide/script_distribution_manipulation.py,
	  doc/src/UseCasesGuide/script_mixture.py,
	  doc/src/UseCasesGuide/script_usualDistribution.py,
	  doc/src/UserManual/BaseObjects_UserManual.tex,
	  doc/src/UserManual/Distribution_UserManual.tex,
	  doc/src/UserManual/OpenTURNS_UserManual_TUI.tex,
	  doc/src/WrapperGuide/OpenTURNS_WrappersGuide.tex: MERGE: trunk>
	  svn merge -r755:835 https://.../dutfoy/devel
	  
	  Updated UseCasesGuide: added figures, described new
	  functionalities since release 0.11.3, updated old scripts, added
	  scripts that produced the figures to the distribution.
	  Updated UserManualGuide: described new functionalities since
	  release 0.11.3.
	  Switched from the use of UserDefinedPairPersistentCollection to
	  the use of UserDefinedPairCollection into the UserGuide to
	  reflect the change made on the interface of the UserDefined
	  class.
	  Added SQP use in the UseCase guide.
	  Fixed comments about getWeight() and setWeight() methods in
	  relation with the (not yet documented) new RandomMixture class.
	* [r834] README, lib/configure.ac, lib/include/OTtypes.hxx,
	  lib/src/Base/Stat/HistoryStrategy.cxx,
	  lib/src/Base/Stat/HistoryStrategy.hxx,
	  lib/src/Base/Stat/HistoryStrategyImplementation.cxx,
	  lib/src/Base/Stat/HistoryStrategyImplementation.hxx,
	  lib/src/Base/Stat/LinearModel.cxx,
	  lib/src/Base/Stat/LinearModel.hxx,
	  lib/src/Uncertainty/Algorithm/Experiments/LinearLeastSquares.cxx,
	  lib/src/Uncertainty/Algorithm/Experiments/LinearLeastSquares.hxx,
	  lib/src/Uncertainty/Algorithm/Experiments/LinearTaylor.cxx,
	  lib/src/Uncertainty/Algorithm/Experiments/LinearTaylor.hxx,
	  lib/src/Uncertainty/Algorithm/Experiments/Makefile.am,
	  lib/src/Uncertainty/Algorithm/Experiments/QuadraticLeastSquares.cxx,
	  lib/src/Uncertainty/Algorithm/Experiments/QuadraticLeastSquares.hxx,
	  lib/src/Uncertainty/Algorithm/Experiments/QuadraticTaylor.cxx,
	  lib/src/Uncertainty/Algorithm/Experiments/QuadraticTaylor.hxx,
	  lib/src/Uncertainty/Algorithm/Makefile.am,
	  lib/src/Uncertainty/Algorithm/MetaModel,
	  lib/src/Uncertainty/Algorithm/MetaModel/LinearLeastSquares.cxx,
	  lib/src/Uncertainty/Algorithm/MetaModel/LinearLeastSquares.hxx,
	  lib/src/Uncertainty/Algorithm/MetaModel/LinearTaylor.cxx,
	  lib/src/Uncertainty/Algorithm/MetaModel/LinearTaylor.hxx,
	  lib/src/Uncertainty/Algorithm/MetaModel/Makefile.am,
	  lib/src/Uncertainty/Algorithm/MetaModel/QuadraticLeastSquares.cxx,
	  lib/src/Uncertainty/Algorithm/MetaModel/QuadraticLeastSquares.hxx,
	  lib/src/Uncertainty/Algorithm/MetaModel/QuadraticTaylor.cxx,
	  lib/src/Uncertainty/Algorithm/MetaModel/QuadraticTaylor.hxx,
	  lib/src/Uncertainty/Algorithm/Simulation/DirectionalSampling/DirectionalSampling.cxx,
	  lib/src/Uncertainty/Algorithm/Simulation/DirectionalSampling/RootStrategy.cxx,
	  lib/src/Uncertainty/Algorithm/Simulation/DirectionalSampling/RootStrategy.hxx,
	  lib/src/Uncertainty/Algorithm/Simulation/DirectionalSampling/RootStrategyImplementation.cxx,
	  lib/src/Uncertainty/Algorithm/Simulation/Simulation.cxx,
	  lib/src/Uncertainty/Distribution/Beta.cxx,
	  lib/src/Uncertainty/Distribution/ComposedDistribution.cxx,
	  lib/src/Uncertainty/Distribution/ComposedDistribution.hxx,
	  lib/src/Uncertainty/Distribution/ExtraFunc/DistFunc.cxx,
	  lib/src/Uncertainty/Distribution/ExtraFunc/DistFunc.hxx,
	  lib/src/Uncertainty/Distribution/ExtraFunc/Makefile.am,
	  lib/src/Uncertainty/Distribution/ExtraFunc/Nct.hxx,
	  lib/src/Uncertainty/Distribution/ExtraFunc/SpecFunc.cxx,
	  lib/src/Uncertainty/Distribution/ExtraFunc/nct.f,
	  lib/src/Uncertainty/Distribution/KernelSmoothing.cxx,
	  lib/src/Uncertainty/Distribution/KernelSmoothing.hxx,
	  lib/src/Uncertainty/Distribution/Makefile.am,
	  lib/src/Uncertainty/Distribution/RandomMixture.cxx,
	  lib/src/Uncertainty/Distribution/RandomMixture.hxx,
	  lib/src/Uncertainty/Distribution/Uniform.cxx,
	  lib/src/Uncertainty/Distribution/UserDefined.cxx,
	  lib/src/Uncertainty/Model/DistributionImplementation.cxx,
	  lib/src/Uncertainty/Model/DistributionImplementation.hxx,
	  lib/src/Uncertainty/StatTests/Makefile.am,
	  lib/src/Uncertainty/StatTests/NormalityTest.cxx,
	  lib/src/Uncertainty/StatTests/NormalityTest.hxx,
	  lib/src/Uncertainty/StatTests/VisualTest.cxx,
	  lib/test/Makefile.am, lib/test/t_ComposedDistribution_std.at,
	  lib/test/t_KernelSmoothing_std.at,
	  lib/test/t_KernelSmoothing_std.cxx,
	  lib/test/t_LinearModel_std.at, lib/test/t_LinearModel_std.cxx,
	  python/configure.ac, python/m4/ot_check_swig.m4,
	  python/src/Makefile.am, python/src/UserDefined.i,
	  python/src/openturns.i,
	  python/test/t_ComposedDistribution_std.atpy,
	  python/test/t_KernelSmoothing_std.atpy,
	  python/test/t_KernelSmoothing_std.py,
	  python/test/t_LinearModel_std.atpy,
	  python/test/t_LinearModel_std.py, utils/rotRPackage/Makefile,
	  utils/rotRPackage/rotRPackage_1.4.3.tar.gz,
	  utils/rotRPackage_1.4.3.tar.gz: MERGE: trunk> svn merge -r815:833
	  https://.../lebrun/devel
	  
	  Change README.
	  Removed R dependence in LinearModel class.
	  Removed R dependence in NormalityTest class.
	  Fixed a bug in getMarginal() method in ComposedDistribution
	  class.
	  Enhanced interface of RootStrategy class.
	  Enhanced HistoryStrategy class.
	  Moved meta-models from Uncertainty/Algorithm/Experiment into
	  Uncertainty/Algorithm/MetaModel. It impacts the following
	  classes:
	  + LinearLeastSquares
	  + QuadraticLeastSquares
	  + LinearTaylor
	  + QuadraticTaylor
	  Fixed a minor bug in Beta distribution.
	  Fixed a minor bug in DirectionalSampling class.
	  Fixed a minor bug in SpecFunc class.
	  Changed implementation of pNonCentralStudent and
	  dNonCentralStudent in DistFunc class.
	  Enhanced TUI integration of UserDefined class.
	  Added a simplified constructor for the IndependentCopula
	  dependence structure.
	  Enhanced user interface of UserDefined class
	  (PersistentCollection for the attributes, Collection for the user
	  interface).
	  Enhanced computeCharacteristicFunction() method.
	  Added a new distribution RandomMixture that allow to manipulate
	  as a distribution any linear combination of independent 1D
	  distributions. Not so well tested, and not documented. See it as
	  an experimental feature.
	  Added a simple but quite efficient mechanism to reduce the
	  boundary effect, for the 1D case.
	  Enhanced the memory consumption (getNumericalSample() method),
	  improved the performance (drawPDF() and drawCDF() methods) for
	  DistributionImplementation class.

2008-05-26  Ivan Dutka-Malen <ivan(:DOT:)dutka-malen(:AT:)der(:DOT:)edf(:DOT:)fr>

	* [r827] configure.ac, doc/configure.ac, gui/configure.ac,
	  lib/configure.ac, python/configure.ac, validation/configure.ac:
	  Change version number to 0.12.0.
	  First attempt to provide different storage strategies for the
	  Simulation algorithms.
	  Changed the semantic of Box class to be more consistent with the
	  other experiments.
	  Add marginal sample extraction to NumericalSample class.
	  Enhanced Drawable class interface.
	  Add dependencies between documentation sources and documentation
	  output. This close ticket #45.
	  Fix a typo in a warning message in DistributionImplementation
	  class.
	  Replace StringCollection by Description in GraphImplementation
	  class and DrawableImplementation class, to be more consistent
	  with the other classes.
	  Added a new class dedicated to isocontour plot, the Contour
	  class.
	  Made the static attributes and methods conform to the OpenTURNS
	  writing convention.
	  Added a zooming facility to Graph class.
	  Fixed a minor precision bug in VisualTest::DrawHistogram.
	  Added a workaround for the Description copy on write bug.
	  Added methods to list the conform colors, legend positions, point
	  styles and fill styles for Graph and Drawable classes.
	  Ongoing work for the BoundConstrainedAlgorithm class.
	  Enhanced Contour class.
	  Made constructors of Indice class explicit to avoid automatic
	  conversion from UnsignedLong.
	  Made constructors of NumericalPoint class explicit to avoid
	  automatic conversion from UnsignedLong.
	  Fix several bugs in TensorImplementation class and enhanced some
	  methods.
	  Fix a small bug in SymmetricTensor class.
	  Minor cleaning of MatrixImplementation class.
	  Enhance Graph class integration to TUI.
	  Minor typo fixed in comments for SORM and SORM::Result classes.
	  Added methods for computing marginal standard deviation, skewness
	  and kurtosis to Distribution class.
	  Added methods getStandardDeviation(), getSkewness() and
	  getKurtosis() to the following classes:
	  + Beta
	  + Exponential
	  + Gamma
	  + Geometric
	  + Gumbel
	  + Logistic
	  + LogNormal
	  + Normal
	  + Poisson
	  + Student
	  + Triangular
	  + TruncatedNormal
	  + Uniform
	  + Weibull
	  Added new very performant (10x faster!) non-uniform random
	  generators rBeta, rGamma, rStudent to DistFunc class.
	  Added the evaluation of Lambert W real function over R+ to
	  SpecFunc class.
	  Fixed a bug in setMuSigma() method for Weibull class.
	  Enhanced EllipticalDistributionImplementation class.
	  Added TUI interface to SpecFunc class.
	  Added TUI interface to DistFunc class.
	  Added ClaytonCopula class.
	  Added FrankCopula class.
	  Added GumbelCopula class.
	  Added TruncatedDistribution class.
	  Added ArchimedeanCopula class.
	  Added CopulaImplementation class: it is no more a typedef of
	  DistributionImplementation and offers generic services.
	  Simplified ComposedDistribution class to take into account
	  factorization of code in DistributionImplementation class.
	  Enhanced DistFunc class with a new algorithm for Poisson
	  generator.
	  Simplified IndependentCopula class to take into account
	  factorization of code in CopulaImplementation class.
	  Simplified KernelMixture class to take into account new
	  functionalities of NumericalSample class.
	  Simplified Mixture class to take into account factorization of
	  code in DistributionImplementation class.
	  Simplified NormalCopula class to take into account factorization
	  of code in CopulaImplementation class.
	  Enhanced Poisson class to take into account new functionalities
	  of DistFunc class.
	  Simplified ContinuousDistribution class to take into account
	  factorization of code in DistributionImplementation class.
	  Simplified DiscreteDistribution class to take into account
	  factorization of code in DistributionImplementation class.
	  Major enhancement of DistributionImplementation class: most of
	  the methods of a distribution now have a generic implementation.
	  There is still some work to do.
	  More specifically, the following generic implementation have been
	  done:
	  + computeDDF()
	  + computePDF()
	  + computeQuantile()
	  + getRealization()
	  + getMean()
	  + getStandardDeviation()
	  + getSkewness()
	  + getKurtosis()
	  + getCovariance()
	  + methods for numerical integration using Gauss integration.
	  Enhanced EllipticalDistributionImplementation class: a generic
	  implementation of computeDensityGeneratorDerivative() and
	  computeDensityGeneratorSecondDerivative() methods is given.
	  Added new Maple validation scripts to the distribution.
	  Add an optimized iso-probabilistic transformation for the
	  IndependentCopula class. It corresponds to the classes:
	  + InverseNatafIndependentCopulaFunction
	  + InverseNatafIndependentCopulaGradient
	  + InverseNatafIndependentCopulaHessian
	  + NatafIndependentCopulaFunction
	  + NatafIndependentCopulaGradient
	  + NatafIndependentCopulaHessian
	  Ongoing work related to history management for Simulation
	  algorithms. It corresponds to the following classes:
	  + Compact
	  + Full
	  + Last
	  + Null
	  Add the Epanechnikov distribution for KernelSmoothing algorithm.
	  Add the NonCentralStudent distribution. This fix ticket #114.
	  Add marginal extraction for all the RandomVector classes. This
	  fix ticket #112.
	  Add documentation about gradient for the AbdoRackwitz classe.
	  this closes ticket #110.
	  Fix minor bug in Path class (search path for wrappers).
	  Fix minor bug in WrapperFile class (search path for wrappers).
	  Add new operator and new functions to muParser.
	  Add marginal extraction to NumericalMathFunction class. This fix
	  ticket #112.
	  Add embedded documentation for analytical functions in
	  NumericalMathFunctionImplementation class. This fix partially
	  ticket #101.
	  Fix a bug in NumericalSampleImplementation class for
	  computeSkewness() and computeKurtosis() methods.
	  Fix a bug in Simulation::Result class. It closes ticket #106.
	  Add verbosity control to Simulation class. This fix ticket #105.
	  Add methods to make some distributions valid kernels. The
	  distributions are:
	  + Beta
	  + Epanechnikov
	  + Logistic
	  + Normal
	  + Triangular
	  + Uniform
	  Fix a bug in computeDDF, enhance performance for the case of an
	  independent copula in ComposedDistribution class.
	  Add low-level function for the NonCentralStudent distribution to
	  the DistFunc class.
	  Add Erfc(), BetaRatio() and BetaRatioInc() methods to SpecFunc
	  class.
	  Changed the isoprobabilistic transformation in the
	  IndependentCopula class.
	  Enhancement of KernelSmoothing class: it allows the use of any
	  kernel, and uses Scott's rule instead of Silverman's one for
	  automatic computation of the bandwidth.
	  Enhancement of Mixture class.
	  Add adaptivity to computeCDF() method in Normal class.
	  Fix a bug in computePDFGradient and computeCDFGradient in
	  TruncatedDistribution class.
	  Enhance getRealization() method for TruncatedNormal class.
	  Change default constructor for Uniform class.
	  Add a generic implementation of computePDF() andd computeCDF()
	  methods in ArchimedeanCopula class.
	  Add getStandardDeviation(), getSkewness() and getKurtosis()
	  methods to CopulaImplementation class.
	  Fix a bug in the isoprobabilistic transformation for 1D
	  distributions in Distribution class.
	  Enhance DistributionImplementation class: generic implementation
	  of getMean(), getStandardDeviation(), getSkewness() and
	  getKurtosis() methods based on the sinh/tanh integration method.
	  Add marginal extraction to RandomVector class.
	  Fixed the strange "feature" of the ViewImage facility: now, it
	  automatically adapt itself to the image size. This closes ticket
	  #64.
	  Switched to Gaussian integration for covariance computation in
	  ComposedDistribution class.
	  Enhanced computeCDF() method of Normal class by the use of up to
	  date algorithms from Alan Genz, and the addition of a Monte Carlo
	  evaluation for very high dimension.
	  Added drawing facilities for 1D and 2D instances of Distribution
	  class. It is also possible to draw the PDF and the CDF of 1D and
	  2D marginal distributions of general Distribution objects.
	  Enhanced muParser class.
	  Enhanced NumericalMathFunctionImplementation class.
	  Fix a minor bug in Contour class (legend not taken into account)
	  Added several Maple woksheets in the validation/src folder.
	  Added accessor to the precision reached during the computation of
	  a CDF and a PDF for Distribution class.
	  Minor memory enhancement for getNumericalSample() method in
	  Distribution class.
	  Added classes that implement different strategies for the
	  incremental storage of NumericalPoints into a NumericalSample.
	  The associated classes are:
	  + HistoryStrategy
	  + HistoryStrategyImplementation
	  + Null
	  + Full
	  + Last
	  + Compact
	  Added different strategies for the convergence history, the input
	  sample and the output sample to the following classes:
	  + Simulation
	  + MonteCarlo
	  + ImportanceSampling
	  + LHS
	  Added method for exportation into CSV format for NumericalSample
	  class.
	  Forgotten from previous log:
	  Added a new export format for Graph class, the FIG format that
	  allows vectorial editing.
	  Added mechanism to choose the drawing format to class Graph. The
	  user can choose between PNG, EPS, FIG and ALL (the three formats
	  are generated in one run).
	  Added a class that allows the aggregation of several copulas, the
	  ComposedCopula class.
	  Started work on a multidimensionla extension to the Student
	  class.
	  Started work on the definition of an Interval class.
	  Changed the status of the Copula class: it is no more a typedef
	  of Distribution, but a proper class.
	  Enhanced the Normal class.
	  Enhanced the Graph class, it is now possible to add a grid to a
	  graph.
	  Moved services form Distribution class to
	  DistributionImplementation class.
	  Moved services from NumericalSample class to
	  NumericalSampleImplementation class.
	  Added services to the NumericalSample class to exchange more
